2013-10-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.ac, NEWS: Rolling Glade 3.8.4

	* gladeui/glade-widget.c: Added workaround for Bug 625867
	 "RadioButton information lost on cut+paste, add/remove parent, etc"

2013-10-14 Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: Fixed glade_gtk_image_get_property() chainup. (was calling set_property)
	  Fixes bug that prevented the runtime object to show the right pixbuf when copying a GtkImage.

	* plugins/gtk+/glade-activatable-editor.c, plugins/gtk+/glade-tool-button-editor.c:
	  Misc activatable and tool button editor cleanups.
	  Removed use of size groups, replaced with table attachment fill prop.
	  Fixes Bug 616834 "Freeze when changing toolbutton type after renaming it"

2013-10-13 Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-attributes.c: Improved pango text integer attributes editors.
	  Make the spin button numeric and clear the attr if the new text is an empty string!
	  This should be enough to close Bug 679006
	  "The "size" attribute for labels only accepts integer values (not strings like "larger")"

2013-10-12 Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-window.c: Fixed bug 584381
	  "Saving as an existing file name except the extension overwrites without confirmation."
	  The problem was that if the selected filename did not had an extension we appended append a .glade extension
	  but did not check if the new filename existed or not.
	  Now we fixed this problem by selecting the file if it exist and running the dialog again, giving it a chance
	  to promt the user about overwriting.

	* gladeui/glade-widget.c: Fixed Bug 646259
	  "SIGSEGV in glade_widget_adaptor_object_construct_object loading ui file"
	  Do not try to instantiate abstract class objects, this should prevent glade aborting when
	  trying to load uninstantiable objects.

2013-10-06 Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* build/mingw-w64/nsis_make_installer.sh: Added executable check to build script

2013-10-05 Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: Fixed Bug 694081 "Glade loses widget's tooltips on Cut/Paste"	
	 As a simple workaround we simply make glade ignore all tooltip related properties at runtime.
	 You can still edit them as normal, but you just wont be able to see the tooltips in the workspace.

	* gladeui/glade-widget.c: Fixed bug 702886 "SEGV when creating a new GtkDialog (GLib 2.37.x)"
	  glib changed the order construct properties are set which exposed this bug,
	  now they are set in the order they are installed in the class.
	  So we fixed the bug by installing adaptor property first and object last.

	* gladeui/glade-widget.c: Fixed some compiler warnings and added extra check to
	  glade_widget_set_object() to make sure there is an adaptor.

	* src/glade-window.c: Fixed copyright dates in about dialog

	* gladeui/glade-design-view.c, gladeui/glade-editor.c, gladeui/glade-signal-editor.c:
	  Made a few ui fixes, like removing unnecessary shadows in the workspace and property editor.

        * data/icons/atk.png: Also replaces old atk icons with a new one.

2012-12-03  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * configure.ac, NEWS: Rolling Glade 3.8.3

	* build/mingw-w64: Ported build for mingw to 3.8 branch

2012-07-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Fixed Bug #679589 "Use Action Appearance not 
	  supported for GTK 2.12 but added to widgets in Glade 3.8.2"
	  Made sure use-action-appearance is not saved if there is no action defined
	
2012-03-26  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * configure.ac, NEWS: Rolling Glade 3.8.2

2012-02-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

        * configure.ac: Backported Bug 665784 fix (added gmodule-2.0 pkgconfig package)
          Vincent Untz

2011-11-23  Dieter Verfaillie <dieterv@optionexplicit.be>

	* build/mswindows/README, build/mswindows/build_glade.sh:
	Added custom build scripts for building on MS windows.

2011-11-17  Fredy Paquet <fpa@opag.ch>

	* plugins/gtk+/glade-gtk.c: Improved performance of modifying GtkTable
	  contents, shows specifically when loading files containing large tables.

	Bug 663516

2011-10-11  Benjamin Otte <otte@redhat.com>

	* gladeui/glade-editor-property.c:
	Make size groups widget selection work (bug 647984)

2011-10-11  Tristan Van Berkom <tvb@gnome.org>

	* help/Makefile.am: Make help dir use 'glade3' name
	instead of 'glade' (for bug 646997).

2011-10-10  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS: Rolling Glade 3.8.1

2011-10-09  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-project.c: Fix glade_project_notify_has_child() to notify
	that the children are gone only when the last item on that level disappears.

	Fixes bug 651673

2011-10-09  Fabien Parent <parent.f@gmail.com>

	* gladeui/glade-property.c, gladeui/glade-xml-utils.c:

	Fix a bug on the GtkComboBoxText (and probably others) when adding
	a special char (like '&') in an item's name: every characters following
	the special char disappeared while writting the xml file.

	Bug 654609.

2011-10-04  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Ensure 'related-action'
	and 'use-action-appearance' are serialized in the right order.

	* gladeui/glade-widget-adaptor.c: Implemented a generic ->depends() routine
	to ensure that liststores are serialized before treemodelfilters which refer to them (bug 657164).

	* gladeui/glade-command.[ch]: Exposed glade_command_add() internal command so that
	plugins can create command groups that play with adding/removing widgets inline without
	creating copies of them.

	* plugins/gtk+/glade-gtk.c: Fixed add/remove parent commands so that they work with
	parentless widget references (i.e. you can add a parent to a GtkToolItemGroup's label widget
	or a GtkButton's image widget, or remove the parent of a child of a label-widget, etc).

	* gladeui/glade-widget.c: Fixed glade_widget_hide() in the case that the project is
	  already gone.

	* gladeui/glade-command.c: Fixed glade_command_remove() to push the command on the
	  right GladeProject pointer.

2011-04-29  Javier Jardón <jjardon@gnome.org>

	* gladeui/glade-utils.c: Correctly detect the required devhelp version

2011-04-04  Tristan Van Berkom <tristanvb@openismus.com>

	* configure.ac, NEWS: Rolling Glade 3.8.

	* Backed out 'preview' feature from glade-3-8 branch.

	* gladeui/glade-base-editor.c: Backported fixes from master.

	* gladeui/glade-project.[ch], gladeui/glade-widget.c: Backported glade_project_check_reordered()

	* plugins/gtk+/icons/*: Backported all the new icons.

	* removing glade-previewer.c from POTFILES.in

2011-02-05  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in: Disabling irrelevant properties for GtkScaleButton

	* gladeui/glade-widget.c: Make glade_widget_rebuild() use glade_widget_add/remove
	  instead of glade_widget_replace().

2011-02-03  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.c: Fixed GladeProject to only ever report widgets that are
	  actually in the project from the GtkTreeModel interface.

	* gladeui/glade-widget.[ch], gladeui/glade-project.c, gladeui/glade-utils.c: Now update
	  the GladeWidget's project pointer when going in and out of a project.

	* src/glade-window.c: Removed user manual link from Help menu, it's not online
	  as far as I know and no work was done on it, the current user manual needs work
	  and is just not useful in it's current state.

2011-01-29  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-model-data.c: Avoid committing the data if the data did not
	  change... committing the data when there is no change can cause the editor to
	  load itself, this editor does not deal with that well. Fixes crasher bug 622839.

2011-01-24  Tristan Van Berkom <tristanvb@openismus.com>

	* 41 files: Fixed typo in LGPL License file headers.

2011-01-19  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in: Removing treeview's internal GtkTreeSelection from the
	palette (its only available as an internal widget to a treeview).

2011-01-13  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-attributes.c: Fixed mismatching PangoAttributeType with GType,
	closes bug 597045.

	* plugins/gtk+/gtk+.xml.in: Made GtkEntry icon properties save-always, fixes bug 629900.

2011-01-09  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-editor.c: Make query dialog come with a "Create" button instead
	of an "OK" button, closes bug 503621.

	* plugins/gtk+/glade-gtk.c: Fixed GtkMenuToolButton to save the "menu" child properly

	* plugins/gtk+/glade-column-types.c: Fixed crash when user performs Drag'n'Drop of
	< enter column here > and no columns are yet added (fixes bug 633943).

2011-01-08  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/Makefile.am, plugins/glade-tool-item-group-editor.[ch], plugins/gtk+.xml.in,
	plugins/glade-gtk.c: Added support for editing GtkToolPalette.

2011-01-06  Tristan Van Berkom <tristanvb@openismus.com>

	* NEWS: Rolling 3.7.3

2011-01-03  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.c, gladeui/glade-id-allocator.c: Dont index unallocated
	  memory when releasing a widget name that was never allocated (this can happen
	  for loaded widgets with a number), fixes crash when setting naming policy for
	  glom_developer.glade.

2010-12-31  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.c: Further fixing project dispose cycle, still leaking a little
	  bit of memory for large projects but no crashes.

	* plugins/gtk+/glade-gtk.c: Fixed loaded state of use-action-appearance so that it always
	  loads as FALSE if there is no "related-action" at load time (closes bug 582882).

	* gladeui/glade-property.c: Fixed glade_property_dup() to not incidentally sync the property
	  object's value as a consequence of dupping (backend uses this to write properties with custom
	  values and does not expect that).

	* m4/python.m4: Applying patch to allow better builds on win32, patch by Dieter Verfaillie,
	  bug 634978.

	* plugins/gtk+/gtk+.xml.in: Setting "can-focus" as "save-always" for all widgets (bug 638079).

2010-12-30  Christian Persch <chpe@gnome.org>

	* plugins/gtk+/glade-attributes.c: Use locale-independent strtod &
	  dtostr. Fixes bug 616787

2010-12-30  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in: Updated catalog for 2.22 and 2.24 symbols.

	* gladeui/glade-base-editor.c, gladeui/glade-command.c: Avoid setting a null name on a widget.

	* plugins/gtk+/glade-tool-button-editor.c: Fixed unbalanced refcount of a sizegroup in the
	  toolbutton editor.

	* gladeui/glade-base-editor.c: Remove restriction for only GtkContainer widgets.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Added editor to edit
	  GtkAction/GtkActionGroup hierarchies.

2010-12-29  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-design-view.c: Made loading progress bar nicer looking and ellipsizing.

	* gladeui/Makefile.am, gladeui/glade-project.c: Changed glade-previewer install name
	  to glade-3-previewer, reserving the former name for parallel installable 3.10.

2010-12-28  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/Makefile.am, gladeui/glade.h, gladeui/glade-clipboard.c, gladeui/glade-app.[ch],
	  src/glade-window.c, gladeui/glade-clipboard-view.[ch]:
	Removed GladeClipboradView completely.

2010-12-27  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.c: Fixed glade-project to unset the loading flag when
	  loading project dependancies are not satisfied and there is an early return.

2010-12-22  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.[ch]: Removed dialog and added "load-progress" signal

	* gladeui/glade-app.c: Protect against commands executed on loading projects

	* src/glade-window.c: Added load progressbar to notebook tabs.

	* gladeui/glade-project.c: Added "parse-began" signal

	* gladeui/glade-design-view.c: Hide workspace and show load progress
	  while loading so that one cannot access project widgets during the load
	  (insensitive workspace was problematic and causing some loaded project
	  windows to be permanently insensitive).

	* src/glade-window.c: Avoid any messups during project load, cannot close
	  projects while they are loading, etc.

2010-12-21  Tristan Van Berkom <tristanvb@openismus.com>

	Added loading objects dialog with progress and cancel.

	* src/main.c: Display window before loading command line specified projects.

	* gladeui/glade-project.[ch]: Added dialog that pops up when about to load
	  a large project with glade_project_push_project() to push the progress and
	  glade_project_load_cancelled() to check and abort while loading the project.

	* gladeui/glade-widget.c, gladeui/glade-widget-adaptor.c: Push progress and
	  abort loading when project indicates the user cancelled the load.

2010-12-20  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-label-editor.c: Dont add invisible properties to the editor,
	  instead the invisible editor-property gets tied to the life-cycle of the table
	  it would have been added to (since recently glade_editor_property() explicitly
	  shows/hides properties according to if thier widget actually has an instance
	  of the property).

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/glade-column-types.[ch]: Added
	  glade_column_type_new() to create a GladeColumnType struct properly using
	  g_slice_new0(). An occurance of allocating the struct with g_new0 was causing
	  Glade to crash when freeing the block with g_slice_free (bug 637563). Many
	  big thanks to Benjamin Otte for tracking down the problem.

	* gladeui/glade-project.c: Applying Marco Diego Aurélio Mesquita's patch to
	  make the project preview only preview toplevels.

	* gladeui/glade-editor.c: Fixed class header of GladeEditor to update when
	  widgets unload (patch by Marco Diego Aurélio Mesquita, bug 637541).

	* gladeui/glade-editor-property.c, gladeui/glade-property.c, gladeui/glade-widget.c,
	  plugins/gtk+/glade-gtk.c: Fixing some discrepincies searching for properties as
	  regular properties or packing properties. Now the conflicting "position" property
	  on a GtkPaned widget packed into a GtkBox widget works properly (bug 637475).

2010-12-19  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-gtk.c: Fix alpha_sort_box_children() to give a consistent
	  order to placeholders (bug 637534 fix by Marco Diego Aurélio Mesquita).

	* plugins/gtk+/glade-gtk.c: Removed alpha_sort_box_children(), project needs to be
	  sorted with box children by position, loading process depends on this.

	* gladeui/glade-widget.[ch]: Hide glade_widget_set_object(), improved reference count
	  balancing and fixed segfaults upon closing projects that contain filechooser dialogs
	  referenced by filechooserbuttons.

2010-12-18  Tristan Van Berkom <tristanvb@openismus.com>

	* src/Makefile.am, gladeui/Makefile.am, plugins/gtk+/Makefile.am, plugins/gnome/Makefile.am:
	  Fixed makefiles as per bug 521713 (patch initially by Daniel Macks).

	* gladeui/glade-editor-property.c: Hide editor properties when the property is not available
	  on the widget, bug 585299, fix by Marco Diego Aurélio Mesquita.

	* gladeui/glade-editor-property.c: Unload currently loaded property in
	  glade_editor_property_load_by_widget() when a NULL widget is specified or the property
	  is not found.

2010-12-17  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Added support for deprecated GtkOptionMenu.

	* gladeui/glade-project.c: Restore proper sorting of objects at save time.

	* gladeui/glade-property-class.c: Properly order object properties

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Alphabetically sort GtkBox children for save.

	* plugins/gtk+/glade-gtk.c, po/*.po: Fixed 'controled' typo with updates to po files, patch
	  by Matt Woelfel for bug 633957.

2010-12-17  Tristan Van Berkom <tristanvb@openismus.com>

	* NEWS, configure.ac: Rolling 3.7.2.

2010-12-17  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-app.[ch]: Added glade_app_queue_selection_changed()

	* gladeui/glade-command.c: queue selection changes when widgets are added, this
	  avoids synchrounously poking the model when the selection changes various times
	  in a command sequence such as changing a menu item's type.

	* gladeui/glade-base-editor.c: Dont call glade_command_create/delete() directly
	  in change-type, keep delegating this work to build-child/delete-child signals.

	* gladeui/glade-widget.[ch]: Added glade_widget_is_ancestor()

	* gladeui/glade-utils.c: Change glade_util_find_iter_by_widget() to use
	  glade_widget_is_ancestor() and speed up searches a little this way.

	* plugins/gtk+/glade-gtk.c:
	  - Defensively avoid crash when setting entry icon tooltips
	  - Add version check macro to compile with GTK+ 2.20

	* plugins/gtk+/glade-gtk.c: Fixed crashes when textview's buffer is deleted, fix
	  by Martin Schlemmer, bug 609748.

	* gladeui/glade-project.c: Fixed crasher when adjusting project naming policy (bug 622528,
	  thanks goes to Sébastien Granjoux and Martin Schlemmer for looking at this one).

2010-12-16  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-gtk.c: Avoid using gtk_combo_box_set_entry_text_column directly (build
	  for GTK+ 2.20).

	* gladeui/glade-project.c: Notify iter changes when the widget name changes, increment project
	  iter stamp before notifying row-inserted (old iters are invalid, the new iter persists),
	  fixed leaked GtkTreePath when rows are inserted.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Fixed GtkComboBox to handle cell-layout
	  children as well as the possible internal entry (fixes bug 581580).

	* gladeui/glade-base-editor.c: Fixed glade_base_editor_dispose to not access the signal
	  editor, it's automatically destroyed as being a child of the editor.

	* plugins/gtk+/glade-gtk.c: Set added treeviewcolumns to fixed sizing mode if the
	  treeview is set to use fixed height mode (closing bug 596480).

	* gladeui/glade-inspector.c:
	  - Avoid changing project selection when selection is cleared, selection get's cleared
	    when the user changes a widget name and a filter is applied (removing the entry from
	    the filtered model), avoiding syncing project selection avoids making the editor disappear
	    when the user changes a widget name (fixes bug 604322).
	  - Also plugged some leaked objects retrieved by gtk_tree_model_get().

	* gladeui/glade-editor-table.c: Fire a warning when entry is edited with no widget
	  loaded, also change the ->loading flag strategy for blocking signal emission instead.

	* plugins/gtk+/glade-gtk.c: Fixed floating project menus when context menu is fired (bug 141714).

	* gladeui/glade-project.[ch], gladeui/glade-app.[ch], src/glade-window.c: Removed notion
	  of project "instance_count" which is now unused.

	* plugins/gtk+/gtk+.xml.in: Setting dialog type-hint default to Dialog (closes old bug 459917)

	* gladeui/glade-project.c: Removing frame shadow (and label) from project preferences (bug 574098).

	* plugins/gtk+/gtk+.xml.in: default adjustment page size -> 0 (bug 585085).

2010-12-15  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.c: Cleanup glade_project_remove_object(), make sure row_deleted is
	  fired before modifying internal data structures (and dont use the glade_util_ function
	  to find a widget iter).

	* plugins/gtk+/glade-gtk.c: Fixed errors when undoing the addition of notebook pages.
	  The problem at length was an issue of orphaned project widgets left in the project model.

	* gladeui/glade-widget.[ch], gladeui/glade-project.c, plugins/gtk+/glade-gtk.c: Cleanup
	  object ref count cycles, now GladeProject just releases all widgets from the project
	  and keeps a reference to the GladeWidget instead of the GObject, GladeWidget is now
	  GInitiallyUnowned and GladeProject assumes ownership when objects are added to the
	  project (glade-gtk.c in this patch avoids needlessly adding a widget to the project
	  that will be implicitly added, now glade-gtk.c does not directly manually add any
	  widgets to the project).

	* gladeui/glade-widget.c, gladeui/glade-project.c: Fixed some final things with
	  new GInitiallyUnowned strategy, push superuser mode at dispose time so that
	  the plugin doesnt screw up, also hold a ref to widgets being rebuilt since
	  they can go out and into the project.

	* plugins/gtk+/glade-gtk.c: Make sure any manually created glade widgets pass
	  through glade_widget_add_child() and get a proper ref from the parent (fixing
	  more last minute crahsers).

	* gladeui/glade-utils.c: Fixed crasher bug 628233 partially using patch by
	  ramz <ramanathan.nitt@gmail.com>.

	* gladeui/glade-project.c: Fix glade_project_fix_object_props() to copy the
	  list which risks changing order while iterating.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Avoid warnings when
	  loading glade files.

	* plugins/gtk+/gtk+.xml.in: Ignore "resize-mode" property incase of crashes
	  (as reported in bug 622996).

	* gladeui/glade-palette.c: Add a label in a box to the palette items to avoid
	  the evil ellipsization.

	* plugins/gtk+/glade-gtk.c: Fixed crash with notebook rebuilding children (bug 365462).

2010-12-14  Tristan Van Berkom <tristanvb@openismus.com>

	* Reverted 3.0 commit, now targetting this branch to the final GTK+ 2.x chapter

	* Reverted the commit that removes the old fashioned "Custom Widget" handling.

2010-11-12  Johannes Schmid <jhs@gnome.org>

	* gladeui/glade-project.c:
	project-model: Don't be picky about non-existing children
	It is sometimes possible that children are added before their parents
	in the tree. We simply ignore that for now as it doesn't
	cause any harm in the tree model.

2010-10-12  Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

	Implemented preview feature for Glade.

	* gladeui/Makefile.am, gladeui/glade-previewer.c: Added program to preview
	  glade files.

	* gladeui/glade-project.[ch]: Implemented glade_project_preview() to spawn a
	  child preview process, reap it when it dies and close all previews when
	  project closes.

	* src/glade-window.c: Added toolbar button to spawn the preview.

	* gladeui/glade-xml-utils.[ch]: Added glade_xml_dump_from_context().

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Added actions to preview a widget.

	* gladeui/glade-app.[ch]: Added glade_app_get_bin_dir() for resolving of previewer path.

2010-10-11  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-inspector.c: Fixed project leakage at dispose time.

2010-10-09  Tristan Van Berkom <tristanvb@openismus.com>

	* configure.ac: Default GTK+ version is 3.0, compiling --with-gtk=2.0 is
	  just a hack to enable building glade for 2.0 while it doesnt run for 3.0.

2010-08-30  Matthias Clasen <mclasen@redhat.com>

	* gladeui/glade-inspector.c, gladeui/glade-named-icon-chooser-dialog.c:
	Some build fixes to help compile against GTK+ 3.0

2010-08-30  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-gtk.c: Enable GtkAssistant(child):complete property
	  and override property name and tooltip for the Glade environment to say:
	  "Initially Complete"/"Whether this page will initially be marked as complete 
	  regardless of user input." (closes bug 529595).

2010-08-29  Tristan Van Berkom <tristanvb@openismus.com>

	* gladeui/glade-project.[ch]:
	  - Applied Johannes Schmid's changes in bug 623879.
	  - Added MISC column to the project model (displayable information
	    about whether the widget is an internal child of a composite widget
	    or a frame's label or notebook's tab).

	* gladeui/glade-inspector.c: Fixed regression in the inspector; inspector
	  was failing to display information about frame labels and internal action
	  areas and such.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in:
	  Fixed GtkComboBox/GtkIconView popup actions (was missing
	  the GtkWidgetClass actions such as add/remove parent)
	  Fixes bug 628146.

2010-08-26  Tristan Van Berkom <tristanvb@openismus.com>

	* plugins/gtk+/glade-gtk.c: Fixed glade_gtk_frame_add_child() to remove any previous
	  placeholders.

	* gladeui/glade-project.c:
	  - Simplified code to use glade_widget_get_children() instead
	    of glade_widget_adaptor_get_children()
	  - Added treemodel stamp and attempt to stamp and validate all
	    GtkTreeIters.

2010-06-15  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac: Require GTK+ 3.0 and change package domain from glade3 -> glade

	* src/Makefile.am, gladeui/Makefile.am: application 'glade-3' -> 'glade',
	  library libgladeui-1 -> libgladeui-2

	* plugins/Makefile.am, plugins/gnome/*: Removed libgnomeui support.

	* plugins/gtk/gtk+.xml.in, plugins/gtk/glade-gtk.c: Removed all reference to
	  deprecated GTK+ widgets (anything removed in 3.0).

2010-06-10  Javier Jardón <jjardon@gnome.org>

	* m4/python.m4: quote the definition of AM_CHECK_PYMOD

2010-06-10  Javier Jardón <jjardon@gnome.org>

	* gladeui/glade-utils.c: Use gtk_show_uri() instead custom code
	* src/glade-window.c: Use the same api (based in gtk_show_uri()) to show the help and urls.

2010-06-10  Javier Jardón <jjardon@gnome.org>

	* src/glade-window.c: Fix the user and developer url location

2010-05-15  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-project.c: Fixed crasher on cross-project copy paste by reordering
	  the sequence of events in glade_project_add_object().

2010-05-14  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS: Rolling Glade 3.7.1

	* gladeui/glade-widget.c: Added some clarification to the docs of glade_widget_get_children(),
	  fixed glade_widget_get_children() to not call g_list_append() in a loop.

2010-05-14  Johannes Schmid <jhs@jsschmid.de>

	* gladeui/glade-app.c: Allow destruction/recreation of the GladeApp object

	* gladeui/glade-signal-editor.[ch]: Some refactoring to make the signal editor
	  object itself a dockable widget and remove some cruft api (bug 618020)

	* gladeui/glade-project.[ch]: Implement GtkTreeModel

	* gladeui/glade-base-editor.c, gladeui/glade-editor.c: Adjust for new signal
	  editor api

	* gladeui/glade-inspector.c: Remove duplicate store and use the the GladeProject
	  as the store directly.

	* src/glade-window.c: Removed some code related to old signal editor api cruft.

2010-05-01  Javier Jardón <jjardon@gnome.org>

	* gladeui/glade-signal-editor.c: Do not show the event box in signal editor

2010-04-01  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-project.c:
	  - Display GTK+ in caps and always assume GTK+ as a project dependency
	    (so that empty projects still depend on GTK+ for display purposes).
	  - Stop showing preferences at project new time (now we have tooltips that tell you this stuff),
	    finally closing bug 574095.

2010-03-31  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-signal-editor.c: Moved unrefs from finalize --> dispose, unload the loaded
	  widget and disconnect from support-changed signal, avoid clearing liststore when its owning
	  view is destroyed and we're unsetting the widget in ->dispose.

	* src/Makefile.am, src/glade-close-button.[ch]: Using Paolo Borelli's close button code for notebook
	  tab close buttons.

	* src/glade-window.c:
	  - Added option to disable toolbar in View menu and session data (bug 586194).
	  - Added option to show notebook tabs for open projects also in the View menu and session data.
	  - Added option to show/hide statusbar in the View menu and session data.

	* gladeui/glade-palette.c: Made "both" mode use text horizontally again, still get alot of unwanted 
	  ellipsize here.

	* gladeui/glade-project.c: Added the targets-changed signal to refresh views with data about
	  target project versions (notebook tabs).

	* gladeui/glade-base-editor.c: Fixed to unref in ->dispose() and to unset the loaded widget
	  in the signal editor when doing so.

	* gladeui/glade-signal-editor.c: Save some space in treeview column headers.

2010-03-30  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Block the glade_gtk_text_buffer_changed()
	  handler when updating the buffer text (this feedback loop was causing segfaults when undoing
	  modifications to a text buffer's text).

	* gladeui/glade-signal-editor.c: Fixed access to signal name in object dialog hander (was a crasher).

	* gladeui/glade-widget.c: Fixed GladeWidget to update support warnings on newly added signals.

	* plugins/gtk+/gtk+.xml.in: Removed GtkUIManager as its not really editable in Glade but still
	  asks for an icon at startup.

2010-03-29  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-editor-property.[ch]: 
	  - Added glade_editor_property_show_object_dialog()
	  - Give object dialogs a bigger default size and hide the column headers
	  - Fixed an assertion and page-size != 0 for adjustment properties in libglade mode

	* gladeui/glade-signal-editor.c: 
	  - Use glade_editor_property_show_object_dialog() to select project objects for signal user data.
	  - Added tooltips for the column headers
	  - Now show an icon and tooltip in rows for signals that are only
	    supported in the future, refresh them when support changes.
	  - Dont show swapped column in libglade mode
	  - Reordered support icon to come before the signal name and let the column be user
	    resizable along with the others (non-resizable unellipzised signal name columns expand over time)

	* gladeui/glade-widget-adaptor.h, gladeui/glade-property-class.h: Added some version checking macros.

	* gladeui/glade-signal.[ch]: Add support warning meta data to signals

	* gladeui/glade-project.c:
	  - Simplify code with new version checking macros
	  - Do the verify on signals for widgets as well as project warnings
	    (update the signals a verify time).

	* gladeui/glade-widget.c: GladeWidget takes a new "support-changed" to broadcast support changes
	  on the widget.

	* gladeui/glade-popup.c: Allow adding new actions to action groups from the palette ("Add widget here").

	* plugins/gtk+/glade-accels.[ch]: Moved individual accelerator [de]serialization here, special integration
	  for action types, for actions only show one accelerator and dont load/save the "activate" signal name.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Added support for GtkActionGroup <--> GtkAction
	  relationships and support for editing/loading/saving of accelerators which can be associated with
	  actions inside an action group.

2010-03-28  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/Makefile.am, gladeui/glade-cell-renderer-icon.[ch]: Added activatable pixbuf renderer

	* gladeui/glade-signal-editor.c: Use new activatable pixbuf renderer to render a devhelp icon
	  and fire signal contextual devhelp searches.

	* plugins/gtk+/glade-model-data.c, plugins/gtk+/glade-attributes.c: Use GladeCellRendererIcon
	  instead of GladeCellRendererButton which was more convoluted (included only an icon when editing).

	* plugins/gtk+/Makefile.am: Removed glade-cell-renderer-button.[ch]

2010-03-28  Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

	* gladeui/glade-base-editor.c: Avoid GtkEntry feedback loop with g_signal_handlers_block_by_func(),
	fixes bug 609612.

2010-03-28  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in:
	  - Sync attributes when they are set to be used directly and not by the model (fixes loaded state
	    of explicitly set cell renderer properties). 
	  - Fix last patch to reset cellrenderer attributes from a GladeProperty::value-changed signal
	    instead of the property mutator implementation (as the "columns" property is construct-only
	    and the widget is rebuilt - property reference lists are unavailable at ->set_property time).

	* gladeui/glade-widget-adaptor.[ch]: Add a "scrollable" flag on the adaptor class vtable
	  introspected by checking if (widget_class->set_scroll_adjustments_signal) != 0.

	* gladeui/glade-utils.[ch]: Added glade_util_check_and_warn_scrollable() to check and warn the
	  user if they are trying to add a non-scrollable widget to a scrolled window.

	* gladeui/glade-app.c, gladeui/glade-popup.c, gladeui/glade-placeholder.c, plugins/gtk+/glade-gtk.c: 
	Consult glade_util_check_and_warn_scrollable() before executing commands that introduce objects
	to the project.

	* gladeui/glade-xml-utils.h: Added "swapped" attribute definition

	* gladeui/glade-signal.c: Added "swapped" attribute and read/write from xml, swapped attribute is
	always saved, if its missing on load and user_data (object) is set, we assume a swapped default.

	* gladeui/glade-signal-editor.c: Allow toggling "swapped" flag of a signal if user data is set.

	* gladeui/glade-widget.c: Account for new signal "swapped" flag when modifying local signals.

2010-03-27  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-marshallers.list, gladeui/glade-placeholder.c:
	  Make GladePlaceholder a scrollable widget (hypothetically) to avoid runtime warnings.

	* plugins/gtk+/gtk+.xml.in: Disabled "has-separator" of GtkMessageDialog as it ignores the separator
	  and the setting is useless (not to mention setting it causes runtime warnings: fixes bug 587288).

	* gladeui/glade-project.[ch]: Expose glade_project_get_target_version()

	* plugins/gtk+/glade-gtk.c:
	  - check project target gtk+ version to decide initial state
	    of GtkEntry::buffer.
	  - Substitute the old manual evaluation with GPC_VERSION_CHECK()
	  - Avoid critical warnings when setting GtkColorButton properties to NULL
	  - Avoid critical warnings when setting GtkComboBoxEntry::text-column < 0
	  - Check for type compatibility before setting cell renderer attributes
	  - Clear cell renderer attributes before setting liststore column types and resync them after
	    (Avoids cricital warnings where the underlying data types changed and dont match the properties
	    of the renderers)
	  - Fill in the gaps in model data while loading some columns with non serializable types
	    (fixes severe bug: model data was loaded with missing columns of data).

	* gladeui/glade-property-class.h: Created convenience macro GPC_VERSION_CHECK

	* gladeui/glade-utils.c: Allow loading of libraries installed in optional non-system prefixes;
	  (so that GtkSourceView catalog is buildable and usable from your jhbuild environment)
	  assume a path that is: ${prefix}/lib/glade3/modules/../../ and search it after the initial 
	  module search path.

	* plugins/gtk+/glade-column-types.c, plugins/gtk+/glade-model-data.c: 
	  allow model data with explicitly G_TYPE_INVALID types.

2010-03-26  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-palette.c: Left aligned and ellipsize end widget group titles (restored normal
	  Glade palette behavior) and added tooltip to group title (closing bug 558983).

	* src/glade-window.c: Added an idle function to reload GtkPaned positions from the session data
	  in the case the window fires up maximized.

2010-03-25  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/Makefile.am, gladeui/glade-palette.c:
	  - Removed glade-palette-box.[ch], glade-palette-expander.[ch] and glade-palette-item.[ch].
	  - Integrated GtkToolPalette as the internal implementation of Glade's palette (bug 613956).

	* plugins/gtk+/glade-gtk.c: Fix some remaining crashes from the GSEAL() stuff (GtkBoxChild
	  invalid type dereferencing).

	* plugins/gtk+/gtk+.xml.in, plugins/gnome/gnome.xml.in, plugins/gnome/canvas.xml.in,
	plugins/gtk+/gtkunixprint.xml.in: Added missing displayable values and rooted out latest
	resulting startup warnings for GTK+ 2.20.

	* gladeui/glade-widget-adaptor.[ch]: Save the original missing icon name if the icon was
	  not found.

	* gladeui/glade-catalog.c: Print a summery of all missing icon names for thier classes
	  (cleans up start up warnings).

2010-03-25  Federico Mena Quintero  <federico@novell.com>

	* plugins/gtk+/gtk+.xml.in: bgo#594231 - Fix the orientation of
	GtkVBox and other vertically-oriented widgets.  We disable the
	"orientation" property on those widgets, so that we can use the
	values that GTK+ actually provides.  GTK+ does not currently
	report the right defaults for those widgets, so the final values
	were being overwritten - so vboxes appeared horizontal.  In the
	future we will make GtkBox et al instantiable so the user can
	really have orientable containers.

2010-03-24  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-signal.[ch]: Broke api of glade_signal_write(), this api should never
	  be called outside of the Glade core so its a soft api break.

	* gladeui/glade-widget.c: Call glade_signal_write() with the current project format, fixes bug 600031.

	* plugins/gtk+/gtk+.xml.in: Flag 'save-always' for 'can-focus' property on GtkEntry.

2010-03-20  Javier Jardón <jjardon@gnome.org>

	* gladeui/glade-builtins.c: Use g_timeout_add_seconds() instead of g_timeout_add()
	  (gnome goal bug 581255).

2010-03-20  Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

	* src/glade-window.c: Save maximized window state of main window and
	  all dockable editors in the session data (fixes bug 607670).

2010-03-17  Christian Persch  <chpe@gnome.org>

	* gladeui/glade-xml-utils.c: Save glade files with UTF-8 encoding
	This avoid putting character entities for non-ASCII characters in the
	extractable strings. Bug #596205.

2010-03-11  Aaron Brown  <aaron.j.brown@hotmail.com>

	* src/glade-window.c: Changed "Close without saving" acelerator key
	  from 'c' to 'w', fixes bug 612538.

2010-03-10  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Marked GtkSpinner since="2.20"

2010-03-10  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS: Rolling Glade 3.7.0

	* plugins/gtk+/gtk+.xml.in: Removed alot of virtually defined properties that were not available 
	  in GTK+ 2.14, now they are available.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/glade-entry-editor.c: Enhanced the GtkEntry editor
	  to allow the user to chose between the "text" and the "buffers" exclusively.

2010-03-10  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-model-data.c: Fixed crasher when double freeing the data tree
	  in some idle handlers (idle handlers needed for advanced focus handling/keynav), fixes crash bug 608011.
	  Also make sure to create the adjustment with a 0 page size.

	* plugins/gtk+/gtk+.xml.in: Fixed translation details pointed out by Johannes H. Jensen
	  in bug 607348.
	
2010-03-10  Javier Jardón <jjardon@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Deprecated GtkGammaCurve and GtkCurve

2010-03-09  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Deprecated input dialog

2010-03-09  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: Fixed GtkBox & GtkTable regressions introduced
	  by GSEAL patches.

	* plugins/gtk+/gtk+.xml.in: Updated newly added symbols in GTK+ on widgets already
	  in the catalog; added new objects from GTK+:
	  - GtkEntryBuffer
	  - GtkSpinner
	  - GtkCellRendererSpinner

2010-03-09  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/glade-column-types.[ch], 
	  plugins/gtk+/glade-model-data.c: Allow litteral string values for 
	  column types in the tree store editor, Glade will serialize/deserialize
	  the string litterally and if there is a valid type returned from
	  g_type_from_name() (i.e. a valid introduced type by that name); then 
	  that GType will be used to setup the column types of runtime treestores
	  in the project; otherwise it will use G_TYPE_POINTER for those columns.

	  This closes bug 597095.

2010-03-09  Marco Diego Aurélio Mesquita <marcodiegomesquita@gmail.com>

	* gladeui/glade-project.c: Avoid collapsing commands when a project is freshly saved
	  (this fixes a false "unmodified" state after changing the same property before and
	  after project save).

2010-01-28  Javier Jardon <jjardon@gnome.org>

	* README: Glade requires GTK+ >= 2.20

2009-12-18  Javier Jardón <jjardon@gnome.org>

	* doc/gladeui-docs.sgml: Fix doc location link

2009-12-04  Javier Jardón <jjardon@gnome.org>

	Use accessor functions instead direct access. Second patch

	GTK+ 2.19.0 is now the required version
	I've used all the GTK+ 2.19.1 api available, still missing:
	GTK_WIDGET_UNSET_FLAGS (widget, GTK_TOPLEVEL);
	GTK_WIDGET_SET_FLAGS (widget, GTK_REALIZED);
	GTK_WIDGET_REALIZED ()
	GTK_WIDGET_MAPPED ()

	https://bugzilla.gnome.org/show_bug.cgi?id=594957

2009-12-04  Javier Jardón <jjardon@gnome.org>

	Use accessor functions instead direct access.

	GTK+ 2.17.10 is now the required version
	I've used all the GTK+ 2.18.* api available, still missing:
	GTK_WIDGET_UNSET_FLAGS (widget, GTK_TOPLEVEL);
	GTK_WIDGET_SET_FLAGS (widget, GTK_REALIZED);
	GTK_WIDGET_REALIZED ()
	GTK_WIDGET_MAPPED ()
	GTK_VIEWPORT ()->bin_window
	GTK_ENTRY ()->editing_canceled

	https://bugzilla.gnome.org/show_bug.cgi?id=594957

2009-11-09  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Disable default saving behaviour of order dependant 
	GtkAdjustment properties and installed glade_gtk_adjustment_write_widget() to write the properties out
	in the following order: "lower", "upper", "value" (fixes bug 578484).

2009-10-12  Javier Jardon <jjardon@gnome.org>

	* configure.ac: Support silent build when using automake >= 1.11

2009-09-14  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.c: Fixed crasher while copying internal widgets (bug 595156)

2009-07-01  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: Fixed loading state of assigned GtkTreeModels of GtkCellRendererCombo
	objects (bug 566928).

2009-06-29  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS: Rolling Glade 3.6.7
	
	* configure.ac, gladeui/glade-app.c: Added --enable-mac-bundle configure option to
	special case runtime path lookups to bundling builds.

	* gladeui/glade-popup.[ch]: Added glade_popup_is_popup_event () to check the correct
	GdkEventButton state for a context menu (in a platform independant way).

	* gladeui/glade-base-editor.c, gladeui/glade-editor-property.c, gladeui/glade-palette-item.c,
	gladeui/glade-placeholder.c, gladeui/glade-widget.c, gladeui/glade-inspector.c: Use new
	popup function to detect whether to show a context menu or not (bug 587128).

	* gladeui/glade-base-editor.c: Fixed crashes with editable treeview column types (bug 586715).

2009-06-27  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, glade/gtk+/glade-gtk.c: Fixed GtkTextView crashes when
	editing the textview in line, now we update the associated GtkTextBuffer:text property
	if available or the GtkTextView:text virtual property when in libglade mode.

2009-06-25  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-property.c: glade_property_sync_impl(), dont sync properties
	that are the primary property of that klass for the said widget (properties
	can float outside of widget->properties in some cases, shouldnt effect the
	widget though).

	* plugins/gtk+/glade-gtk.c: 
	  - glade_gtk_button_write_widget (), make stock button labels save as 
	    non-translatable automatically (bug 352446).
	  - Added sync_use_appearance() to reset the use-appearance property when local
	    widget property updates demand that the appearance be resynchronized (this
	    is actually a bug in GTK+ somewhere).
	  - Avoid tampering with the virtual GtkBox:size property while loading a project.
	
	* plugins/gtk+/gtk+.xml.in: Attributed use-action-appearance property with "needs-sync"
	for better chances at a good visual result when copy/pasting etc.

	* plugins/gtk+/glade-activatable-editor.c: Reverse order in which the image is
	removed from GtkImageMenuItems (so that mucking with stock doesnt recreate one
	2 lines further), now image menu items with controlling actions dont get orphaned images.
	
	* gladeui/glade-widget-adaptor.c: Sync remaining properties at load time
	which were not specified in the glade file (now the use-action-appearance
	property shows up right even if default and not present in the Glade file).

2009-06-22  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS: Rolling Glade 3.6.6
	
	* gladeui/glade-app.c, gladeui/Makefile.am: Find quartz specific runtime prefix
	using ige_mac_bundle_get_path() (bug 586551)

	* gladeui/glade-project.c: Added algorythm to introspect lowest possible
	version of GTK+ to depend on for a project, this helps cases where the 
	versioning data is missing, instead of defaulting to latest which may
	cause problems for people specifically targetting GTK+ 2.12 (bug 586046).
	
	* plugins/gtk+/gtk+.xml.in: Mark accel-groups property as since GTK+ 2.16.
	
2009-06-20  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Make GtkMessageDialog texts translatable (bug 586063)

	* gladeui/glade-clipboard-view.c, gladeui/glade-command.c, gladeui/glade-property-class.c,
	gladeui/glade-utils.c, plugins/gtk+/glade-gtk.c: Replaced symbols with new glib 
	variants (Sam Thursfield - bug 572756)

	* src/glade-window.c, gladeui/glade-editor-property.c,
	plugins/gtk+/glade-accels.c, plugins/gtk+/glade-cell-renderer-button.c, 
	plugins/gtk+/glade-gtk.c:
	Replace use of deprecated GTK+ functions (Sam Thursfield - bug 572756).

	* gladeui/glade-xml-utils.h, gladeui/glade-editor-property.c: Use GtkComboBox
	instead of deprecated GtkOptionMenu (Sam Thursfield - bug 572756).

	* src/glade-window.c: Case the GTK+ version and call non-deprecated symbols when in GTK+ 2.16 (bug 572756).

2009-06-18  James Liggett <jrliggett@cox.net>
	
	* gladeui/glade-widget.c: Make sure that the project view is not 
	NULL in glade_widget_show. (bug 585860)

2009-06-15  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Make assistant page-titles translatable (bug 503146), marked since 2.10 on
	some assistant properties.

	* gladeui/glade-editor-property.c: show resource dialog button when creating (seems we
	were relying on a show_all() call that isnt called for packing properties).
	
2009-06-12  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Rolling Glade 3.6.5 (added more output in configure.ac
	config summery).

	* gladeui/glade-project.[ch], gladeui/glade-command.c, gladeui/glade-inspector.c: 
	Really fixing widget naming policies again, this time I hope it sticks (bug 580745).

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Fixed dissapearing
	dialogs on ESC (bug 582559)

	* plugins/python/Makefile.am: Fixed relocated link problems with python 
	plugin build (bug 582982, patch by Arun Raghavan).

2009-06-11  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, src/Makefile.am, src/glade-window.c: Use ige-mac-integration
	if available for quartz builds (set the menubar as the application menu and
	correctly handle the quit button).

2009-06-06  Tristan Van Berkom <tvb@gnome.org>

	* NEWS: Rolling Glade 3.6.4
	
	* plugins/gtk+/glade-gtk.c: Sync up size requests of fixed/layout children
	at load time (bug 584334).

2009-05-27  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS: Updating for 3.6.4 ... [ NOT ROLLED YET ]

2009-05-27  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-base-editor.c, gladeui/glade-inspector.c, gladeui/glade-palette-item.c,
	gladeui/glade-placeholder.c, gladeui/glade-widget.c: Made Glade barely usable on the Mac,
	now all popup menus will popup on (GDK_MOD[1-3]_MASK && event->button == 1) as well as
	on (event->button == 3) since Mac is missing the right mouse button and ports X server
	setup doesnt seem to emulate it.

	* gladeui/glade-property-class.c: Add me to authors.

2009-05-17  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-base-editor.c: fixed bug in glade_base_editor_add_default_properties()
	  It was setting the wrong type model.

	* gladeui/glade-widget-adaptor.c: use parent icon if none is found for the class
	  This helps a lot for custom composite widget.

2009-04-29  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-project.c: Check project naming policy at add_object() time (bug 580745).

2009-04-24  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c:
	  o fixed icon source state write bug on write_icon_sources()
	  o fixed loading bug in glade_gtk_icon_factory_read_sources()
	    we either use g_list_append() or steal/insert to add new icon sources

2009-04-22  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.6.3
	
	* plugins/gtk+/gtk+.xml.in: Removed buggy query dialog from notebook (closing bug 578727).
	
	* plugins/gtk+/glade-gtk.c: Made Atk proxy objects always have unique names (at
	least as unique as the widget they are created for) (bug 579565).

	* src/glade-window.c: Removed hard coded size request to palette (Bug 579624)
	(added some default pane positions).

2009-04-22  Davyd Madeley <davyd@madeley.id.au>

	* plugins/gtk+/glade-gtk.c: Fixed output format for GtkLabel attributes (bug 579793).

2009-04-21  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* doc/gladepython.sgml: added Glade Python plugin documentation.
	
	* doc/gladeui-docs.sgml, doc/Makefile.am: added reference to the new docs.

2009-04-18  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Fixed GtkButton to only allow real stock items,
	gave GtkImage a default icon-size of GTK_ICON_SIZE_BUTTON (better than invalid).

	* plugins/gtk+/glade-activatable-editor.c, 
	gladeui/glade-editor-property.c: Maintain current widget selection
	during commits of related-action (was causing crashes when the
	selection changed as a result of a commit, bug 578869).

2009-04-15  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS, data/gladeui.pc.in: Bumping
	required GTK+ version in the .pc and rolling 3.6.2.
	
	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: 
	Added glade_gtk_cell_renderer_read_widget() and now
	glade_gtk_cell_layout_read_child() doesnt load attributes
	if the object property has been explicitly specified in
	the Glade file (fixes bug 566928).

2009-04-07  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: GtkWindow adaptor was skipping GtkWidget
	adaptor when chaining up in ->write_widget() (causeing atk props,
	accelerators and signals in libglade to be missed - bug 578211).

2009-04-06  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-button-editor.c: Properly initialize GValue on 
	stack (fix by Felix Riemann - bug 577822).

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/glade-store-editor.c: 
	Disabled 'data' property for treestores (oops not supported by
	GtkBuilder, Bug 577685).

	* gladeui/[...].h: Fixed failed build on Msys/MinGW (Bug 576851 – 
	fix by Damon Register).
	
2009-03-25  Tristan Van Berkom <tvb@gnome.org>

	Fixed Mal-ordering of atk properties, signals and accelerators in
	Libglade format output.
	
	* gladeui/glade-widget.[ch]: Now export glade_widget_write_signals(),
	only write signals from the core when in builder format.

	* plugins/gtk+/glade-gtk.c: glade_gtk_widget_write_widget(), write
	properties out as "properties -> atk -> signals -> accelerators when
	in libglade format, leave signals to core when in builder format.

2009-03-21  Tristan Van Berkom <tvb@gnome.org>
	
	* NEWS, configure.ac: Rolling 3.6.1
	
	* gladeui/glade-command.c: Fix win32 crasher (bug 575206) again (seems
	I missed it was klass->name that was null, fixed it so it would never
	be null, and added g_assert() where the crash was.

	* gladeui/glade-widget.c: Fix broken hash table maintenence in 
	glade_widget_remove_property() (bug 575885).

2009-03-21  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-command.c: Fix win32 crasher (bug 575206) 

2009-03-16  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling Glade 3.6.0

	* gladeui/glade-command.c: Remove widgets from their project before removing
	  them from their parents (fixes bug 567809)

	* src/glade-window.c: Dont access NULL GError when glade_project_save()
	  returns FALSE with no error (user canceled save) (Fixed bug 574706).

2009-03-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-property.c: reverted fix for bug #573513. (bug #574260)

	* plugins/gtk+/glade-gtk.c: fixed bug #573513 again.

2009-03-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in: mark missing translatable strings #573661

	* gladeui/glade-property.c: do not write disabled props on
	  glade_property_write() fixes bug #573513

	* plugins/gtk+/glade-gtk.c: added convenience function 
	  glade_gtk_container_create_editable() to disable custom editables
	  part of bug #573513.

	* gladeui/glade-signal-editor.c: fixed Bug #573453
	  "Signal connect-after is not functional." using Ryu Jinno`s patch as reference.

2009-02-09  Jonh Wendell <jwendell@gnome.org>

	* lots of directories: Set the svn:ignore property.

2009-02-05  Tristan Van Berkom <tvb@gnome.org>

	* NEWS: Rolling Glade 3.5.7
	
	* gladeui/glade-editor-property.c: Added "commit" signal to allow custom editors to do
	command group/macros serialized around property changes.

	* plugins/gtk+/glade-activatable-editor.[ch], plugins/gtk+/Makefile.am, po/POTFILES.in:
	New activatable editor to handle activatable properties in smart ways.

	* plugins/gtk+/glade-gtk.c: Made various properties insensitive when activatable
	properties are in effect.

	* plugins/gtk+/glade-tool-button-editor.c: Made tables insensitive when activatable
	properties are in effect.

	* plugins/gtk+/glade-button-editor.c: Allow use of use-stock choice while activatable
	properties are in effect.

	* src/glade-window.c: Fix markup in confirm close dialog, patch by Felix Riemann (bug 567450).

	* plugins/gtk+/gtk+.xml.in: Marked use-stock property from imagemenuitem to be save-always (bug 568064).
	
2009-01-27  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac: Bumping version for Anjuta dependancy

	* plugins/gtk+/gtk+.xml.in: Added some metadata about GtkAction

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Updated and virtualized properties from gtk+ 2.16
	
2009-01-23  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-entry-editor.c, plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: 
	updated for new GtkEntry property name changes.

2009-01-20  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-design-layout.[ch]: added GladeDesignLayout::widget-event
	  signal. Patch by Pavel Kostyuchenko (bug 542337).

	* gladeui/glade-accumulators.[ch]: added glade_integer_handled_accumulator()

	* gladeui/glade-signal-editor.[ch], gladeui/glade-signal-editor.[ch],
	  gladeui/glade-app.[ch], src/glade-window.c: 
	  "Improvement of GladeSignalEditor" Bug 540691 by Pavel Kostyuchenko.

	* plugins/gnome/glade-gnome.c: Fixed compiler warnings in
	  glade_gnome_bonobodockitem_get_props()

2009-01-19  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling Glade 3.5.6

	* po/POTFILES.in: Added glade-entry-editor.c

2009-01-05  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/Makefile.am, plugins/gtk+/gtk+.xml.in, 
	plugins/gtk+/glade-entry-editor.[ch]: Added new editor
	for GtkEntry with radio buttons for its mutually exclusive
	icon properties (bug 567454).

	* gladeui/glade-editor-property.[ch]: Added file chooser dialog
	to pixbuf properties (bug 567817).

2009-01-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* NEWS, configure.ac: Rolling 3.5.5

2009-01-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-inspector.c: call gtk_tree_view_expand_all() in
	  glade_inspector_set_project() 

	* gladeui/glade-widget.c: fixed Bug #525839 "Glade hangs in toolbar editor"
	  replaced assert with if statement in glade_widget_copy_properties()

	* gladeui/glade-signal-editor.c: fixed Bug #522542 "glade-3 crashes when
	  pressing Enter in signal handler entry field"
	  removed unnecessary treeview row-activated handler.

2009-01-05  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-base-editor.c: s/glade_widget_set_name()/glade_command_set_name()
	(Pavel Kostyuchenko - bug 533471).

	Treeview editor revamp, few crashers fixed, need to come back and note...

2008-12-29  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-cell-renderer-button.c: Made it possible
	to tab into the i18n button.

	* plugins/gtk+/glade-model-data.c: Added sequential editing mode option
	(TODO: maybe add this to session data ?)

	* gladeui/glade-widget-adator.c, gladeui/glade-property-class.[ch]:
	Converted pclass booleans to bitfields, now disabled property classes
	are kept around so that we dont screw up inheritance.

	* gladeui/glade-catalog.[ch]: Fixed version types to guint16.

2008-12-15  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.5.4

2008-12-15  Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* src/glade-window.c:
	* src/glade-window.h:
	* gladeui/glade-palette-box.h:
	* gladeui/glade-design-view.h:
	* gladeui/glade-design-layout.h:
	* gladeui/glade-palette-expander.c:
	* gladeui/glade-palette-expander.h:
	* gladeui/glade-widget-adaptor.c:
	* gladeui/glade-palette-item.c:
	* gladeui/glade-palette-item.h:
	* gladeui/glade-palette.h:
	* gladeui/glade-named-icon-chooser-dialog.h:
	* gladeui/glade-app.c:
	* gladeui/glade-property-class.h: Cleaned up gtk and glib includes
	to use only toplevel headers. Patch from Maxim Ermilov. Bug #561260.

2008-12-13  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-inspector.c: Removed old search code.
	
	* plugins/gtk+/gtk+.xml.in: Added missing displayable values.
	
	* plugins/gtk+/glade-column-types.c: Fixed crashers on empty input, keep focus on
	current cell when editing is canceled.

	* plugins/gtk+/glade-model-data.c: keep focus on current cell when editing is canceled.

2008-12-10  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-name-context.[ch], gladeui/glade-editable.[ch], 
	gladeui/glade-displayable-values.c: Relicensed LGPL.

	* plugins/gtk+/glade-image-editor.c, plugins/gtk+/glade-image-item-editor.c,
	plugins/gtk+/glade-button-editor.c, plugins/gtk+/glade-label-editor.c,
	plugins/gtk+/glade-cell-renderer-editor.c, plugins/gtk+/glade-tool-button-editor.c,
	gladeui/glade-editor-table.c, gladeui/glade-base-editor.c: 
	Now editable portions of properties dont expand in tables, leaving more freedom 
	for labels to expand in tight spots, no more item_labels in radio buttons (they dont expand).

	* gladeui/glade-widget-adaptor.c: Fixed regression, now disabled classes are not
	reinstalled in subclasses.

2008-12-09  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.5.3

2008-12-09  Michael Gratton  <mike@vee.net>

	* gladeui/glade-property-class.c: Change spin button page size to
	0 for numeric property values editorsm, stops a lot of GTK
	warnings.

2008-12-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>
	
	* plugins/gtk+/icons/22x22/widget-gtk-uimanager.png,
	plugins/gtk+/icons/22x22/widget-gtk-cellrenderertoggle.png,
	plugins/gtk+/icons/22x22/widget-gtk-entrycompletion.png,
	plugins/gtk+/icons/22x22/widget-gtk-cellrendererprogress.png,
	plugins/gtk+/icons/22x22/widget-gtk-recentaction.png,
	plugins/gtk+/icons/22x22/widget-gtk-windowgroup.png,
	plugins/gtk+/icons/22x22/widget-gtk-cellrendereraccel.png,
	plugins/gtk+/icons/22x22/widget-gtk-volumebutton.png,
	plugins/gtk+/icons/22x22/widget-gtk-treestore.png,
	plugins/gtk+/icons/22x22/widget-gtk-cellrendererpixbuf.png,
	plugins/gtk+/icons/22x22/widget-gtk-liststore.png,
	plugins/gtk+/icons/22x22/widget-gtk-cellrendererspin.png,
	plugins/gtk+/icons/22x22/widget-gtk-cellrenderertext.png,
	plugins/gtk+/icons/22x22/widget-gtk-iconfactory.png,
	plugins/gtk+/icons/22x22/widget-gtk-scalebutton.png,
	plugins/gtk+/icons/22x22/widget-gtk-cellrenderercombo.png
	plugins/gtk+/icons/16x16/widget-gtk-cellrenderertoggle.png,
	plugins/gtk+/icons/16x16/widget-gtk-treeviewcolumn.png,
	plugins/gtk+/icons/16x16/widget-gtk-entrycompletion.png,
	plugins/gtk+/icons/16x16/widget-gtk-cellrendererprogress.png,
	plugins/gtk+/icons/16x16/widget-gtk-recentaction.png,
	plugins/gtk+/icons/16x16/widget-gtk-windowgroup.png,
	plugins/gtk+/icons/16x16/widget-gtk-cellrendereraccel.png,
	plugins/gtk+/icons/16x16/widget-gtk-volumebutton.png,
	plugins/gtk+/icons/16x16/widget-gtk-treestore.png,
	plugins/gtk+/icons/16x16/widget-gtk-cellrendererpixbuf.png,
	plugins/gtk+/icons/16x16/widget-gtk-liststore.png,
	plugins/gtk+/icons/16x16/widget-gtk-cellrendererspin.png,
	plugins/gtk+/icons/16x16/widget-gtk-cellrenderertext.png,
	plugins/gtk+/icons/16x16/widget-gtk-iconfactory.png,
	plugins/gtk+/icons/16x16/widget-gtk-scalebutton.png,
	plugins/gtk+/icons/16x16/widget-gtk-cellrenderercombo.png:
	Added new icon files, most of them are a combination of other icons.

	* plugins/gtk+/icons/22x22/widget-gtk-action.png,
	  plugins/gtk+/icons/22x22/widget-gtk-actiongroup.png,
	  plugins/gtk+/icons/22x22/widget-gtk-radioaction.png,
	  plugins/gtk+/icons/22x22/widget-gtk-toggleaction.png,
	  plugins/gtk+/icons/16x16/widget-gtk-action.png,
	  plugins/gtk+/icons/16x16/widget-gtk-actiongroup.png,
	  plugins/gtk+/icons/16x16/widget-gtk-radioaction.png,
	  plugins/gtk+/icons/16x16/widget-gtk-toggleaction.png:
	  new icons by Mike Gratton <mike@vee.net> bug #561979

2008-12-09  Tristan Van Berkom <tvb@gnome.org>

	* COPYING: Updated to reflect current temporary dual licensing scheme, package is to be LGPL, with
	code portions that are still marked as GPL until they can be relicensed, both licenses are included
	in the package already.

	* plugins/gtk+/glade-store-editor.h plugins/gtk+/glade-icon-factory-editor.h
	plugins/gtk+/glade-image-item-editor.c plugins/gtk+/glade-image-editor.c plugins/gtk+/glade-image-item-editor.h
	plugins/gtk+/glade-model-data.c plugins/gtk+/glade-icon-sources.c plugins/gtk+/glade-tool-button-editor.c
	plugins/gtk+/glade-image-editor.h plugins/gtk+/glade-model-data.h plugins/gtk+/glade-icon-sources.h
	plugins/gtk+/glade-tool-button-editor.h plugins/gtk+/glade-text-button.c plugins/gtk+/glade-button-editor.c
	plugins/gtk+/glade-column-types.c plugins/gtk+/glade-text-button.h plugins/gtk+/glade-label-editor.c
	plugins/gtk+/glade-column-types.h plugins/gtk+/glade-button-editor.h plugins/gtk+/glade-cell-renderer-editor.c
	plugins/gtk+/glade-label-editor.h plugins/gtk+/glade-cell-renderer-editor.h plugins/gtk+/glade-treeview-editor.c
	plugins/gtk+/glade-convert.c plugins/gtk+/glade-store-editor.c plugins/gtk+/glade-icon-factory-editor.c
	plugins/gtk+/glade-treeview-editor.h: First files to safely be completely relicensed under LGPL.

2008-12-09  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac: Bumping gtk+ required version to 2.14

	* gladeui/glade-xml-utils.c, gladeui/glade-widget-adaptor.[ch],
	gladeui/glade-property-class.[ch], gladeui/glade-project.c: Added support
	for "builder-since" versioning (since builder supported this property/widget).

	* plugins/gtk+/gtk+.xml.in: Marked appropriate properties and objects "builder-since"
	and brought up to date new properties and signals introduced in 2.14.

	* gladeui/glade-base-editor.c: Plugged resource leak in finalize().

2008-11-28  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-inspector.c: added explanation string in the search entry.
	"< search widgets >" with italic style and insensitive color.

2008-11-28  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-inspector.c: Added GCompletion/GtkTreeModelFilter to the inspector with
	a new search entry.

	* gladeui/glade-widget-adaptor.c: Fixed bug with iface props, they were getting listed
	once per implementing subclass (subclasses of implementors had it listed > 2 times).

2008-11-25  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-utils.c: Hijack the cntl-n accelerator too now.

	* plugins/gtk+/glade-column-types.c, plugins/gtk+/glade-model-data.c, plugins/gtk+/glade-store-editor.c:
	Enhanced model editing, now there is completion in type names, and column types are defined inline
	with no add or delete keys, model data can be edited and navigated without using the pointer either.

	* gladeui/glade-command.c: Fixed check for wrapperless objects returned by adaptor_get_children().

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: 
	  - Added editor support for Icon View.
	  - Added editor support for Combo Box
	  - Renderers watch project format changes and now sync attributes in an idle
	    when moving into builder format (fixes renderer appearance after undo of project
	    conversions).

	* plugins/gtk+/glade-cell-renderer-editor.c: Export a new function to get the model from
	the renderer regardless of the layout type.

	* plugins/gtk+/glade-treeview-editor.c: Now supports editing any view that can have a model,
	and pops up the store editor automatically on the right of the normal widget editor.

	* plugins/gtk+/glade-convert.c: Fixed conversions for combo boxes.

	* gladeui/glade-base-editor.c: Now include signal editor outside notebook, update signal
	editor on page changes.

2008-11-23  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.c: 
	  - glade_widget_build_object() now calls glade_widget_set_object() internally and then 
	    uses glade_widget_adaptor_set_property() for non construct properties.
	  - glade_widget_dup_properties/glade_widget_copy_properties take 2 new args, whether copy
	    parentless widget properties or not, and whether to copy them exactly or not.
	  - added glade_widget_get_parentless_reffed_widgets() to return a list of reffed parentless
	    widgets.

	* gladeui/glade-command.c: Now add/remove parentless widget props from the project in 
	  command_add/remove.
	
	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: 
	  - Made GtkTreeView:model property query user at create time.
	  - Fixed to never sync properties when in attribute mode, to sync attributes
	    after adding cells to cell layouts, and to not set attributes to orphan cells
	    (net result: copy/paste of treeviews now result in a nice runtime replica).
	  - Did some reordering in glade-gtk.c
	  - Added load/save support for <action-widgets> of GtkDialog (response ids).
	  - Fixed gtk_image_menu_item_set_stock() to not override the label value if not
	    in use_stock mode (fixes missing labels in pasted imagemenuitems).
	
2008-11-22  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-base-editor.c: 
	  - Removed apis to add popups, now they are autogenerated
	  - Added glade_base_editor_append_types(), glade_base_editor_new() now
	    only adds types supported by the container object, use _append_types() to
	    define hierarcic type relations for children.
	  - Added "main_editable" optional argument to glade_base_editor_new(), the editor
	    now contains a main page with the provided editable, or creates a general editable
	    for the container for the general page.

	* gladeui/glade-editor-table.c: 
	  - Fixed a warning hiding a never built label
	  - Load propertes up a realize time (some sizes need negotiation when loaded editables
	    are going into dialogs that are not yet on screen).

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: 
	  - Now the toolbar editor can add menus and edit menus inside the gtkmenutoolbutton
	    (fixed bug 429438).
	  - First itteration on the treeview editor, removed annoying actions for column/cell
	    hierarchy and do it all in the editor, added position packing property to treeview
	    column for this (treeview column still implemented generically as a cell layout).

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-treeview-editor.[ch]: New editor to group
	  the treeview and model together in the base editor treeview editor

2008-11-20  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Added all remaining metadatas for cell renderers
	  (all cell renderers and attributes now implemented).

	* plugins/gtk+/glade-column-types.c: Fixed to populate enums/flags only
	after all catalogs parsed, now they are listed in alphabetical order too.

	* plugins/gtk+/glade-cell-renderer-editor.c: Added GladeEPropCellAttribute

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Integrated new eprop
	  for cell renderer attributes, avoid setting attributes for columns that
	  exceed model bounds (except on load).

2008-11-19  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-cell-renderer-editor.c:
	Added a new editor for cell renderers

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Added metadata for
	all attributes and auxilary properties in the catalog, and added hooks
	to manipulate, load and save cell renderers, reused most of Juan Pablo's
	work for this, and also for treeview column child renderer support.

2008-11-15  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-editor-property.[ch]: Fixed recursion in the eprops when
	updating values (due to exterior callers calling ->load() when the project
	changes for thier custom editors), this fixes glitches when editing multiline
	text entries.

	* src/glade-window.c: Update glade-app accel group.

	* gladeui/glade-widget-adaptor.[ch], gladeui/glade-xml-utils.h: Added
	new backend ->depends() vfunc to determine toplevel dependancies (for
	glade file output ordering).
	
	* gladeui/glade-project.[ch], gladeui/glade-app.c: 
	  - Remove accel group notion from projects
	  - Sort dependancies using glade_widget_adaptor_depends()

	* gladeui/glade-base-editor.c:
	  - Use global accel group (with keypress editor hijack in place)
	  - No longer modal
	  - added "container" property on the editor
	  - dedicated dialogs self destruct if their container changes

	* gladeui/glade-utils.c: added glade_utils_hijack_key_press ()

	* src/glade-window.c: Moved hijack_key_press to glade_utils

	* gladeui/glade-editor.[ch]:
	  - Added "widget" property
	  - added glade_editor_dialog_for_widget()

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: 
	  - Added "Edit Separately" action
	  - Added ->depends() func for GtkWidget and GtkSizeGroup

2008-11-12  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-utils.c: Refixed use of uninitialized variable (bug 559678).

	* gladeui/glade-app.c: Fixed win32 api for deprecated api usage (bug 559678).

	* plugins/gnome/glade-gnome.c: Fixed build breakage (bug 560668).

	* plugins/gtk+/glade-gtk.c: Delete dangling submenus when moving children
	  around in the menu editor (bug 560145).

2008-11-12  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: Fixed loading of images and only set image
	data when in the correct edit mode.

	* plugins/gtk+/glade-convert.c: Fixed toolbutton conversions to search
	icon factories from the beginning of the object list and not the current
	list position.

	* gladeui/glade-project.c: When changing resource paths, reload all pixbuf
	properties automagically (this wont work for custom pixbufs like icon factory
	has).

2008-11-08  Kjartan Maraas  <kmaraas@gnome.org>

	* gladeui/glade-utils.c: (glade_utils_get_pspec_from_funcname),
	(glade_util_ui_message), (glade_util_gtk_combo_find):
	* src/glade-window.c: (confirm_close_project):
	Try to avoid using deprecated glib api. Bug #559678.

2008-11-07  Juan Pablo Ugarte <juanpablougarte@gmail.com>
	
	* gladeui/glade-widget.c, gladeui/glade-widget-adaptor.c: moved signal and
	children serialization from glade_widget_adaptor_object_write_widget() to
	glade_widget_write() (bug #559531)

2008-11-07  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Faked the accel-group property and added
	accel-groups object list to GtkWindow... work in progress.

	* plugins/gtk+/glade-image-item-editor.c: Adjusted for accel-group property
	which is only avaiable for stock items.

	* plugins/gtk+/glade-gtk.c: Fixed sensitivity for accel-group/stock at load time.

	* plugins/gtk+/glade-convert.c: Set the toplevel window accel-groups property when
	converting.

	* gladeui/glade-editor-property.c: Labels dont go insensitive anymore, I think that
	was a general usability problem, the inputs still go insensitive and there are always 
	useful tooltips, the insensitivity message still gets across.

	* gladeui/glade-editor-table.c: Fixed breaking weak refs from dispose.

	* gladeui/glade-project.c: Now save project resource directory in glade file
	comments if user specified a relative or absolute path in the prefs dialog,
	otherwise resources are loaded from the project's directory.

2008-11-05  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-xml-utils.c, gladeui/glade-property-class.c: Added 
	parameter-spec parsing, need to updated docs still (fixes bug 382701).

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-attributes.c,
	plugins/gtk+/glade-icon-sources.c, plugins/gtk+/glade-accels.c, plugins/gtk+/glade-model-data.c,
	plugins/gtk+/glade-column-types.c:
	- Removed all custom parameter spec implementations in the plugin and replaced them
	  with automatically generated ones parsed by the xml.
	- Fixed hierarchy bugs, some classes were not saving.

2008-10-31  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-image-item-editor.[ch], plugins/gtk+/glade-gtk.c:
	making menu conversions seemless

	* gladeui/glade-widget.c: Remove widgets from layout on hide,
	hide widgets when adding parentless prop refs.

2008-10-30  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.[ch], gladeui/glade-command.[ch]: Added
	glade_widget_[un]lock() and glade_command_[un]lock_widget().

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-convert.c,
	plugins/gtk+/glade-image-item-editor.c: Dual format menu editing support
	depending on my gtk+ patch on bug 527672, TODO: still need to add accel-groups
	to GtkWindow on the glade side of things.

2008-10-28  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: 
	Reimplemented GtkMenuItem and subclasses from top to bottom

	* plugins/gtk+/glade-image-item-editor.[ch], plugins/gtk+/Makefile.am:
	New GtkImageMenuItem editor (that embeds the child image editor when needed)

	* gladeui/glade-command.[ch]: Added glade_command_[un]protect_widget()

	* gladeui/glade-widget.[ch]: Added glade_widget_[un]protect()
	protected widgets come with a message and cannot be manually deleted
	from the project.

	* plugins/gtk+/glade-image-editor.c, plugins/gtk+/glade-button-editor.c,
	plugins/gtk+/glade-tool-button-editor.c, gladeui/glade-editor-table.c:
	Fixed to:
	- not reffer to child editables in finalize
	- always removed external signals and weak references from finalize

	* gladeui/glade-base-editor.c: Fixed to allow properties expand/fill
	in both label and entry.

	* src/glade-window.c: Clear toolbar actions when closing projects.

	* gladeui/glade-gtk.c: Fixed bugs around load/save of button/imagemenuitem
	label (stock driven) properties.

	* plugins/gtk+/glade-image-item-editor.c: Fixed a null dereference, glade_command_create()
	sometimes ends up changeing the selection, so the editable may be reloaded in the
	midst of its flow.

	* gladeui/glade-property.c, gladeui/glade-widget-adaptor.c: Now check for pclass->save
	and pclass->enabled *before* calling glade_property_write(), this allows plugins to
	mark props as save="False" and save those properties with custom values, still allowing
	them to use the GladeProperty api.

	* plugins/gtk+/glade-icon-factory-editor.[ch], plugins/gtk+/Makefile.am,
	plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c:
	Added icon factory editor widget (only to better format the "sources" property
	so that it takes the whole width with the treeview.
	
	* plugins/gtk+/glade-store-editor.[ch], plugins/gtk+/Makefile.am,
	plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c:
	Added liststore/treestore editor widget (only to better format the "columns"
	and "data" properties so that it takes the whole width with the treeview.

	* plugins/gtk+/glade-label-editor.[ch], plugins/gtk+/Makefile.am,
	plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Rewrote GtkLabel implementation from 
	top to bottom with custom editor (now all those conflicting properties are dummy proofed) 

	* plugins/gtk+/glade-attributes.c: Fixed some glitches, now its usable, closing case
	for now, we have attributes, they are global for the label but better that way for i18n'ing.

2008-10-27  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: 
	- Reimplemented GtkImage from ground up.
	- Reimplemented stock on GtkButton.
	- Made toolbutton editables show up in the toolbar editor

	* gladeui/glade-base-editor.[ch]: Added glade_base_editor_add_editable()

	* plugins/gtk+/glade-button-editor.c, plugins/gtk+/glade-tool-bar-editor.c:
	Implement new Editable vfunc set_show_name()

	* gladeui/glade-editor-table.c, gladeui/glade-editable.c, gladeui/glade-editor.c:
	Added new vfunc set_show_name()

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-image-editor.[ch]: New editor
	widget for GtkImage

	* gladeui/glade-property-class.[ch]: string props can now be "stock" or "stock-icon"

	* gladeui/glade-widget-adaptor.c: No more stock enum eprops

	* gladeui/glade-editor-property.c: Handle string types with "stock" or "stock-icon"

	* plugins/gtk+/glade-image-editor.[ch], plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c,
	gladeui/glade-property-class.c: Override type of GtkImage::icon-size to use real
	GTK_TYPE_ICON_SIZE for editing purposes (needed to fix the core a bit for this), also
	improved image editor to keep sizes contextual to image edit mode.

2008-10-26  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-tool-button-editor.[ch]:
	Added GtkToolButtonEditor editable implementation.

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Reimplemented toolbuttons
	from ground up.

	* gladeui/glade-editor-property.c: object dialog now doesnt do "new" for unmentioned
	abstract or uninstantiatable types, also enhanced dialog title.

	* gladeui/glade-project.c: Moved "parse-finished" emission to /after/ resolving
	object properties (doh !).

2008-10-25  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-property-class.c: Fixed glade_property_class_make_adjustment()
	for floating and double values (page inc and size were not properly set) (bug 553200)

	* gladeui/glade-app.c: Fixed a warning

	* gladeui/glade-editor-table.c: Was loading invisible properties, oops.
	
	* doc/properties.sgml: Documented custom-layout property.

	* plugins/gtk+/gtk+.xml.in: mark some props save-always for overridden
	defaults in children (this one is bug 555726)

	* plugins/gtk+/glade-cell-renderer-button.c: Fixed a warning.

	* plugins/gtk+/glade-column-types.c, plugins/gtk+/glade-model-data.c,
	plugins/gtk+/glade-icon-sources.c: Made sure add/remove works when
	deleting unedited icon sources, all add buttons result in focus and
	start-editing of an important cell in the underlying treeview.

	* gladeui/glade-utils.c: Fixed generic enum types to use enum_class->minimum
	as the default value.

	* plugins/gtk+/glade-gtk.c: Ignore parent-changes on internal widgets (that
	causes problems when internal widgets get destroyed at project close time).

	* plugins/gtk+/glade-button-editor.c: Fixed custom/standard commands,
	now standard mode sets up a default label etc also.

	* gladeui/glade-project.c, gladeui/glade-property.c, gladeui/glade-widget.c,
	gladeui/glade-property-class.[ch], gladeui/glade-xml-utils.h:
	Removed hack for GtkToolButton:icon --> iconfactory (will do in glade-convert.c
	properly).

	* gladeui/glade-convert.c: Properly convert toolbutton:icon both ways.

	* plugins/gtk+/glade-gtk.c: Undid a little toolbutton support so that
	stock-id remains untouched and is accessible in builder format, TODO
	rework toolbars and menus (will be simpler) with GladeEditable.

	* gladeui/glade-command.c: Fixed a crasher in project conversions.

2008-10-24  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-button-editor.[ch]:
	Added new #GladeEditable implementation for GtkButton general page.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Completely reworked GtkButton, 
	much cleaner and less code now.

	* gladeui/glade-property-class.c: string_from_enum, now returns the nick and not the
	name (generally all around nicer menus when no displayable values and also smaller
	nicer glade files). Displayable values are now consequently indexed by nick and not name.

	* gladeui/glade-displayable-values.[ch]: Added reverse lookup glade_get_value_from_displayable()

	* gladeui/glade-utils.[ch]: When doing glade_utils_enum/flag_value_from_string(), allow
	displayable values (also added glade_utils_enum/flag_string_from_value_displayable()).

	* plugins/gtk+/glade-icon-sources.c: Use all around displayable values for items
	in the treeview.

2008-10-23  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/Makefile.am, gladeui/glade-editable.[ch], gladeui/glade-editor-table.[ch]:
	- Added GladeEditable interface used as pages by GladeEditor
	- Added GladeEditorTable widget to implmenemt the editable as the traditional table
	  with sorted properties

	* gladeui/glade-editor.[ch]: Removed lots of code, now uses GladeEditables returned
	  by thier adaptors.

	* gladeui/glade-editor-property.c: Removed obsolete doc-search signal.

	* gladeui/glade-widget-adaptor.[ch]: Added GladeCreateEditableFunc to allow backends
	  to define layouts of pages in the editor.

	* src/glade-window.c: Fixed a warning.

2008-10-22  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: fixed bug in glade_gtk_assistant_verify_property()
	  new value should be >= that current

	* plugins/gtk+/gtk+.xml.in: renamed virtual property GtkAssistant::size to n-pages

2008-10-22  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/Makefile.am, gladeui/glade-displayable-values.[ch]: Rewrote displayable
	values so no need for redundancies anymore (bug 556452). Also now displayable values
	are more accessible for the plugin.

	* plugins/gtk+/gtk+.xml.in, plugins/gnome/*.xml.in: Removed redundant displayable value
	declarations (alot of them !).
	
	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-icon-sources.[ch]:
	new pspec and eprop for GtkIconSources in GtkIconFactories.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Added load/save/set_property/string_from_value
	support for icon sources in icon factories.

2008-10-21  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-window.c, gladeui/glade-editor.c, gladeui/glade-editor-property.[ch],
	gladeui/glade-popup.[ch]: Abolished "View->Context Help" and added a context menu
	to editor properties.

	* gladeui/glade-editor.c, gladeui/glade-editor-property.c: Implemented something
	based on Pavel's patch, wordwrapping in the editor works better now.

	* gladeui/glade-project.c: Fixed regression, now the inspector updates on widget
	name changes.

	* gladeui/glade-widget.c: Implement property lookups with a hash table, fixed mem leaks

	* gladeui/glade-property.c: Read properties from the passed node directly, fixed mem leaks

	* gladeui/glade-widget-adaptor.c: Read properties in the order they are listed in the file, 
	not by the order of the properties in the object (helps load performance).

	* gladeui/glade-project.c: Fixed mem leaks, release widget property references before
	destroying all the glade widgets.

	* plugins/gtk+/glade-attributes.c: Use glade-cell-renderer-button for color attributes.

	* plugins/gtk+/glade-cell-renderer-button.c: no more button-text property

	* plugins/gtk+/glade-text-button.c: Now use a GTK_STOCK_EDIT icon in the cell renderer button

2008-10-20  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-cell-renderer-button.[ch], plugins/gtk+/glade-text-button.[ch]:
	Now can optionally make the entry non editable.

	* plugins/gtk+/glade-model-data.c: Added pixbuf editing support.

	* doc/widgetclasses.sgml, doc/properties.sgml: Clarified docs.

	* gladeui/glade-editor-property.[ch]: Removed resource editor, edit pixbuf with
	string editor.

	* gladeui/glade-widget-adaptor.c, gladeui/glade-property-class.c,
	gladeui/glade-project.[ch]: Completely removed concept of resources, glade
	no longer copies along pixbufs, pixbuf properties can include full paths
	or relative paths, in the glade runtime; any pixbufs are only ever loaded
	from the glade project directory (only the basename is used).
	
2008-10-19  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-cell-renderer-button.[ch], plugins/gtk+/glade-text-button.[ch],
	plugins/gtk+/glade-model-data.c: Added i18n support to string values in datastores.
	
2008-10-18  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-model-data.c: Now support editing enum types

	* plugins/gtk+/glade-column-types.c: Generate a list of enum and flag column types to select from.

2008-10-18  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-command.c: Fixed property commands to not unify across separate groups,
	and also to unify when they are not lists.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-model-data.c:
	  - Data properties now have DnD working
	  - Adding TreeViewColumn support
	  - Fixing liststore support to work for treestore
	  - Added lots of actions on the treeview column
	  - Marked GtkNotebook::pages as invisible

	* gladeui/glade-editor.c: Allow query dialogs on invisible properties
	  if requested.
	
2008-10-16  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-attributes.c: applied proposed patch for bug #547431
	  '"Scale" ambiguous for translation' <Theppitak Karoonboonyanan>

2008-10-16  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/Makefile.am, gladeui/glade-name-context.[ch]: Encapsulated name tracking mechanism

	* gladeui/glade-project.c, gladeui/glade-command.c: Now added a naming policy to the project
	with prefs and load/save support + a glade command to set it - also revamped the prefs dialog,
	it also pops up automatically for new projects.

	* gladeui/glade-editor.c, gladeui/glade-editor-property.c, gladeui/glade-property-class.c,
	gladeui/glade-property.c, gladeui/glade-widget.c: All effected since now 
	glade_property_class_make_gvalue_from_string () needs a GladeWidget argument to do
	hierachic context sensitive searches... that and naming is much cleaner now.
	
	* src/glade-window.c: remember to pass ownership of the project to the app.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/glade-column-types.c, plugins/gtk+/glade-model-data.c:
	Cleaned up code, now data will dynamically reorder itself upon column changes, data is mostly
	all editable save for some glitches, and all columns have unique names to which the data is
	directly related.
	
2008-10-10  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-xml-utils.c, gladeui/glade-property-class.[ch]: Added
	new "needs-sync" property

	* gladeui/glade-widget.c: glade_widget_sync_custom_props(): also sync
	props marked as needs-sync.

	* plugins/gtk+/gtk+.xml.in: GtkTable:n-rows/n-columns marked as "needs-sync"

2008-09-30  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-property.[ch], gladeui/glade-command.[ch], 
	gladeui/glade-editor-property.c: Implemented new "context" i18n
	metadata.

	* gladeui/glade-widget.c: Fixed to hide non-window widgets in glade_widget_hide()
2008-09-29  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-column-types.[ch]: Exported glade_column_list_copy/free()

	* plugins/gtk+/glade-model-data.[ch], plugins/gtk+/Makefile.am: Added model data
	  pspec, editor not complete yet...
	
	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Implemented new pspec as
	  list/treestore's "data" property with load/save support.

	* plugins/gtk+/glade-convert.c: Made combos convert correctly with new modeldata
	  pspec.

	* gladeui/glade-utils.[ch]: Added glade_utils_liststore_from_enum_type()

	* gladeui/glade-widget.c: glade_widget_rebuild() updates prop_refs now

	* gladeui/glade-property-class.c, gladeui/glade-xml-utils.h, gladeui/glade-property.c: 
	  now you can set construct-only on virtual properties, they will rebuild the object
	  and give you a chance to sync (you MUST handle set_property in a construct-only case)

2008-09-29  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-column-types.[ch]: added missing files.
	  close bug #554258 "glade-column-types.h missing"

2008-09-28  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/glade-column-types.[ch],	
	  plugins/gtk+/Makefile.am, plugins/gtk+/gtk+.xml.in: Added load/save/edit
	  support for GtkTreeStore/GtkListStore basic columns and data definitions
	  (store data still not translatable...) - Juan Pablo Ugarte

	* gladeui/glade-utils.c: Added convenience funcs glade_utils_string_from_value()
	  and glade_utils_value_from_string(), these actually use glade-property-class api.
	
2008-09-22  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: fixed bug #543314 
	  "Crash when adding an Input DIalog"
	  added glade_gtk_dialog_stop_offending_signals()
	  to stop "hierarchy-changed" and "screen-changed"
	  default handlers in GtkInputDialog and GtkFileChooserWidget

2008-09-22  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-editor-property.c: Fixed adjustments when values are null in
	libglade mode

	* plugins/gtk+/gtk+.xml.in: Reorganized groups, added some more metadatas

	* plugins/gtk+/glade-convert.c: 
	  - Convert "text" property of TextView to a textbuffer and text property 
	    in builder format.
	  - Convert "tooltip" <--> "tooltip-text"
	
	* gladeui/glade-popup.c, gladeui/glade-inspector.c: enhanced menu for 
	inspector empty spots (paste toplevels)

	* gladeui/glade-editor-property.c: Adjustments in libglade had bugs, hardcoded
	default values here and made sure object is NULL on default.

	* gladeui/glade-widget.[ch]: Removed glade_widget_project_notify()

	* gladeui/glade-command.c: 
	  - glade_command_remove() implicitly makes commands to unset any properties 
	    reffering to the object being removed from the project.
	  - project conversions now cleanup unsupported widgets/properties

	* gladeui/glade-palette.c, gladeui/glade-app.c: Moved toplevel widget creation
	code from gladeapp to gladepalette.

2008-09-21  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: Set sizegroup_add action sensitive/insensitive
	  depending on project format

	* plugins/gtk+/gtk+.xml.in: Set libglade-unsupported && create-type on alot of properties

	* gladeui/glade-editor-property.c: Set eprop insensitive also if its in an unsupported
	  format

	* gladeui/glade-xml-utils.h, gladeui/glade-property-class.c: Added "create-type"

	* gladeui/glade-property.[ch]: Now property states can be flagged and
	  also include format_disabled state.

	* gladeui/glade-widget.c, gladeui/glade-widget-adaptor.[ch],
	gladeui/glade-xml-utils.c: New "construct-object-function" used to construct
	object instances by way of the plugin (glade_widget_adaptor_construct_object ()).

2008-09-20  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated.

	* gladeui/glade-utils.c: Improved error messages in load_module() routine.

	* plugins/gtk+/gtk+.xml.in: 
	  - Enabled object properties all over.
	  - Added sizegroup support stuff

	* plugins/gtk+/glade-gtk.c: 
	  - Added GtkWidgetClass support for add to size group
	    action with dynamic submenu
	  - added sizegroup virtual "widgets" property
	  - added custom load/save support for "widgets" property

	* gladeui/glade-popup.c: Added support for dynamic action submenus

	* gladeui/glade-widget-adaptor.[ch], gladeui/glade-xml-utils.h: Added
	  GladeActionSubmenuFunc backend support for creation of dynamic
	  action submenus.

	* gladeui/glade-widget.[ch] removed deadcode glade_widget_create_action_menu()

	* gladeui/glade-project.c: Added readonly "format" property

	* src/glade-window.c, gladeui/glade-inspector.c, gladeui/glade-utils.c,
	gladeui/glade-app.c:
	  - Made sure that the first toplevel in the project is selected and visible 
	    at load time in both the workspace and inspector
	  - Sorted objects from widgets in the inspector view.

	* gladeui/glade-xml-utils.h, gladeui/glade-catalog.[ch], 
	gladeui/glade-widget-adaptor.[ch], gladeui/glade-property-class.[ch],
	gladeui/glade-project.c, glade-palette-item.c: Added "supports" catalog element
	to supply supported formats, added libglade-only and libglade-unsupported properties
	for widget classes and property classes, those metadata will show up in the editor
	like versioning info, in the verify logs as well, and the palette will adjust
	sensitivity according to the new properties.

	* plugins/gtk+/gtk+.xml.in, plugins/gnome/gnome.xml.in: Added supports
	elements and marked widgets/properties as libglade-only/libglade-unsupported in
	the gtk+ catalog, added ALL objects, with no extra support.

2008-09-19  Tristan Van Berkom <tvb@gnome.org>

	Now we have a conversion routine that is run in the plugin to
	convert some data for one format to another (builder on the way...)
	In this patch we use it to handle GtkAdjustment property conversions.
	(NOTE: Completely undoable)
	
	* gladeui/glade-editor-property.c: Made adjustment eprop fallback on
	  object dialog in builder cases.

	* gladeui/glade-command.[ch]: Added glade_command_set_project_format()

	* gladeui/gldae-catalog.c, gladeui/glade-xml-utils.h: Added GladeProjectConvertFunc

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-convert.c,
	plugins/gtk+/gtk+.xml.in: New file to handle conversion routines, 
	added some objects.

2008-09-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in:
	  o set packing GtkBox::position as save-always (bug #551060)
	  o set packing GtkToolbar::expand as save-always (bug #544654)

2008-09-18  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-window.c: 
	  - Show glade widgets in the workspace on selection changes in the project 
	    and not on item-activated.
	  - Rename "Dock Editor" -> "Dock Properties" as per bug 487613.
	
	* gladeui/glade-design-layout.c: Fixed expose event to chain to parent class
	  after drawing an orange box (non window widgets are usualy GTK_NO_WINDOW).

	* gladeui/glade-widget.c: Made glade_widget_show() show the toplevel of any
	  GtkWidget object, also now shows toplevel non window glade widgets in the
	  workspace, if the widget is referenced by a property that as a result parents
	  the widget (i.e. bears a "parentless-widget" property reference), then the
	  referencing widget is shown instead.

	* gladeui/glade-popup.c: Added devhelp icon to documentation menu item, added
	  docs icon to normal menu.

	* plugins/gtk+/glade-gtk.c: 
	  - insert before/after in box is working now (bug 550636).
	  - take into account cancelation of query dialog in add_parent action 
	    code (bug 549685)
	  - switch notebook pages to display the selected widget (bug 392045).

	* TODO: Updated.

2008-09-18  Christian Persch  <chpe@gnome.org>

	* gladeui/glade-app.c: (glade_app_show_properties),
	(glade_app_hide_properties):
	* gladeui/glade-command.c: (glade_command_pop_group): Replace the
	deprecated G_GNUC_PRETTY_FUNCTION with G_STRFUNC. Bug #512559.

2008-09-18  Christian Persch  <chpe@gnome.org>

	* plugins/Makefile.am: Install the catalogue DTD. Bug #552767.

2008-09-17  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-editor.[ch]: Exposed doc_search() command for palette popup

	* gladeui/glade-popup.[ch]: Added glade_popup_palette_pop(), with add
	  widget as toplevel feature & doc search feature.

	* gladeui/glade-palette-item.c: Handle right-click for popup

	* gladeui/glade-inspector.c: Make inspector list widgets in natural order

	* gladeui/glade-project.c: Fixed widget order list (bug 422823)

	* gladeui/glade-gtk.c: Fixed widget order inside GtkTable
	  (bug 422823 - patch by Pavel Kostyuchenko)

2008-09-16  Pavel Kostyuchenko <ShprotX@gmail.com>

	Patch adds support for non GtkWindow toplevel project widgets and handles
	carefully properties that reffer to parentless gtkwidgets (bug 532636).
	(also fixes GtkMessageDialog ...)
	
        * gladeui/glade-app.c:
          Creating toplevel widget through unified glade-palette interface.
          Removed error message when pasting non-toplevel widgets without
          a parent.

        * gladeui/glade-command.h: A new function for getting depth of command recursion

        * gladeui/glade-command.c:
          A new function for getting depth of command recursion.
          A return value of glade_command_set_property_execute function is valid
          and is respected by glade_command_set_properties_list.
          indicate success/failure of their execution.
          Glade-command can be unified to null.
          Setting property command is always executed as a group, so if there is
          any recursive command, they will be added to that group.
          Removed parentless widget message level lowered from critical to
          message.
          Widget is treated as toplevel only if it has no parent.
          Removed an assertion from glade_command_create that doesn't allow
          creation of non-GtkWindow parentless widgets

        * gladeui/glade-editor-property.c:
          Object selection dialog will be optionally filled by parentless
          non-GtkWindow widgets only
          Unparenting root widgets before setting another property to them

        * gladeui/glade-inspector.c:
          Popup for clicking even on empty part of widget list

        * gladeui/glade-palette.h:
          A unified function for creating root widgets

        * gladeui/glade-palette.c:
          A unified function for creating root widgets
          A new button for creating root widgets

        * gladeui/glade-placeholder.[ch]:
          glade_placeholder_get_project has been made public for using in
          glade-popup

        * gladeui/glade-popup.c:
          A new function glade_popup_simple_pop for creating a context menu on
          an empty space of glade-inspector
          New context menu items for adding widgets

        * gladeui/glade-popup.h:
          A new function glade_popup_simple_pop for creating a context menu on
          an empty space of glade-inspector

        * gladeui/glade-project.c:
          Unifying command even if there's redo items.
          Unifying atomic commands only.
          Unifying to null

        * gladeui/glade-property-class.[ch]:
          A new field for making properties that points to parentless widgets

        * gladeui/glade-property.h:
          Added a return value to glade_property_set* functions to indicate
          success/failure that is used in glade-command

        * gladeui/glade-property.c:
          Ignoring parentless_widget properties while duplicating properties.
          Additional check while adding/removing property reference
          Added a return value to glade_property_set* functions to indicate
          success/failure that is used in glade-command.
          Determining that property is changed using glade-proproperty method
          instead of direct comparing GValue.
          Loading properties through glade-widget-adaptor interface instead of
          getting them directly.
          remove_object method now unsets referencing property instead of
          setting it.
          Removed dummy duplicated setting of property while unsetting
          referencing property.

        * gladeui/glade-property.h:
          Added a return value to glade_property_set* functions to indicate
          success/failure that is used in glade-command.

        * gladeui/glade-widget.c:
          Removed setting widget properties to template/default values while
          building a new object, because they will be set later in constructor.
          Reloading properties after duplicating a widget.
          A new function for removing parent reference, that was made by setting
          parentless_widget property to the widget.
          Saving and loading parentless_widget properties while rebuilding,
          because they cannot be duplicated.
          Corrected destroying of an old widget while rebuilding. Seems like
          it's not fully correct still.

        * gladeui/glade-widget.h:
          A new function for removing parent reference, that was made by setting
          parentless_widget property to the widget.

        * gladeui/glade-xml-utils.h:
          A new tag "parentless-widget" as a property attribute

        * plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in:
          Removed an old hack for "image" property of GtkMessageDialog.
          A new implementation of "image" property using parentless_widget
          kind of property.
          Added an ability of working with parentless widgets using
          "remove parent" and "add parent" items of context menu

2008-09-16  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-design-layout.c: Fixed calculation to get deepest
	  wrapped glade widget (bug 539924 - fix by Pavel Kostyuchenko).

	* plugins/gtk+/glade-gtk.c: Made insert/remove column/row on gtktable
	  take packing property order into account (bug 503355 fix by Eli Collins).

	* src/glade-window.c: Fixed projects menu bug (bug 532156, fix by 
	  Pavel Kostyuchenko).

	* gladeui/glade-xml-utils.h: Added version macros

	* plugins/gtk+/gtk+.xml.in: Added version 2.14

	* gladeui/glade-project.c: Now glade loads and saves requires
	  metadata as comments at the toplevel in libglade and older versions
	  of gtk+ that dont recognize versioning (i.e. gtk+ < 2.14) (bug 536310)

	* gladeui/glade-widget.c: Reverted the above patch portion where built
	  objects only had thier construct props set, this caused errors, fixed.

2008-09-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in:
	  added glade_gtk_label_string_from_value() to avoid
	  param spec warnings

2008-09-02  Claude Paroz  <claude@2xlibre.net>

	* gladeui/glade-utils.c: (glade_util_copy_file):
	  Trivial change in a string to remove duplicate (io -> I/O).

2008-09-01  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in:
	  response-id now only available for buttons that are in the
	  action area of dialogs (bug 464502)

2008-08-09  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-base-editor.h: Don't include the
	  private header file `glade-marshallers.h'. Rather
          include it in `glade-base-editor.c'.

2008-08-09  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in:
	  Worked around special child type naming discrepencies between
	  formats from the plugin side (bug 533217 - fix by Pavel Kostyuchenko).

	* gladeui/glade-project.c: Silently ignore unrecognized signals in glade file
	  instead of aborting (bug 533728 - fix by Pavel Kostyuchenko).

2008-08-06  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-attributes.[ch]: 
	  New internal pspec type for attributes and new editor widget for them.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: 
	  Load/Save/Edit pango attributes on GtkLabel

	* gladeui/glade-utils.[ch]: Added enum value <--> string converters.

	* plugins/gtk+/gtk+.xml.in: 
	  - Made checkbutton::draw-indicator save-always (bug 543008)
	  - Update loaded assistant pages properly (bug 540531 - fix by Antti Kaijanmäki)

	* gladeui/glade-editor-property.c: Now objects and resource property fields are updated
	  correctly (bug 542335 - fix by Pavel Kostyuchenko).

2008-08-02  Tristan Van Berkom <tvb@gnome.org>

	* doc/widgetclasses.sgml, doc/catalogintro.sgml: Ammended docs regarding
	  widget icon installations.

2008-07-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-window.c: save main window paned positions.

2008-05-27  Richard Hult  <richard@imendio.com>

	* gladeui/glade-xml-utils.h: Remove copy-and-paste mistake (by the
	looks of it). Fixes issue with duplicate symbols when linking on
	Mac.

2008-05-13  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-accels.c: Fixed bold/grey/italics in treeview.

	* gladeui/glade-editor.c: Fixed boldness in reset dialog treeview.

2008-05-11  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.c: Applied patch from Pavel Kostyuchenko to prevent
	  hangs in anjuta (bug 531585).

	* gladeui/glade-property.c, gladeui/glade-property-class.c: Applied patch from 
	  Pavel Kostyuchenko to unify duplicate implementation property comparisons (bug 532013)

	* gladeui/glade-project.c: Applied patch from Pavel Kostyuchenko to fix project
	  modified state flag glitches (bug 532017).

	* gladeui/glade.h: Applied patch from Andreas Henriksson to fix some compile errors
	  on ia64 platform (bug 530143).

2008-05-05  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-editor-property.c: Avoid feedback loops when committing properties,
	  fixes bug 527896.

	* src/glade-window.c: Updated copyright dates.

2008-05-01  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/Makefile.am, plugins/gtk+/glade-keysyms.c: Removed generated keysyms file.

	* plugins/gtk+/glade-accels.c: Removed old modifier and handbuilt keycode
	  menus and obnoxious comboboxrenderers in favour of one simple accelrenderer.

	* gladeui/glade-utils.h, gladeui/glade-builtins.h: Removed unused prototypes

	* gladeui/glade-editor.c: Added safety check.

	* gladeui/glade-property.c: Dont load virtual properties.

	* gladeui/glade-property-class.c: Fixed bug where G_PARAM_SPEC_BOXED was
	  used to check if the value held a boxed type.

2008-04-17  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-property-class.[ch]: added glade_property_class_compare()

	* gladeui/glade-editor-property.c: use new compare function in
	  glade_editor_property_commit() instead of g_param_values_cmp()
	  since GBoxed comparison is not well defined.
	  Fixes bug #528511.

2008-04-16  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget.c: make glade_widget_build_object() do not apply
	  catalog defaults if the object we are creating is for loading purposes.

2008-04-12  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-editor-property.c: Fixed invisible labels in
	the menu editor.

	* gladeui/glade-widget.c, gladeui/glade-widget.h, gladeui/glade-xml-utils.c,
	gladeui/glade-utils.c, gladeui/glade-xml-utils.h, gladeui/glade-utils.h,
	gladeui/glade-property.c, gladeui/glade-property-class.c,
	gladeui/glade-property-class.h, gladeui/glade-project.c, gladeui/glade-project.h:
	implemented "factory-stock-id" in the catalog, this allows you to take a resource
	image file property formerly hacked as a custom property in libglade, and glade
	will generate a hidden icon factory in builder files so that it will be loaded
	through the stock system instead, "factory-stock-id" depicts the name of the
	stock property of the property-class in question.

2008-04-11  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-property.c: 
	  - Fixed bold modified state for disabled properties.
	  - Added construct "class" property so that dupping doesnt crash.

	* plugins/gtk+/gtk+.xml.in: Made default width/height match
	the default-width default-height set for each dialog as reasonable
	default values.

2008-04-10  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-palette-item.c, gladeui/glade-palette.c,
	gladeui/glade-palette-item.h, gladeui/glade-palette.h:
	Now load insensitive when widgets are unsupported, and use
	a warning icon when they are deprecated, use tooltips from
	glade_project_verify_adaptor ().

	* gladeui/glade-app.[ch]: Added glade_app_check_get_project ()

	* gladeui/glade-project.c, gladeui/glade-project.h: fix some mistakes,
	added translator comments to new strings

	* src/glade-window.c: Added padding on top of undocked tools, removed
	custom label handling of widget name.

	* gladeui/glade-editor-property.c: Adapted and applied Thomas Rydzynski's patch
	so that text wraps in property editor (bug 351902)

	* gladeui/glade-editor.c: Trash the class entry and put a class header
	on the whole editor widget, fixed a bug on my signal disconnections.

2008-04-10  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-editor.c, gladeui/glade-editor.h:
	Loaded and watched the new support_warning on GladeWidget

	* gladeui/glade-editor-property.c, gladeui/glade-editor-property.h:
	Loaded and watched the new support_warning on GladeProperty

	* gladeui/glade-widget.c, gladeui/glade-widget.h: Keep a support-warning
	property around as metadata updated by GladeProject.

	* gladeui/glade-property.c, gladeui/glade-property.h:
	Added new support_warning and state properties.

	* gladeui/glade-project.c, gladeui/glade-project.h:
	Now GladeProject generates strings to show in the normal
	UI along with longer style reports, always updates widgets
	warning message metadata when they come into the project 
	or when the format or target versions change.
	Preferences dialog is not modal anymore ;-)

	* gladeui/glade-signal.c: Removed a bogus return.

2008-04-09  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.5.2. quick bugfix release

	* gladeui/glade-widget-adaptor.c: oops, was parsing booleans
	as doubles, fixed bugs with builder-unsupported and deprecated.

2008-04-09  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.5.1.

	* plugins/gtk+/gtk+.xml.in: Filled in all since, deprecated and
	  builder-unsupported properties.

	* gladeui/glade-widget.c, gladeui/glade-widget.h, gladeui/glade-widget-adaptor.c,
	gladeui/glade-command.c, gladeui/glade-widget-adaptor.h,
	gladeui/glade-utils.h, gladeui/glade-catalog.c, 
	gladeui/glade-catalog.h, gladeui/glade-app.c, gladeui/glade-app.h, 
	gladeui/glade-property-class.c, gladeui/glade-property-class.h, 
	gladeui/glade-project.c, gladeui/glade-project.h:
	Added versioning support, you can always chose the target version of
	your project starting with gtk+ 2.8 - a project preferences dialog has
	been added where you can switch your format, switch your target version
	and test for incompatabilities. incompatability error dialogs are also
	launched on save as. Target versions are saved to the glade file; 
	TODO: patch GtkBuilder to test the required gtk+ version from
	<requires lib="gtk+" version="2.8"> and at least warn, also let
	third party widget developers test thier own versions using builder.

	* gladeui/glade-xml-utils.h, gladeui/glade-xml-utils.c: routines
	for parsing version numbers.


	* gladeui/glade-utils.c: glade_util_ui_message() takes a widget to
	embed arg now.

	* doc/catalogintro.sgml, doc/widgetclasses.sgml, doc/properties.sgml:
	Documented newly added catalog tags.

2008-04-08  Tristan Van Berkom <tvb@gnome.org>

	* NEWS: Rolling 3.5.0
	
	* src/glade-window.c: Reverted the project format menu from edit

	* src/glade-utils.c: Add file format option to "save as" dialog,
	also added new filters for .ui files.

2008-04-07  Tristan Van Berkom <tvb@gnome.org>

	* autogen.sh: Run gtkdocize with --flavour=no-tmpl
	
	* configure.ac: Require gtk-doc 1.9 and bump to 3.5.0 dev version.
	
	* doc/gladeui-overrides.txt, doc/children.sgml, doc/tmpl/*: Removed unneeded.

	* doc/gladeui-docs.sgml, doc/widgetclasses.sgml,
	doc/catalogintro.sgml, doc/Makefile.am: Mega docs update, added new
	files and completely rediscribed the catalog in its new form.

	* gladeui/glade-design-view.c, gladeui/glade-widget.c, 
	gladeui/glade-widget-adaptor.c, gladeui/glade-command.c,
	gladeui/glade-widget-adaptor.h, gladeui/glade-base-editor.c,
	gladeui/glade-widget-action.c, gladeui/glade-xml-utils.c,
	gladeui/glade-utils.c, gladeui/glade-catalog.c, gladeui/glade-property.c,
	gladeui/glade-project.c: Added some description statements to newly 
	documented files, fixed some warnings in other sources.

2008-04-06  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: Implemented dual format for atk
	  properties, afaics accelerators are loaded and saved identically.

	* doc/gladeui-sections.txt: Updated with new syms.

2008-04-05  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.[ch], glade-widget-adaptor.c:
	  Now recurse through the plugin to read and write widget
	  children, allowiong you to do stuff before or after children
	  are written/read from the xml file.

	* gladeui/glade-widget-adaptor.[ch], gladeui/glade-xml-utils.h,
	  allow the plugin to handle read_child() write_child() (mostly
	  just to allow you to skip some children like fake AtkObjects,
	  but can also be used to parse/write packing stuff (i.e. the
	  <child> tag) in custom ways).

	* gladeui/glade-widget.[ch], gladeui/glade-widget-adaptor.c
	  gladeui/glade-xml-utils.[ch], gladeui/glade-project.c,
	  gladeui/glade-property.c, gladeui/glade-signal.c, 
	  plugins/gtk+/glade-gtk.c, src/glade-window.c:
	  Added basic builder support, format can be chosen via a
	  radiomenuitem in the "Edit" menu, currently supports different
	  names for the interface and widget tags, and saves special
	  child widgets accordingly (i.e. notebook tabs and frame labels).

2008-04-04  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-project.c: Resurected <requires> code and
	  saving the generic comment again, still need to load the
	  comment.

2008-04-03  Johan Dahlin  <jdahlin@async.com.br>

	reviewed by: Tristan

	* gladeui/glade-project.c:
	* gladeui/glade-project.h:

	Add file format to GladeProject and public accessors.

2008-04-03  Tristan Van Berkom <tvb@gnome.org>

	* glade-widget, glade-property, glade-gtk (plugin),
	  glade-project, glade-xml-utils... lots.

	Implemented saving of properties, signals, atkprops
	accelerators: everything is saving properly now !

	* plugins/gtk+/glade-gtk.c: Fixed crasher on null string
	  when parsing modifiers.

2008-04-02  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget-adaptor.[ch]: Added new entry points
	  to create editor widgets for plugin provided pspecs and also
	  to create strings based on plugin provided pspec.

	Moved all accelerater code out of the core and into the plugin,
	still working on loading glade files with the new parser...

	* gladeui/glade-gtk.c: 
	  - Implemented loading of accelerators.
	  - Implemented loading of atk properties (not relations or actions yet...)
	  - Implemented loading of atk actions now...
	  - Implemented atk relations

	* gladeui/glade-widget-adaptor.c, gladeui/glade-signal.c:
	  Implemented loading of signals.

	* gladeui/glade-property-class.[ch], gladeui/glade-editor.c,
	  gladeui/glade-property.c, gladeui/glade-widget-adaptor.c:
	  Removed notion of the GPCType (which differentiated atk props
	  from normal props and also accel props for various purposes),
	  now there is a boolean "atk" member that only means to put
	  these properties in the atk tab of the editor, one day we can
	  hopefully even remove this.	

	* gladeui/glade-widget.c: Fixed special-child-type loading (i.e
	  notebook tabs and frame labels), and removed some obsolete
	  loading code from the old implementation.

	* gladeui/glade-widget.[ch], gladeui/glade-project.c:
	  Basic glade file saving framework in place, currently saves
	  widgets, thier children and class types and widget names.
	
2008-04-01  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.[ch], gladeui/glade-widget-adaptor.[ch],
	  various files: Implemented loading and building of the widget
	  hierarchy, currently only types and widget names, no properties
	  or packing properties - but internal children and placeholders
	  are loaded correctly.

	* gladeui/glade-widget.[ch], gladeui/glade-widget-adaptor.c,
	  gladeui/glade-property.[ch]: Implemented loading of packing
	  properties and normal properties.
	
2008-03-30  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-parser.[ch]

	* lots of files: removed references to load/save,
	  disabled load/save - clearing the way for builder support.

2008-03-10  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.4.3

	* plugins/gtk+/gtk+.xml.in: Backing out GtkScaleButton
	  and GtkVolumeButton as they introduce strings.

	* gladeui/glade-app.c: Now if an empty project is loaded
	  and anothther project with widgets is loaded, they will
	  also be shown at load time (first widget in the layout
	  gets autoloaded).

	* plugins/gtk+/gtk+.xml.in: 
	  - Reintroducing GtkScaleButton and GtkVolumeButton in trunk.
	  - Reintroducing icon-theme dialog in trunk.

	* gladeui/glade-id-allocator.c: Avoid crashing on id 0 (bug 442860)

	* gladeui/glade-widget.c, gladeui/glade-project.c: Moved
	  widget name policing to gladeproject.

	* gladeui/glade-editor.c: Dont commit name values if name
	  already exists in the project.

2008-03-09  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.4.2
	
	* plugins/gtk+/glade-gtk.c: 
	  - Fixed a crash detail bug 493418.
	  - Reset "events" property for newly created widgets
	    (workaround for bug 472555).
	  - Added GtkVolumeButton and GtkScaleButton widgets (Ross Burton)
	  - Add/Remove parent doesnt dup widgets anymore (bug 517388)er
	
	* plugins/gnome/glade-gnome.c: Fixed some crashes on 
	  gnome druid page properties (bug 511651).
	
	* gladeui/glade-editor-property.c: 
	  - added return_if_fail guard as per bug 479468.
	  - Fixed crasher bug 506713.
	  - Reverted to real time string editing and not using
	    focus-out handlers anymore.
	  - Fixed treeview issues with objects dialog, fixing the
	    atk relations bug 512081.
	
	* gladeui/glade-base-editor.c: Made sure idle handlers werent
	  updating treeviews after the object is destroyed (also bug 506713).
	
	* gladeui/glade-app.c: When adding a first project, display the
	  first toplevel in the design layout.

	* gladeui/glade-widget.c: Handle glade_widget_show() with unrealized
	  design-view, connect-after the design-view's realize and retry.

2008-02-16  Juan Pablo Ugarte <juanpablougarte@gmail.com>
	
	* plugins/gtk+/gtk+.xml.in: ignore GtkWindow::accept-focus.
	  Fixes bug #accept-focus "crash, GtkWindow, Accept focus"

2008-01-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-window.c:
	  o set palette a default size
	  o do not set desing/editor paned position since by default the window is
	    maximized.

2008-01-15  Ivan Baldo <ibaldo@adinet.com.uy>

	* gladeui/glade-palette-expander.c: fixed bug #495853
	  "palette takes up too much space"

2008-01-15  Yang Hong <hongyang@redflag-linux.com>

	* gladeui/glade-project.c: fixed bug #504603
	  "crash while open .glade file from command line arg"

2008-01-15  Cosimo Cecchi <anarki@lilik.it>

	* gladeui/glade-editor.c: Fixed bug #388869
	  "Property edits dropped due to bad focus-event handling"

2008-01-13  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-project.c, src/glade-window.c: Fix a few i18n fumbles (#509128).

2007-12-20  Juan Pablo Ugarte juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in:
	  updated displayable values for GtkButtonBox::layout-style
	  added displayable values for GtkEntry::shadow-type

	* gladeui/glade-widget-adaptor.c: fixed bug #477025 "missing icones"
	  create_icon_name_for_adaptor() renamed to create_icon_name_for_adaptor()

2007-12-19  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* gladeui/glade-app.c: (glade_app_refresh_undo_redo_button):
	* gladeui/glade-base-editor.c: (glade_base_editor_add_properties):
	* gladeui/glade-editor-property.c:
	(glade_editor_property_tooltip_cb),
	(glade_editor_property_sensitivity_cb),
	(glade_editor_property_create_info_button),
	(glade_editor_property_constructor),
	(glade_editor_property_finalize),
	(glade_editor_property_load_common),
	(glade_eprop_text_show_i18n_dialog),
	(glade_eprop_adjustment_table_add_label):
	* gladeui/glade-editor-property.h:
	* gladeui/glade-editor.c: (glade_editor_notebook_page),
	(glade_editor_create_info_button),
	(glade_editor_create_reset_button),
	(glade_editor_table_append_item):
	* gladeui/glade-palette.c: (glade_palette_dispose),
	(glade_palette_new_item), (glade_palette_new_item_group),
	(glade_palette_update_appearance), (glade_palette_init):
	* gladeui/glade-project.c: (glade_project_dispose),
	(glade_project_init):
	* gladeui/glade-project.h:
	* gladeui/glade-property-class.c:
	(glade_property_class_new_from_spec):
	* gladeui/glade-utils.c:
	* gladeui/glade-widget.c: (expose_draw_selection):
	* plugins/gtk+/glade-gtk.c: (glade_gtk_widget_set_property),
	(glade_gtk_widget_get_property):
	* src/glade-window.c: (format_project_list_item_tooltip),
	(refresh_projects_list_menu), (glade_window_init): Port to gtk 2.12
	tooltips API. Bug #500947. Remove the unnecessary event boxes on the property
	labels, part of bug #490157.

2007-12-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* NEWS, configure.ac: Rolling 3.4.1

2007-12-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: fixed bug #503955
	  'Activating "Add Parent" on an internal widget component causes crash'

2007-12-10  Vincent Geddes  <vgeddes@gnome.org>

	* gladeui/glade-app.c (glade_app_init): Fix icon theme path for win32
	  (#469854, Martin Schlemmer).
	  
	* gladeui/glade.h: Add missing headers to glade.h (#499623, Josselin Mouette).

2007-12-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: fixed bug introduced while disabling GtkImage::stock,
	  it should be re enabled when going back to stock mode :)

2007-12-02  Christian Persch  <chpe@gnome.org>

	* src/glade-window.c: (menu_item_selected_cb),
	(ui_connect_proxy_cb): Use gtk_widget_get_action. Bug #500943.

2007-12-02  Christian Persch  <chpe@gnome.org>

	* src/main.c: (main): Use g_option_context_set_translation domain, and
	use N_() when setting the summary. Bug #500940.

2007-11-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: commited  J. Ali Harlow <ali@avrc.city.ac.uk> patch. (fixes #495057)
	  o glade_gtk_assistant_set_child_property() return if the current page is the same as position.

2007-10-26  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: added glade_gtk_radio_button_set_property() to avoid bogus warning

	* plugins/gtk+/gtk+.xml.in: added GtkRadioButton set-property-function

2007-10-22  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget.c: fixed variable redeclaration in glade_widget_embed() bug #488977
	  
2007-10-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget.c: fixed bug #480495, if the widget is realized we just call
	  gtk_widget_unrealize()

2007-10-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: disable GtkImage::stock when edit type is not in stock mode.
	  This fixs a bug pasting a filename GtkImage.

	* gladeui/glade-property-class.c: glade_property_class_make_object_from_string() now returns NULL
	  for pixbuf props on an empty string, so you can set up pixbuf props back to NULL.

	* gladeui/glade-widget.c: almost fixed bug #480495, it does not crash anymore.
	  It refuses to reparent a widget if it cant embed it.

2007-09-17  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.4.0

2007-08-21  Jens Granseuer <jensgr@gmx.net>

	* gladeui/glade-editor-property.c: fixed build with gcc 2.x (again) (bug 469357).

2007-08-21  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.3.4

2007-08-21  Tristan Van Berkom <tvb@gnome.org>

	* data/icons/drag-resize.png, data/icons/Makefile.am: new icon for the drag/resize button.

	* src/glade-window.c: "s/Select Widgets/Select/" on the selector button cause
	  it was taking too much space that way. (also used the new icon for drag/resize).

2007-08-20  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Unmarked some properties to be "themed-icon",
	  still dont have permission to include the themed icon chooser dialog
	  in 3.4.x.

2007-08-14  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Marked some properties to be "themed-icon"

	* gladeui/glade-xml-utils.h, gladeui/glade-property-class.[ch], 
	gladeui/glade-editor-property.c: Added a tag to mark string properties
	that are "themed-icon", use the themed icon chooser for those properties.

2007-08-14  Vincent Geddes <vgeddes@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: Made toolbar-style
	  optional & save always (plus it responds well in the UI) (bug 382785).

	* gladeui/glade-name-icon-chooser.[ch], gladeui/icon-naming-spec.c: Added
	  themed icon chooser (bug 359640).

2007-08-14  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.c: When building objects based on template params, 
	  dont assign properties that are disabled by GladeProperty.

2007-08-08  Yevgen Muntyan <muntyan@tamu.edu>

	* gladeui/glade-builtins.c, gladeui/glade-design-layout.c: 
	  Fixed some funcs that should be static

	* src/glade-window.c: Now saves/restores session data about docking
	  attached state & undocked window sizes/positions.

2007-08-08  Tristan Van Berkom <tvb@gnome.org>

	* MAINTAINERS: adjusted for new standard format for gnome modules
	
	* gladeui/glade-signal-editor.c: Changed "<Type the signal's handler here>" and
	  "<Type the object's name here>" for "<Type here>" so that the signal editor doesnt
	  take quite as much space anymore (bug 464505).

	* src/glade-window.c: Revived accelerators on undocked windows.

2007-08-07  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac: Removed bogus output about python bindings.

	* gladeui/glade-editor-property.[ch]: glade_editor_property_new_from_widget() added
	  "packing" argument.

	* gladeui/glade-base-editor.[ch]: Fixed va_start() without va_end() in
	  glade_base_editor_add_properties(), also added "packing" argument to
	  glade_base_editor_add_properties().

	* plugins/gtk+/glade-gtk.c: Added "expand" and "homogeneous" packing properties
	  to toolbar children in the toolbar editor (bug 429409).

2007-08-06  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Disabled the "submenu" property of GtkMenuItem
	  (setting this property to its default NULL value obviously kills menus, bug 460022)

2007-08-02  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* gladeui/glade-widget-action.c, gladeui/glade-project.c: Fix minor
	typos in messages.

2007-08-01  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-window.c: Made glade window not maximized by default (Bug 462111, by
	  request of Frédéric Bellaiche), seems most apps arent maximized by default on
	  startup anyway.

2007-07-31  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: Fixed compilation with gcc 2.95 (Bug 461923, fix by Jens Granseuer)

	* gladeui/glade-builtins.c: Sort the stock icon list alphabetically by locale 
	  (bug 454003, fix by Olivier Delhomme)

2007-07-30  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* doc/tmpl/*.sgml: removed every extra documentation, we keep them empty just
	  because otherwise the build fails.

	* doc/gladeui-docs.sgml, doc/gladeui-sections.txt, doc/gladeui.types: updated
	  (GladeWidgetClass  replaced by GladeWidgetAdaptor)

	* gladeui/glade-editor.c, gladeui/glade-editor-property.c, gladeui/glade-parameter.c,
	  gladeui/glade-widget.c, gladeui/glade-fixed.c, gladeui/glade-clipboard.c,
	  gladeui/glade-inspector.[ch], gladeui/glade-widget-adaptor.[ch], gladeui/glade-command.c,
	  gladeui/glade-command.h, gladeui/glade-base-editor.[ch], gladeui/glade-palette.[ch],
	  gladeui/glade-utils.c, gladeui/glade-signal-editor.c, gladeui/glade-app.c,
	  gladeui/glade-placeholder.c, gladeui/glade-property.c, gladeui/glade-property-class.c,
	  gladeui/glade-project.c, gladeui/glade-clipboard-view.c:
	  Added section's short and long description. (moved from tmpl)

2006-07-30  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.3.3

2007-07-25  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: 
	  - Make undoing increasing notebook size work properly (needed to destroy 
	    the added tab label project widget and remove it from the project).
	  - Disable Add/Remove parent actions on GtkToolItem, GtkMenu and GtkMenuItem.

	* plugins/gtk+/gtk+.xml.in: Set "label-xalign" of GtkFrame to be "save-always"
	  (to counter the evil effects of gtk+ bug 460272, which made it impossible to
	  set the label-xalign to 0.5).

	* gladeui/glade-catalog.c: Loop through user defined search paths and load
	  catalogs from there first.

	* gladeui/glade-utils.c: Loop through user defined search paths for modules,
	  then fallback on the compile time default, then fallback on default system
	  library paths.

	* gladeui/glade-app.h: Define env variables GLADE_MODULE_PATH & GLADE_CATALOG_PATH

	* gladeui/glade-xml-utils.h: Added GLADE_TAG_PARENT

	* gladeui/glade-widget-adaptor.c: Made it possible to declare a widget class in the
	  catalog without giving a real type, only automatically derive from a type specified
	  in the catalog (refit Muntyan's patch from bug 352714).

	* gladeui/glade-popup.c: Fixed placeholder menu to also include actions of the
	  parent widget.

2007-07-24  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-window.c: Set custom label on the property editor sensitive/insensitive
	  according to whether there is a project loaded or not

	* gladeui/glade-app.c: Unset editor widget and set insensitive when no project is
	  loaded (fixes segfaults from editing widgets that dont exist when project is
	  closed, also looks consistant with the rest of the insensitive UI with no project
	  loaded).

	* gladeui/glade-utils.c: Made glade_util_queue_draw_nodes --> glade_util_draw_selection_nodes()
	  (without the idle timeout now)

	* gladeui/glade-widget.c, gladeui/glade-placeholder.c: 
	  - Use glade_util_draw_selection_nodes(), (selection wasnt being drawn on some widgets, 
	    now it's working and there's less "flicker" when drag/resizing widgets too).
	  - Now child menu items are selectable (fixed event handling for widgets that are
	    not in the logical hierarchy)

	* gladeui/glade-project.c: Dont add objects to a project that already contains the said object.

	* plugins/gtk+/glade-gtk.c: 
	  - Add tab labels by default to notebook pages (bug 345438)
	  - Dont transfer "transfer-on-paste" properties to newly added placeholders
	    in glade_gtk_container_replace_child (fixes bug 459953)

2007-07-23  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.3.2

2007-07-23  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.[ch]: 
	  - Adding convenience funcs that help with debugging property values in plugins: 
	    glade_widget_property_string(), glade_widget_pack_property_string().
	  - Fixed order in which we setup packing actions when adding/replacing widgets in
	    containers and also commented about how packing properties are different in this
	    regard (this change allowed me to glade_widget_remove_pack_action() from the
	    backend's replace_child/add_child handlers).

	* gladeui/glade-popup.c: Added parent options in placeholder context menus.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: 
	  - Reset label/markup/use-underline properties at realize time, this 
	    fixes load time glitches with markup and mnemonics (bug 396446).
	  - Added a "Remove Slot" packing action to delete placeholders from GtkBox (bug 387963)

2007-07-20  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-design-layout.c:
	  - Use cairo instead of GdkGC to draw frame.
	  - Draw slightly darker border to ensure border is visible on some themes.

2007-07-18  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-command.[ch]: 
	  fixed memory leaks of description strings in usage of glade_command_push_group()
	  
	* gladeui/glade-widget.[ch]: Added convenience apis to set sensitivity on
	  GladeWidgetActions.

	* gladeui/glade-widget-adaptor.[ch], gladeui/glade-xml-utils.c: Added
	  deep_post_create() vfunc, in this one you must always chain up to the parent.

	* plugins/gtk+/glade-gtk.c, plugins/gtk+/gtk+.xml.in: Added "Add/Remove" parent
	  feature (bug 343786), implemented types: Alignment, Viewport, Event Box, Frame,
	  Aspect Frame, Scrolled Window, Expander, Table, Horizontal Box, Vertical Box,
	  Horizontal Panes, Vertical Panes
	
2007-07-18  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-design-layout.h: Make header file look pretty.

	* gladeui/glade-design-layout.c: Do not override GtkWidget::event().
	  Ensures that child widgets only receive events when necessary.
	  
	* src/glade-window.c: Rename "Help" menu item to "Contents" (as per convention).

	* src/glade-window.c: Add About dialog credits for artists and documenters.

2007-07-17  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget-adaptor.c: translate action name in gwa_action_update_from_node()

	* gladeui/glade-property-class.c: simplified displayable value message in 
	  gpc_get_displayable_values_from_node() closes #448915

2007-07-17  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget-adaptor.c: untranslate the "half translated" warning
	  message in gwa_displayable_values_check().

	* gladeui/glade-app.[ch]: Removed glade_app_widget_event() and the "widget-event"
	  signal

	* gladeui/glade-design-layout.c: Expose glade_design_layout_widget_event() to
	  be used internally by GladeWidget (no longer listening to "widget-event" signal
	  on glade-app).

	* gladeui/glade-widget.c: glade_widget_event_private() Find the parenting
	  GladeDesignLayout and dispatch the event through glade_design_layout_widget_event()
	  (this fixes multiple projects recieving the same events, bug 456013).

	* gladeui/glade-fixed.c: Dont connect event handlers to child objects of fixed
	  containers that are not widgets.

2007-07-16  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-window.c: Now undocked windows can be redocked by hitting
	the close button and UI tool components dont sport redundant indicator labels.

2007-07-16  Gabor Kelemen <kelemeng@gnome.hu>

	* po/POTFILES.in: Added missing files (bug 457222)

	* src/main.c: Added some missing translatable strings (bug 457224)
	
2007-07-12  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-widget.c 
	gladeui/glade-design-layout.c
        gladeui/glade-placeholder.c
	gladeui/glade-placeholder.h: Update to use G_DEFINE_TYPE macros. Removed
	the manual peeks to get the parent class.

2007-07-12  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget-adaptor.c: added gwa_displayable_values_check() and use it to check 
	  for displayable values in enums and flags properties in  glade_widget_adaptor_from_catalog()
	  this way we can check every properties not only the ones that are explicited in the catalog.

	* gladeui/glade-property-class.c: removed displayable values check from 
	  glade_property_class_update_from_node()

	* plugins/gtk+/gtk+.xml.in: added displayable values for
	  GtkToolbar::icon-size
	  GtkLabel::wrap-mode
	  GtkIconView::selection-mode, orientation
	  GtkRange::lower-stepper-sensitivity, upper-stepper-sensitivity
	  GtkRuler::metric
	  GtkList::selection-mode
	  GtkCList::shadow-type, selection-mode, sort-type

2007-07-11  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-window.c: Implemented docking view menu.

2007-07-11  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-app.c (glade_app_add_project): Ref project when
	  adding it to the app.
	  
	* gladeui/glade-widget-adaptor.h: s/GLADE_CREATE_REASON/GLADE_TYPE_CREATE_REASON/.

2007-07-10  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	Removed bindings framework since now all binding work will be done
	in the branch until we have a proper framework and a full implementation (python)

2007-07-10  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-project: fix bug with regards to setting the
	  project as unmodified when undoing the command that caused
	  the first unsaved command.

2007-07-09  Vincent Geddes <vgeddes@gnome.org>

	* configure.ac, src/main.c: Initialize threading system (#406039).
	
	* gladeui/glade-project.c: Remove user name and host
	  from comment in glade file (#453174).
	
2007-07-07  Vincent Geddes <vgeddes@gnome.org>

	* configure.ac: Increment version to 3.3.2 as we modified API
	  since the last public release. Fixes Anjuta build.

2007-07-06  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-property.c: skip properties that are not readable in
	  glade_property_load_impl() (fixes #453107 and #453111)

	* plugins/gtk+/gtk+.xml.in: added default value to GtkLinkButton::uri property
	  fixes #453110

2007-07-04  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-property-class.c
	  (glade_property_class_update_from_node), (gpc_get_displayable_values_from_node):
	  Fix some mishandled dgettext operations (#453105).

2007-07-03  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-binding.c: Upgrade to g_slice_new().
	
	* bindings/python/glade-python.c: Run garbage collector before finalizing
	  interpreter. Use Py_InitializeEx() instead of Py_Initialize() (#453104).
	  
	* gladeui/glade-app.h, gladeui/glade-app.c: New method glade_app_new().

	* src/glade-project-window.h, src/glade-project-window.c: Renamed
	  to glade-window.h and glade-window.c respectively. GladeWindow now
	  subclasses GtkWindow instead of GladeApp (#449928).

2007-07-03  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget-adaptor.[ch]: set glade_widget_adaptor_child_verify_property()
	  value parameter as constant.

	* gladeui/glade-property.c: added packing property verify check in 
	  glade_property_set_value_impl().

	* plugins/gtk+/gtk+.xml.in: fixed verify-function and child-verify-function tags
	  for GtkBox, GtkTable, GtkNotebook and GtkAssistant classes. fixes #453253

2007-07-02  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-catalog.c, gladeui/glade-widget-adaptor.c: Properly
	  handle dgettext() operations (#453105, Christian Persch).
	  
	* gladeui/glade-binding.c (glade_binding_load_all): Close GDir when
	  finished reading.

2007-07-01  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-catalog.h, gladeui/glade-catalog.c:
	  Add glade_catalog_destroy_all(). Use g_slice_new() for mem allocation.
	  
	* gladeui/glade-app.c: Free catalogs in finalize.

2007-06-29  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/glade-project.c, gladeui/glade-project.h: Rename
	  glade_project_get_has_unsaved_changes() to glade_project_get_modified().
	  Set "modified" to FALSE if we undo the command that caused the first
	  unsaved modification in a project (#392324).
	
	* src/glade-project-window.c: Update for API changes in GladeProject.

2007-06-28  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/fixed_bg.xpm, gladeui/Makefile.am,
	  plugins/gtk+/Makefile.am: Moved gladeui/fixed_bg.xpm to plugins/gtk+/fixed-bg.xpm.
	  The graphic is only used by the GTK+ plugin.

	* gladeui/glade-editor.c: HIGify query dialog.

	* plugins/gtk+/Makefile.am, plugins/gnome/Makefile.am: Set log domains
	  "GladeUI-GTK" and "GladeUI-GNOME" respectively.

	* gladeui/glade-palette.h, gladeui/glade-palette-item.h: Move GladeItemAppearance
	  enum from glade-palette-item.h to glade-palette.h (so it is visible in the docs).
	
	* src/glade-project-window.c (check_reload_project): Set alternative button order
	  on message dialog.

	* src/glade-project-window.c (glade_project_window_open_project), (switch_project),
	  (check_reload_project), (open_project): Attempt to reload an open project if
	  the user tries to open it again (#450483).

2007-06-27  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-popup.[ch]
	  - added packing actions to placeholders

	* gladeui/glade-widget-action.[ch]: added "important" flag to GWActionClass

	* gladeui/glade-widget-adaptor.[ch]:
	  - parse important tag in gwa_action_update_from_node()

	  - added new "important" parameter to glade_widget_adaptor_pack_action_add() and
	    glade_widget_adaptor_action_add()

	* gladeui/glade-xml-utils.h: addded GLADE_TAG_IMPORTANT tag

	* plugins/gtk+/gtk+.xml.in: marked launch_editor actions as important

	* gladeui/glade-inspector.c: make inspector popup include only normal actions.

	* src/glade-project-window.c: added important actions to the toolbar.

2007-06-26  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-property-class.c: print a message for missing displayable values in
	  glade_property_class_update_from_node() and gpc_get_displayable_values_from_node()

	* plugins/gtk+/glade-gtk.c: removed inline displayable values in
	   glade_gtk_image_type_get_type() and glade_gtk_button_type_get_type()

	* plugins/gtk+/gtk+.xml.in: added missing displayable values in GtkToolButton::glade-type,
	  GtkButton::glade-type, GtkImage::glade-type and GtkArrow::arrow-type

2007-06-26  Vincent Geddes <vgeddes@gnome.org>

	* src/Makefile.am
	  configure.ac
	  gladeui/Makefile.am: Cygwin build fixes. Only apply "-mwindows" ld flag
	  if we are in unstable development.
	  
	* configure.ac, plugins/gtk+/Makefile.am, plugins/gtk+/glade-gtk.h, 
	  plugins/gnome/glade-gnome.h, plugins/gnome/Makefile.am: Substitute PLUGINS_WARN_CFLAGS
	  as the warning flags for compiling plugins. Don't use the warning flags
	  defined by GNOME_COMPILE_WARNINGS. Delete plugins/gnome/glade-gnome.h.

2007-06-24  Vincent Geddes <vgeddes@gnome.org>

	* gladeui/Makefile.am: Set log domain for libgladeui to "GladeUI".

2007-06-23  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: glade_gtk_tool_button_set_type() return if loading 
	  fixes #450177. glade_gtk_tool_button_set_icon() show image widget.

2007-06-22  Vincent Geddes <vgeddes@gnome.org>

	* plugins/gnome/glade-gnome.h,
	  plugins/gtk+/glade-gtk.c
	  plugins/gtk+/glade-gtk.h
	  plugins/gtk+/Makefile.am,
	  plugins/gnome/glade-gnome.c,
	  plugins/gnome/Makefile.am,
	  src/glade-project-window.c,
	  gladeui/glade-editor-property.c,
	  gladeui/glade-parameter.c,
	  gladeui/glade-widget.c,
	  gladeui/glade-command.c,
	  gladeui/glade-palette.c,
	  gladeui/glade-utils.c,
	  gladeui/glade-accumulators.c,
	  gladeui/glade-palette.h,
	  gladeui/glade-binding.h,
	  gladeui/glade-app.c,
	  gladeui/glade-property.c,
	  gladeui/glade-builtins.c,
	  gladeui/glade-project.c,
	  gladeui/Makefile.am: Fix "missing prototype" errors reported by
	  gcc due to increased warning level (-Wmissing-prototypes). Added
	  glade-gnome.h with function prototypes as well.
	  
	* src/glade-project-window.c, src/glade-project-window.h: Beautify
	  header file, add tooltips for undo history menus. 

2007-06-21  Christian Persch  <chpe@gnome.org>

	* bindings/python/Makefile.am:
	* configure.ac:
	* gladeui/Makefile.am:
	* plugins/gnome/Makefile.am:
	* plugins/gtk+/Makefile.am:
	* src/Makefile.am: Use gnome-common macro for WARN_CFLAGS. Bug
	#399134.

2007-06-21  Vincent Geddes <vincent.geddes@gmail.com>
	
	* gladeui/glade-app.[ch], gladeui/glade-widget-adaptor.c: Misc cleanups.

2007-06-20  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/glade-gtk.c: Remember notebook page when 
	  reconstructing (Fixes bug 394382)

	* src/glade-project-window.c: Refresh active GladeDesignView upon
	  update_ui calls (fixes occasional outline glitch in the design-view).

	* doc/gladeui.types: Removed glade_project_view_get_type added
	glade_inspector_get_type

2007-06-20  Vincent Geddes <vincent.geddes@gmail.com>

	* doc/gladeui-docs.sgml, doc/gladeui.types, doc/gladeui-sections.txt,
	  doc/tmpl/glade-inspector.sgml: Set up documentation for GladeInspector.
	  
	* po/POTFILES.in: Add glade-inspector.c
	
	* gladeui/glade-inspector.[ch]: Add convenience function
	  `glade_inspector_new_with_project()'.

2007-06-20  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-inspector.c: added extra check in project_remove_widget_cb()
	  iter could be NULL!

2007-06-20  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/glade-inspector.[ch]: New Inspector implementation.
	  - The Inspector no longer records session data. 
	  - GtkTreeModel of inspector is now synchronised with project data
	    in an incremental fashion, instead of being totally rebuilt on changes.
	  
	* gladeui/glade-project-view.[ch]: Removed.
	
	* gladeui/glade-app.[ch]: Remove glade_app_add_project_view(). Inspectors
	  are now managed by the frontend.
	  
	* src/glade-project-window: A unique GladeInspector is associated with	
	  each open project. These inspectors are stored in a GtkNotebook. 

2007-06-19  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Added launch_editor action for toolbars.

	* gladeui/glade-project.[ch]: added glade_project_undo_items() and
	glade_project_redo_items().

	* src/glade-project-window.c: 
	  - Made Undo/Redo buttons use a GtkMenuToolButton and include 
	    undo/redo history in those buttons
	  - Added Drag/Resize button in the toolbar

	* gladeui/glade-design-layout.c: More reliable pointer handling

	* gladeui/glade-app.c: New pointer-mode property
	
	* gladeui/glade-fixed.c, gladeui/glade-placeholder.c, gladeui/glade-palette.c:
	  Use pointer-mode to set pointer interaction mode

	* gladeui/glade-builtins.c: Added trailing end marker on the stock list
	  enum paramspec.
	
2007-06-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* bindings/python/glade-python-gwa.defs: deleted launch_editor wrapper.

	* bindings/python/glade-python-gwa.c: updated

2007-06-18  Tristan Van Berkom <tvb@gnome.org>

	* NEWS, configure.ac: Rolling 3.3.1

	* gladeui/plugins/gtk+/glade-gtk.c: Corrected undo item for
	"remove page" action to say "Removed page from notebook1".

2007-06-17  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/glade-editor-property.c: Ensure parameter list passed to
	  gtk_dialog_set_alternative_button_order() is terminated (#424509).
	  
	* gladeui/glade-command.c: Make strings more translatable (#419979).
	
	* gladeui/glade-property-class.c, plugins/gtk+/gtk+.xml.in,
	  plugins/gtk+/glade-gtk.c: Fix spelling typos, and clear up a
	  translation ambiguity (#429736).
	  
	* plugins/gtk+/gtk+.xml.in: More descriptive displayable values for the 
	  "toolbar-style" property. We now have "Icons only", "Text only",
	   "Text below icons, "Text beside icons".
	
2007-06-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c:  glade_gtk_image_set_stock() property make reference
	  to GLADE_TYPE_STOCK_IMAGE not GLADE_TYPE_STOCK! fixes bug #444959
	  (yes I live in UTC -3 you insensitive... heh)

2007-06-14  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/glade-app.c: Change GtkMessageType of _warning_ dialogs from
	  GTK_MESSAGE_INFO to GTK_MESSAGE_WARNING. 

	* gladeui/glade-utils.c, src/glade-project-window.c: Fix and improve URL
	  launching on win32.

2007-06-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget-adaptor.c: added some extra checks in 
	  glade_widget_adaptor_action_add_real()

	* plugins/gtk+/glade-gtk.c: added new actions support code
	  - glade_gtk_box_notebook_child_insert_action() renamed to
	    glade_gtk_box_notebook_child_insert_remove_action()

	  - glade_gtk_table_child_insert_action() renamed to 
	    glade_gtk_table_child_insert_remove_action()

	* plugins/gtk+/gtk+.xml.in: added new actions

	  - GtkTable remove_row and remove_column

	  - GtkNotebook remove_page

2007-06-13  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-command.c: 
	  - Fixed cut/paste inside notebooks (widgets wanted to stay on the same page they 
	    were cut from)
	  - Fixed special-child-type handling, dont stomp on the special child type for a
	    delete/undo combination (a tab widget deleted and brought back was showing up
	    in the page).

2007-06-13  Vincent Geddes <vincent.geddes@gmail.com>

	* plugins/gtk+/gtk+.xml.in: HIG: Use "Edit.." instead of "Edit Menu", and so on.

	* configure.ac: Calculate libtool CURRENT-minus-AGE value.
	
	* gladeui/gladeui.rc.in: Set the DLL name correctly.

2007-06-10  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/glade-binding.c: Remove invalid warning. It is not
	  required that the 'bindings' directory exists.

	* Makefile.am: Remove 'm4' from EXTRA_DIST. m4 files are included
	  automatically (#445028).
	
2007-06-06  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-builtins.c: in list_stock_items() "gtk-" prefix must be prepended just once.
	  otherwise gtk items gets listed twice!

	* gladeui/glade-placeholder.[ch]: added packing action list to GladePlaceholder

	* gladeui/glade-popup.c: added packing actions to placeholder popup

	* gladeui/glade-widget-adaptor.[ch]: added glade_widget_adaptor_pack_actions_new ()

	* gladeui/glade-widget.c: use new function glade_widget_adaptor_pack_actions_new () in
	  glade_widget_set_packing_actions()

	* plugins/gtk+/glade-gtk.c: take into acount placeholders get paking actions
	  glade_gtk_box_notebook_child_insert_action() and glade_gtk_table_child_insert_action() fixed.

	* gladeui/glade-app.[ch], gladeui/Makefile.am: removed every reference to 
	  binding script directory. (bug #444605)

2006-06-06  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-id-allocator.c: Fixed C89 compile (bug 444045, fix by Jens Granseuer)

2007-06-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in: Added GtkNotebook child packing actions (finally fixes #438881)

	* plugins/gtk+/glade-gtk.c: added glade_gtk_notebook_child_action_activate ()

2007-06-04  Tristan Van Berkom <tvb@gnome.org>

	* configure.ac, NEWS: Rolling 3.3.0

2007-05-31  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-popup.c: added packing actions to glade_popup_action_populate_menu()

	* gladeui/glade-widget-action.c: fixed a couple of typos in glade_widget_action_constructor()

	* gladeui/glade-widget-adaptor.[ch]:

	  - Added packing actions, just like properties the action tag should be inside an actions or
	    packing-actions tag, also you can put an action tag inside other action tag :p

	  - added GladeChildActionActivatedFunc child_action_activate to GladeWidgetAdaptorClass

	  - added packing_actions list to GladeWidgetAdaptor

	  - added new functions:
	    glade_widget_adaptor_pack_action_add(), glade_widget_adaptor_pack_action_remove()
	    and glade_widget_adaptor_child_action_activate()

	* gladeui/glade-widget.[ch]:

	  - added packing_actions list to GladeWidget

	  - set packing actions in glade_widget_set_parent()

	  - added glade_widget_get_pack_action() and glade_widget_remove_pack_action()

	* gladeui/glade-xml-utils.h:

	  - new tags GLADE_TAG_CHILD_ACTION_ACTIVATE_FUNCTION, GLADE_TAG_ACTIONS 
	    and GLADE_TAG_PACKING_ACTIONS.

	  - removed unused tag GLADE_TAG_ACTION_GROUP

	* plugins/gtk+/gtk+.xml.in: Added a couple of child packing actions (fixes #438881)

	  - GtkBox:  insert_before and insert_after

	  - GtkTable: insert_row/after, insert_row/before, insert_column/after and insert_column/before

	* plugins/gtk+/glade-gtk.c: added child-action-activate-function functions
	  glade_gtk_box_child_action_activate () and glade_gtk_table_child_action_activate()

2007-05-24  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget-action.[ch]:

	  - memory leak fixed in glade_widget_action_class_clone()

	  - glade_widget_action_set_sensitive() declared and used in 
	    gobject set_property() method.

	  - GladeWidgetAction "klass" property renamed to "class"

	* gladeui/glade-widget.c:
	  - fixed check in glade_widget_get_action()

	  - adapted to reflect GladeWidgetAction property rename.

2007-05-23  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/Makefile.am: added gladeui/glade-widget-action.[ch]

	* gladeui/glade-popup.[ch]:
	  - added glade_popup_action_populate_menu()

	  - adapted popup code to reflect action changes.

	* gladeui/glade-widget-action.[ch]: GladeWidgetAction GObject sources.

	* gladeui/glade-widget-adaptor.[ch]:

	  - action-activated signal removed

	  - added GladeActionActivateFunc

	  - added glade_widget_adaptor_action_add() and glade_widget_adaptor_action_remove()

	  - glade_widget_adaptor_action_activate() reworked. 

	  - load symbol and other catalog stuff in gwa_derived_class_init()

	  - added the posibility to override GObject constructor from the catalog.
	    This is a good place to add/remove actions, use GWA_GET_OCLASS() to chain up.

	* gladeui/glade-widget.[ch]:
	  - removed action-activated signal

	  - added glade_widget_get_action (), glade_widget_remove_action() and
	    glade_widget_create_action_menu()

	* gladeui/glade-xml-utils.h: added GLADE_TAG_ACTION_ACTIVATE_FUNCTION and 
	  GLADE_TAG_CONSTRUCTOR_FUNCTION tags

	* plugins/gtk+/glade-gtk.c:
	  - added glade_gtk_menu_shell_action_activate() glade_gtk_menu_item_action_activate()
	    and glade_gtk_toolbar_action_activate()

	  - removed glade_gtk_menu_post_create() and glade_gtk_menu_launch_editor_action()

	* plugins/gtk+/gtk+.xml.in:
	  - glade_gtk_menu_post_create() removed

	  - added action-activate-function for MenuShell MenuItem and Toolbar.

2007-05-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* Patch reaplied with the missing '}' :S (bug 435912)

2007-05-18  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget-adaptor.[ch]: Added glade_widget_adaptor_from_pspec()
	  and made glade_widget_adaptor_from_pclass() always return the owning
	  adaptor and not the adaptor for the class which the property was originally
	  created for.

	* gladeui/glade-editor.[ch]: Removed some deadcode

	* gladeui/glade-editor-property.c: Use glade_widget_adaptor_from_pspec()
	  where appropriate (Fixing bug 423425)
	
2007-05-18  Tristan Van Berkom <tvb@gnome.org>

	* Reverting Juan's last fix for bug 435912 since it broke the build.

2007-05-16  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget-adaptor.[ch]: fixed bogus type punned warnings adding a 
	  local variable in gwa_extend_with_node_load_sym() as pointed by galtgendo@o2.pl
	  (bug 435912)

	* gladeui/glade-xml-utils.[ch]: glade_xml_load_sym_from_node() now returns
	   wheater or not the symbol was found.

2007-05-16  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Set "response-id" property to be "save-always" fixing
	  bug 410272.

2007-05-09  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Set "resize" and "shrink" properties to be "save-always"
	  since gtkpaned.c does some hardcoded stuff when adding widgets. Fixes bug 364215.

2007-05-09  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget-adaptor.[ch], gladeui/glade-widget.[ch], gladeui/glade-editor.c,
	  gladeui/glade-xml-utils.h:
	  Removed notion of custom widget editors.

	* plugins/gtk+/gtk+.xml.in, plugins/gtk+/glade-gtk.c: removed custom editor hooks,
	  implemented menu editor via actions only (toolbar editor temporarily disabled).

2007-05-08  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* bindings/python/glade-python.c, gladeui/glade-binding.c, 
	  gladeui/glade-binding.h: Removed GladeBindingScript.

	* gladeui/glade-property-class.c, gladeui/glade-property-class.h:
	  added save_always member in GladePropertyClass.

	* gladeui/glade-property.c: always save if class or property save_always is true.

	* gladeui/glade-xml-utils.h: added GLADE_TAG_SAVE_ALWAYS tag.

	* plugins/gtk+/glade-gtk.c: removed, now unnecesary, call to 
	  glade_widget_property_set_save_always() in glade_gtk_dialog_post_create()

	* plugins/gtk+/gtk+.xml.in: set save-always true in GtkDialog's "type-hint" and 
	  GtkScrolledWindow's "can-focus" properties..

2007-05-04  Vincent Geddes <vincent.geddes@gmail.com>

	* doc/tmpl/glade-project.sgml, doc/tmpl/glade-app.sgml,
	  doc/tmpl/glade-widget.sgml, doc/tmpl/glade-property.sgml,
	  doc/tmpl/glade-widget-class.sgml, doc/tmpl/glade-fixed.sgml
	  doc/tmpl/glade-utils.sgml: Update documentation templates.

2007-05-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/gtk+.xml.in:
	  - diabled "has-separator" property in GtkColorSelectionDialog,
	    GtkFontSelectionDialog and GtkInputDialog to avoid a gtk warning.

	  - GtkComboBox "model" property disabled.

	* plugins/gtk+/glade-gtk.c:
	    - Make every GtkInputDialog's internal GtkOptionMenu insensitive.
	      This is a workaround for bug #433975

	    - Warning fixed in glade_gtk_paned_set_child_property() and
	       glade_gtk_text_view_post_create()

2007-05-02  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-popup.[ch], gladeui/glade-widget.c, gladeui/glade-project-view.c: 
	  Removed submenus for the ancestry since Vincent did that magic to the project view, 
	  all is cleaner now.

	* gladeui/glade-widget-adaptor.c: Removed #include "glade-binding.h" and
	  all the scripting crap that went with it.

2007-05-01  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/glade-project-view.c: Expand and scroll to selection. Fixes #392225.

2007-05-01  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.[ch]: Added 'exact' argument to glade_widget_dup() and
	  added glade_widget_copy_signals()

	* gladeui/glade-command.c: dup the widget "exactly" when pasting widgets that
	  were cut (not copied), fixing bug 432519

2007-04-26  Jeff Westerinen <jeff.westerinen@access-company.com>

	* plugins/gtk+/glade-gtk.c:
	    - added a general launch_editor action signal handler.
	    - hooked the launch_editor action signal in the GtkMenuItem post_create function.
	    - hooked the launch_editor action signal in the GtkMenuBar post_create function.
	    - created a GtkMenu post_create function containing a hook for the launch_editor
	      action signal.
	  (bug 433055)

	* plugins/gtk+/gtk+.xml.in: 
	    - Added "launch_editor" action to GtkMenuItem.
	    - Added "launch_editor" action to GtkMenuBar.
	    - Added "launch_editor" action and post_create function to GtkMenu.
	  (bug 433055)

2007-04-29  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/glade-palette.c: Override GtkWidget::show_all to ensure
	  hidden selector button is not accidentally made visible.
	  
	* gladeui/atk.xpm, gladeui/Makefile.am, data/icons/atk.png,
	  data/icons/Makefile.am: Moved gladeui/atk.xpm to data/icons/atk.png
	  
	* gladeui/glade-editor.c: Update to use atk.png instead of atk.xpm. 
	
2007-04-26  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/glade-project.h, gladeui/glade-project.c:
	  - Hide private implementation details (Added GladeProjectPrivate).
	  - Added private field accessors glade_project_get_path, glade_project_get_name,
	    glade_project_get_objects, and glade_project_get_has_unsaved_changes.
	  - Removed project->name field.
	  - Removed glade_project_display_name method.
	  
	* gladeui/glade-editor-property.c, gladeui/glade-project-view.c,
	  gladeui/glade-cursor.c, gladeui/glade-signal-editor.c, gladeui/glade-app.c
	  gladeui/glade-property-class.c: Update for change in GladeProject.
   
	* src/glade-project-window.c: Update for change in GladeProject. Added
	  methods for formatting paths and names. Fix display of tooltips for
	  items in the project list menu.
	  
	* gladeui/glade-palette-item.c, gladeui/glade-palette.c: Update to use 
	  g_object_ref_sink().	

2007-04-25  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-editor-property.c: fixed a bug in GladeEPropUnichar

2007-04-24  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget.c, gladeui/glade-project.c: make glade core not hold
	  a reference to internals objects.

2007-04-21  Vincent Geddes <vincent.geddes@gmail.com>

	* plugins/gtk+/gtk+.xml.in: Fixed spelling error "Maximun" -> "Maximum".
	
	* gladeui/glade-widget.c: Clean up toplevel embedding code, remove
	  unused embedding implementation. Fix embedding warning.
	  
	* glade-id-allocator.c, glade-id-allocator.h: Performed house cleaning.
	  - Use g_slice_new where appropriate.
	  - Hide private implementation details.
	  - Added g_return_if_fail guards.
	  
	* gladeui/glade-project.c, gladeui/glade-project.h:
	  - Move to using GladeIDAllocator for allocating unsaved numbers.
	  - Rename some variables since projects are now considered "unsaved"
	    instead of "untitled" (#400357, Wouter Bolsterlee).

2007-04-20  Vincent Geddes <vincent.geddes@gmail.com>

	* README, configure.ac, plugins/gnome/gnome.xml.in,
	  plugins/gnome/glade-gnome.c, plugins/gnome/canvas.xml.in:
	  Rename user visible "Gnome" strings
	  to "GNOME". (#412309, Duarte "HappyGuy" Loreto).

2007-04-16  Vincent Geddes <vincent.geddes@gmail.com>

	* configure.ac: Check for windres on win32. Define version using
	  separate numbered components (major, minor, micro).
	  
	* data/icons/glade-3.ico: New application icon in win32 ICO format.
	
	* gladeui/gladeui.rc.in, gladeui/Makefile.am, src/glade-3.rc.in,
	  src/Makefile.am: Added win32 resources for the libgladeui dll
	  and the application executable.
	  
	* src/Makefile.am: Removed "-mwindows" linker flag.
	
	* gladeui/glade-widget-adaptor.h: Remove undefined functions.
	  
2007-04-16  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gtk+/glade-gtk.c: stop GtkFileChooserDefault "hierarchy-changed"
	  and "screen-changed" default handlers (fixes bug #415021)

	* plugins/gtk+/glade-gtk.c: added GtkFileChooserWidget post-create function

	* plugins/gtk+/gtk+.xml.in: added GtkFileChooserWidget

	* plugins/gtk+/icons/22x22/widget-gtk-filechooserwidget.png,
	  plugins/gtk+/icons/16x16/widget-gtk-filechooserwidget.png: new icons,
	  they are the same as GtkFileChooserDialog but without the borders :)

2007-04-12  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/Makefile.am: Auto-generate `gladeui.def' for DLL symbol
	  exports. Remove -DINSIDE_LIBGLADEUI from libgladeui_1_la_CPPFLAGS.

	* gladeui/glade-accumulators.h, gladeui/glade-app.h,
	  gladeui/glade-base-editor.h, gladeui/glade-binding.h,
	  gladeui/glade-builtins.h, gladeui/glade-catalog.h,
	  gladeui/glade-clipboard-view.h, gladeui/glade-clipboard.h,
	  gladeui/glade-command.h, gladeui/glade-custom.h,
	  gladeui/glade-debug.h, gladeui/glade-design-view.h,
	  gladeui/glade-editor-property.h, gladeui/glade-editor.h,
	  gladeui/glade-fixed.h, gladeui/glade-palette.h,
	  gladeui/glade-parameter.h, gladeui/glade-placeholder.h,
	  gladeui/glade-project-view.h, gladeui/glade-project.h,
	  gladeui/glade-property-class.h, gladeui/glade-property.h,
	  gladeui/glade-signal-editor.h, gladeui/glade-utils.h,
	  gladeui/glade-widget-adaptor.h, gladeui/glade-widget.h,
	  gladeui/glade.h:
	  Remove LIBGLADEUI_API function attributes.

	* plugins/gnome/glade-gnome.c, plugins/gtk+/glade-gtk.c,
	  plugins/gtk+/glade-gtk.h:
	  Remove GLADEGTK_API and GLADEGNOME_API function attributes.

2007-04-08  Christian Persch  <chpe@gnome.org>

	* gladeui/glade-property-class.c:
	(glade_property_class_make_object_from_string):
	* gladeui/glade-xml-utils.c: (glade_xml_get_value_int):
	- Don't use sscanf. Bug #424547, patch by Ivan Baldo and myself.

2006-04-04  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in: Make "label" property of GtkToolButton translatable

2007-04-02  Vincent Geddes  <vincent.geddes@gmail.com>

	* src/glade-project-window.c:
	  - Remove hard-coded newlines from license text. Enable "wrap-license"
	    property on GtkAboutDialog. Fixes #409120.
	  - s/this program/Glade/ in license text.

2007-04-02  Jeff Westerinen  <jeff.westerinen@palmsource.com>

	* plugins/gtk+/gtk+.xml.in: removed the GtkPageSetupUnixDialog and 
	  GtkPrintUnixDialog widgets from the gtk+ catalog. Fixes #392340.

	* plugins/gtk+/gtkunixprint.xml.in: added new, separate catalog for
	  the unix print widgets.

	* plugins/gtk+/Makefile.am: modified the make file to include the new
	  unix print catalog if found by configure.

	* configure.ac: modified configure to check for the existence of
	  the unix print widgets.

	* po/POTFILES.in: added the new unix print catalog to the list of 
	  translatable files.

2007-04-01  Vincent Geddes  <vincent.geddes@gmail.com>

	* plugins/gtk+/icons/*, plugins/gnome/icons/*: Renamed all icons.

	* gladeui/glade-project-view.c, gladeui/glade-widget-adaptor.[ch],
	  gladeui/glade-palette-item.c, gladeui/glade-clipboard-view.c:
	  Use GtkIconTheme for loading and managing widget icons.
	  New "icon-name" property on GladeWidgetAdaptor.

	* gladeui/glade-catalog: Added catalog property "icon-prefix". The
	  default value of this property is set to the catalog name.

	* gladeui/glade-app.c: Add GtkIconTheme search path for widget icons.

	* plugins/gtk+/icons/16x16/Makefile.am,
	  plugins/gtk+/icons/22x22/Makefile.am,
	  plugins/gnome/icons/16x16/Makefile.am,
	  plugins/gnome/icons/22x22/Makefile.am: Renamed icon files.

	* gladeui/glade-widget-adaptor.c: Use g_type_class_add_private().

	* doc/widgetclasses.sgml, doc/catalogintro.sgml: Update documentation.

2007-03-30  Vincent Geddes  <vincent.geddes@gmail.com>

	* src/main.c: Fix warnings when building on win32.

2007-03-30  Christian Persch  <chpe@gnome.org>

	* gladeui/glade-parameter.c: (glade_parameter_get_integer),
	(glade_parameter_get_float):
	* gladeui/glade-xml-utils.c: (glade_xml_get_property_int): Don't use
	atoi/atof. Bug #414358.

2007-03-22  John Millikin  <jmillikin@gmail.com>

	* src/glade-project-window.c: Use Shift+Ctrl+Z as the accelerator for Redo,
	  as specified by the HIG.

2007-03-22  Vincent Geddes  <vincent.geddes@gmail.com>

	* gladeui/glade-palette-expander.[ch]: Rewrote expander widget implementation.
	
	* gladeui/glade-palette.c: Update for change in expander widget.

2007-03-20  Bruno Boaventura  <brunobol@gnome.org>

	* data/glade3.desktop.in.in: Remove incorrect "Application" category
	  from Categories. Add "GNOME" to Categories. Fixes #417618.

2007-03-15  Vincent Geddes  <vincent.geddes@gmail.com>

	* COPYING: Update licensing information. After we reorganised
	  the package structure, the LGPL-licensed pixmaps were put into
	  different directories.

2007-03-13  Olivier Delhomme <olivierdelhomme@gmail.com>

	* gladeui/glade-utils.c: Fixed broken statement in
	  glade_util_url_show_win32().

	* gladeui/glade-app.c: Fixed names of global vars in
	  win32 code.

2007-03-11  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-property-class.c: Fix handling of atk
	properties specified by the plugin.

	* plugins/gtk/gtk+.xml.in: Specified atk relation properties
	for GtkWidgetClass and also specified the acceleretor property
	for GtkWidgetClass (fixes bug 383121).

	* TODO: Updated 

2007-03-06  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-editor.c: use g_type_is_a() to compare types
	  in glade_editor_property_class_comp() (fixes bug #396436).

2006-03-05  Halton Huo <halton.huo@sun.com>

	* Define GCC_WARN_FLAGS in configure.ac, if use gcc, put -Wall into CFLAGS,
	otherwise not. Replace -Wall with @GCC_WARN_FLAGS@ in Makefile.am
	
2006-03-03  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-property.[ch], gladeui/glade-widget.[ch]:
	  - Added property_set_save_always() functions
	  - Introspect initial values of all properties even if they're
	    not composite children (sometimes derived widgets set a property
	    to a non-default value).

	* plugins/gtk+/glade-gtk.c: set "save-always" on the "type-hint"
	  property of GtkDialog. Bug #412848.

2007-03-01  Vincent Geddes  <vincent.geddes@gmail.com>

	* bindings/python/Makefile.am: Added required libraries to 
	libgladepython_la_LIBADD. Bug #412827.

2007-02-28  Christian Persch  <chpe@svn.gnome.org>

	* gladeui/glade-property-class.c:
	(glade_property_class_make_string_from_object),
	(glade_property_class_make_string_from_gvalue),
	(glade_property_class_make_gvalue_from_string): Use locale independent
	integer and float parsing routines. Bug #396433.

2007-02-26  Vincent Geddes <vincent.geddes@gmail.com>

	* plugins/gtk+/icons/16x16/recentchooserdialog.png,
	  plugins/gtk+/icons/16x16/printdialog.png,
	  plugins/gtk+/icons/16x16/messagedialog.png,
	  plugins/gtk+/icons/16x16/filechooserdialog.png,
	  plugins/gtk+/icons/22x22/printdialog.png,
	  plugins/gtk+/icons/22x22/recentchooserdialog.png,
	  plugins/gtk+/icons/22x22/messagedialog.png,
	  plugins/gtk+/icons/22x22/filechooserdialog.png:
	  Added some widget icons, and modified a few existing ones.

2007-02-22  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* plugins/gnome/canvas.xml.in, plugins/gnome/gnome.xml.in,
	  src/glade-project-window.c, gladeui/glade-signal-editor.c:
	  Marked new translatable strings.
	  Closes bugs #410735 and #410731.

2007-02-21  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-property.[ch]: make glade_property_new() always
	  return instrospected value (catalog_default parameter removed)

	* gladeui/glade-widget.c: added glade_widget_set_catalog_defaults()
	  to set catalog default values in glade_widget_constructor() when
	  the widget is created by the user.

	* plugins/gtk+/glade-gtk.c: glade_gtk_menu_item_get_children()
	  added GtkImageMenuItem support. fix bug #404322

	* plugins/gtk+/gtk+.xml.in: GtkMenuItem get-children function
	  renamed to glade_gtk_menu_item_get_children()

2007-02-20  Vincent Geddes  <vincent.geddes@gmail.com>

	* src/glade-utils.c: Remove redundant call to `gtk_window_set_position()'
	  in `glade_util_file_dialog_new()'. Fixes #408879.

2007-02-17  Vincent Geddes  <vincent.geddes@gmail.com>

	* src/glade-project-window.c: Remove duplicate labels for stock
	  items (patch by Nickolay V. Shmyrev, fixes #408874).

2007-02-17  Christian Persch  <chpe@svn.gnome.org>

	* autogen.sh: Set the required gdu version in autogen too. Bug
	#392411.

2007-02-15  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-widget.[ch]: added glade_widget_property_original_default()

	* gladeui/glade-property.[ch]: added glade_property_original_default()
	  and glade_property_original_reset()

	* plugins/gtk+/glade-gtk.c: fixed bug 397043
	  "Not able to set label and stock separately in GtkImageMenuItems"

	* plugins/gtk+/gtk+.xml.in: added generic-name to GtkMenuShell.

2007-02-15  Jens Granseuer <jensgr@gmx.net>

	* Fixed sources to build with gcc 2.95 (bug 406504)

2007-02-13  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Rolling 3.1.5

2007-02-13  Vincent Geddes  <vincent.geddes@gmail.com>

	* src/glade-project-window.c: Changed description in the About
	  dialog.
	  
	* m4/python.m4: New file.
	
	* configure.ac, bindings/Makefile.am, bindings/python/Makefile.am,
	  bindings/python/glade-python.c: Improved configure check for Python.

2007-02-13  Christian Persch  <chpe@svn.gnome.org>

	* Makefile.am:
	* configure.ac: Call GNOME_DOC_INIT unconditionally. Bug #392411.

2007-02-10  Vincent Geddes <vincent.geddes@gmail.com>

	* src/main.c:
	  - Add summary of the application's functionality in the '--help'
	    output (with g_option_context_set_summary()).
	  - Set translation domain for the main option group.	  

	* docs/catalogintro.sgml: pkg-config file is now 'gladeui-1.0'.
	
	* data/glade-3.desktop.in.in: Added 'GUIDesigner' to 'Categories'.

	* gladeui/glade.h, gladeui/glade-app.[ch]:
	  - Added a private initialisation function `glade_init_check()' for
	    libgladeui.
	  - Remove the 'bad' public variables that defined various installation
	    paths. These paths can now be obtained from static class methods on
	    GladeApp (static as in the Java and C++ sense).	
	
	* src/main.c, src/glade-project-window.c, gladeui/glade-catalog.c,
	  gladeui/glade-binding.c, gladeui/glade-cursor.c,
	  gladeui/glade-palette.c gladeui/glade-widget-adaptor.c, 
	  gladeui/glade-utils.c, bindings/python/glade-python.c: Use the new
	  GladeApp methods for obtaining installation paths.
	  
	* gladeui/glade-palette-box.[ch]: Use G_DEFINE_TYPE() and
	  g_type_class_add_private().

2007-02-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-utils.c: fixed bug in glade_util_have_devhelp()
	  (devhelp 0.13 returns "Devhelp 0.13" the 'h' is not capital anymore)

	* gladeui/glade-binding.[ch], src/glade-project-window.c,
	  bindings/python/glade-python.c: console striped out.

	* bindings/python/glade-python-gwa.c: regenerated with pygtk-codegen-2.0

2007-02-08  Vincent Geddes <vincent.geddes@gmail.com>

	* gladeui/*.[ch]: Replaced C++ style comments with the more portable ISO C syntax.
	  
	* gladeui/glade-app.[ch]: Use the G_DEFINE_TYPE() and
	  g_type_class_add_private() idioms for registering the class.
	  
	* README.cvs: Renamed to 'README.svn'.
	
	* README: Corrected some typos and updated GTK+ required to 2.10.0.
	
	* plugins/gtk+/icons/16x16/Makefile.am, plugins/gtk+/icons/22x22/Makefile.am:
	  Added some icons.
	  
	* src/glade-project-window.c: Set the label for the Selector toolbutton.

2007-02-07  Paul <ephraim_owns@hotmail.com>

	* bindings/python/Makefile.am: Removed $(top_srcdir) from CFLAGS.

	* bindings/python/glade-python.c: Fixed use of a variable 'stdout',
	  called it '__stdout' instead.

	* bindings/python/glade-python-gwa.c, bindings/python/glade-python-gwa.override:
	  Added #define NO_IMPORT_PYGOBJECT

2007-02-06  Vincent Geddes <vincent.geddes@gmail.com>

	* data/icons/hicolor/: Added new application icon, in sizes 16x16,
	  22x22, 32x32, 48x48, and scalable. Icon provided by Andreas Nilsson.

	* data/icons/glade-3.png: Removed.
	
2007-02-06  Tristan Van Berkom <tvb@gnome.org>

	* plugins/gtk+/gtk+.xml.in, plugins/gnome/gnome.xml.in, 
	  plugins/gnome/canvas.xml.in, plugins/gnome/bonobo.xml.in:
	  Fixed domain 'glade-3' -> 'glade3' (bug 404917)

	* src/glade-project-window.c: Fixed translation of 'comments' and
	  'liscence' properties of the about dialog (bug 404917).
	  (also now translate the "Palette Appearence" string)

	* src/glade-project.c: Now translate "Unsaved %d" for unsaved project
	  names.

2007-02-06  Jeff Westerinen  <jeff.westerinen@palmsource.com>

	* gladeui/glade-editor-property.c: changed glade_eprop_text_show_i18n_dialog()
	  to call a command to change the i18n metadata on the label property
	  instead of changing it directly.  This allows the change to be
	  un-/re-done (bug 352454).

	* gladeui/glade-command.[ch]: added the glade_command_set_i18n command.

2007-02-05  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-project-window.c: Add ellipsis to the label of the "Open"
	  action.

2007-02-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-property-class.c, plugins/gtk+/gtk+.xml.in:
	  Fixed typo (bug 404324)

2007-02-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* gladeui/glade-base-editor.c: fixed bug present in 64bit archs
	  changed G_TYPE_UINT with G_TYPE_GTYPE in glade_base_editor_init()

2007-02-01  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-app.[ch]: Changed the hierarchy changed signal
	  for a "widget-event" signal.

	* gladeui/glade-design-layout.c: Catch the "widget-event" signal
	  and propagate the event from there, dont raise the event_window anymore.

	* gladeui/glade-widget.c: 
	  - Removed "enter-notify-event"
	  - Catch "event" signal on GtkWidget instances and forward
	    the event to GladeApp
	  - When handling selection and SHIFT is down, dont stop emmission
	    (better handling of drag/resize)

	* gladeui/glade-fixed.c: Only drag/resize with shift down
	
	* gladeui/glade-marshallers.list: added new marshaller

2007-01-31  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-widget.[ch]: 
	  o Removed search algorythm for child widgets, removed glade_widget_event_widget (), 
	    removed popup-menu signal handler, removed call to gtk_window_set_decorated() 
	    on toplevel project widgets, removed widget->setup_events(), removed hide_on_delete()
	  o Added glade_widget_event() to feed events directly to widgets from the design layout.
	  o Call glade_app_hierarchy_changed() upon add/remove/replace operations

	* gladeui/glade-utils.c: Removed glade_utils_deep_fixed_event() and the
	  hacky widget grab that went with it.

	* gladeui/glade-app.[ch]: Added glade_app_hierarchy_changed() and added
	  "hierarchy-changed" signal.
	
	* gladeui/glade-design-layout.c: 
	  o Make sure event window is always on top by trapping GladeApp's "hierarchy-changed"
	    signal
	  o Feed events directly to the proper GladeWidget, if its not handled then pass it
	    on to the underlying widgets (using gtk_widget_event() directly).

	* gladeui/glade-cursor.c: Removed the recursive cursor setting routine.

	* gladeui/glade-fixed.c: Simplified immensely by removing redundant code,
	  now there is only one GladeWidget to deal with, no searching and gropeing
	  for the appropriate widget to operate on.

2007-01-28  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-command.c: Made 'pasting' an explicit arg of glade_command_add(),
	  this fixes the broken clipboard selection search (since we now use dupped 
	  widgets only in pastes), now packing defaults and packing property tranfers
	  on paste both work.

	* gladeui/glade-widget.c: Removed redundant code.

	* src/glade-project-window.c: Re-Implemented hack for accelerators to
	  work cooperatively with text entries in the editor. (fixes bug 396447)

	* gladeui/glade-design-layout.[ch]: 
	  Now works like a pure widget, uses gtk_widget_size_allocate() to resize 
	  children and gtk_widget_queue_resize() to resize itself (removed default
	  size control for now).

	* gladeui/glade-xml-utils.[ch], gladeui/glade-widget.[ch], 
	  gladeui/glade-widget-adaptor.[ch], plugins/gtk/gtk+.xml.in,
	  plugins/gtk/glade-gtk.c, plugins/gnome/glade-gnome.c: 
	  - Added glade_xml_get_property_int()
	  - Added default-width/height to catalog/GWA
	  - Added toplevel-width/height properties to GladeWidget
	  - Use default-width/height in catalogs instead of gtk_window_set_default_size()
	    in plugin code.

2007-01-27  Tristan Van Berkom <tvb@gnome.org>

	* gladeui/glade-command.c: Set project properly in glade_command_remove()
	  (this fixes undo/redo of add/remove commands in the menueditor... along
	  with the following fixes).

	* gladeui/glade-widget-adaptor.[ch], gladeui/glade-xml-utils.h: 
	  Added GWA_USE_PLACEHOLDERS(), a boolean on the GWA that is loaded 
	  from the catalog.

	* gladeui/glade-utils.[ch]: Removed glade_util_[any_]container_relation.

	* gladeui/glade-widget.[ch]: Added glade_widget_placeholder_relation

	* gladeui/glade-app.c, gladeui/glade-fixed.c: Adjusted callers for new
	  glade-widget api.

	* gladeui/glade-fixed.[ch]: Removed the "use-placehodlers" property
	  since it is now redundant with the new GWA_USE_PLACEHOLDERS (this
	  simplifies things a little).

	* gladeui/glade-binding.c: Fixed obnoxious startup errors (bug 399178),
	  glade_binding_get_all(), use g_list_prepend()/g_list_reverse() instead
	  of g_list_append() to build a list.

	* gladeui/glade-base-editor.c: Use the right adaptor for gwa_get_children
	  in glade_base_editor_change_type () (was using adaptor for the destination
	  type).
	
	* plugins/gtk/glade-gtk.c: Remove use of "use-placeholders" property
	  on GladeFixed objects.

	* plugins/gtk/gtk+.xml.in: Setup the "use-placeholders" attribute properly
	  (TRUE on GtkContainer, FALSE on GtkMenuShell, GtkMenuItem, GtkToolBar,
	  GtkFixed, GtkLayout).

2007-01-25  Christian Persch  <chpe@svn.gnome.org>

	* help/Makefile.am: Correct DOC_LINGUAS.

2007-01-25  Tristan Van Berkom <tvb@gnome.org>

	* Makefile.am, configure.ac, plugins/Makefile.am, bindings/Makefile.am:
	  fixed conditionally building gnome & python.

2007-01-25  Vincent Geddes <vincent.geddes@gmail.com>

	* set 'svn:ignore' properties for the directory tree. 
	  Delete all '.cvsignore' files.

	* src/glade-project-window.c: Change window title in line with HIG.

	* data/libgladeui-1.0.pc.in: Renamed to gladeui-1.0.pc.in.
	  Updated for change in location of header files.

	* gladeui/glade.h, gladeui/glade-xml-utils.c: Cleaned up 'glade.h'.     
	  - Moved GLADE_TAG_* defines to glade-xml-utils.h.
	  - Nuked GLADE_GENERIC_BORDER_WIDTH.

	* gladeui/*.h, plugins/gtk+/glade-gtk.[ch],
	  plugins/gnome/glade-gnome.ch, bindings/python/*.[ch]:
	  Changed header files location for libgladeui. 	

2007-01-23  Vincent Geddes <vincent.geddes@gmail.com>

	* Reorganised package structure, moved a lot of files
	  and directories. Modified the Makefile.am in most directories.

	* po/POTFILES.in, po/POTFILES.skip: Update for reorganisation.

	* configure.ac: Add files to AC_CONFIG_FILES. Change AC_CONFIG_SRCDIR.

2007-01-22  Jeff Westerinen  <jeff.westerinen@palmsource.com>
	Fix for bug 345603:

	* src/glade-command.c, src/glade-command.h:
	  - Redesigned the implementation of the following commands:
	    - glade_command_delete
	    - glade_command_create
	    - glade_command_cut
	    - glade_command_copy
	    - glade_command_paste
	      These are now command aliases.
	    - Added a new drag-and-drop command, glade_command_dnd, to replace former
	      glade_command_cut/glade_command_paste command pairs.
	    - Added the following set of canonical commands which comprise the implementation
	      of the command aliases:
	    - glade_command_add
	    - glade_command_remove
	    - glade_command_clipboard_add
	    - glade_command_clipboard_remove

	* src/glade-gtk.c:
	  Replaced the cut/paste command pair with the dnd command in 
	  glade_gtk_menu_shell_move_child().
	
	* src/glade-base-editor.c:
	  Replaced the cut/paste command pair with the dnd command in 
	  glade_base_editor_change_type() and glade_base_editor_move_child(). 

2007-01-20  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-project-window.c: modify translator-credits prop
	  for About dialog.

2007-01-20  someone <bugs@outerspace.dyndns.org>

	* src/glade-parser.c: use xmlSubstituteEntitiesDefault() when
	  loading/saving glade files in order to maintain '&' charachters
	  in labels (fixes bug 396311).

2007-01-17  Tristan Van Berkom <tvb@gnome.org>

	* autogen.sh: renamed configure.in -> configure.ac

2007-01-07  Vincent Geddes <vincent.geddes@gmail.com>

	* configure.in: Quote some macro arguments. Use AS_HELP_STRING
	  to format the messages for AC_ARG_ENABLE macros. Other cleanups
	  and updates.

	* src/glade-editor-property.c: Modified some dialogs for HIG
	  compliance. Mostly about adjusting border widths and spacings,
	  and setting mnemonics. Title for "Edit Text Property" dialog
	  is now a simpler "Edit Text". Title for "Select Flags" dialog
	  is also now a more descriptive "Select Events".

	* src/glade-project-window.c: Set URL for online help to
	  "http://glade.gnome.org/manual/index.html".

2007-01-17  Christian Persch  <chpe@svn.gnome.org>

	* src/glade-accumulators.c:
	* src/glade-base-editor.c:
	* src/glade-binding.c:
	* src/glade-clipboard.c:
	* src/glade-cursor.c:
	* src/glade-debug.c:
	* src/glade-design-layout.c:
	* src/glade-design-view.c:
	* src/glade-gnome.c:
	* src/glade-id-allocator.c:
	* src/glade-palette-box.c:
	* src/glade-palette-expander.c:
	* src/glade-palette-item.c:
	* src/glade-parameter.c:
	* src/glade-placeholder.c:
	* src/glade-signal.c:
	* src/glade-xml-utils.c: Include config.h.

	* src/glade-app.c: (glade_app_init): Bind the gettext domain. Bug
	#397429.

2007-01-17  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-devhelp.[ch]: removed obsolete files.

2007-01-03  Christian Persch  <chpe@svn.gnome.org>

	* configure.in: No need to check for a AC_PROG_CXX.

2007-01-03  Christian Persch  <chpe@svn.gnome.org>

	* Makefile.am:
	* configure.in:
	* glade-3.desktop.in.in:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	Add version to bugzilla info in the .desktop file. Bug #392395.

2007-01-03  Christian Persch  <chpe@svn.gnome.org>

	* configure.in:
	* pixmaps/16x16/Makefile.am:
	* pixmaps/22x22/Makefile.am:
	* pixmaps/Makefile.am:
	* src/Makefile.am:
	* src/glade-app.c:
	* src/glade-binding.c:
	* src/glade-paths.sh.in:
	* src/glade-project-window.c:
	* src/libgladeui-1.0.pc.in:
	* widgets/Makefile.am:
	Use the correct way to define paths, using _CPPFLAGS in Makefile.am.
	Fixes build problem with autoconf 2.60 wrt. datarootdir. Bug #392379.

2006-12-18  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Rolling 3.1.4

	* src/glade-widget-adaptor.c: Fixed loading of "special-child-type" from
	  the catalog, fixes bugs with GtkFrame, GtkNotebook (bug 373251), GtkExpander etc.

	* src/gtk+.xml.in: Disable the "label" property of expanders, expander labels are
	  identified by thier internal label widget, when setting the "label" property the
	  widget gets lost from the hierarchy, so thats fixed (bug 386352)

2006-12-18  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Rolling 3.1.3

2006-12-18  Oliver Nittka  <oly@nittka.com>

	* Changed a bunch of sources to remove forward declarations of enum types
	  since they are not supported by c++ compilers.

2006-12-16  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-widget.c: glade_widget_sync_custom_properties()
	  dont sync construct_only props, does bad things inside constructors.
	  (really need to fix this bad concept of sync'ing props).

	* widgets/canvas.xml.in: ignore some virtual properties on the icon list.

2006-12-16  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c, widgets/gtk+.xml.in:
	  - Fixed a crash due to gtk_message_dialog_set_image "image" 2.10
	    property crashing on NULL images (bug 386563).
	  - ignore "window-placement-set" property on scrolledwindow (fixes 385920).

2006-12-13  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-utils.[ch]: new function glade_util_get_file_mtime().

	* src/glade-project-window.c: Test project files for external
	  changes in gpw_save(). Adjust border width of main window contents.

	* src/glade-project.c: stat project file when opening or saving.

2006-12-12  Oliver Nittka  <oly@nittka.com>

	* src/glade-base-editor.c src/glade-clipboard-view.c src/glade-command.c
	src/glade-command.h src/glade-design-layout.c src/glade-design-view.c
	src/glade-editor-property.c src/glade-editor-property.h
	src/glade-editor.c src/glade-gnome.c src/glade-gtk.c
	src/glade-palette-box.c src/glade-palette-item.c src/glade-palette.c
	src/glade-project-view.c src/glade-project-window.c
	src/glade-project.c src/glade-property-class.c
	src/glade-property-class.h src/glade-property.c src/glade-property.h
	src/glade-python-gwa.c src/glade-python.c src/glade-utils.c
	src/glade-utils.h src/glade-widget-adaptor.c
	src/glade-widget-adaptor.h src/glade-widget.c src/glade-widget.h

	Renamed reserved C++ keywords "new", "class", "virtual", "template" and "this"
	as a prerequisite for adding gtkmm bindings

2006-12-12  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Merged changeset 'GLADE3_3_0_BRANCHPOINT_1' --> 'GLADE3_3_0_MERGEPOINT_2'
	  into HEAD

2006-10-26  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c: Fixed saved "gtk-broken-image" stock being saved
	  in all GtkImages (bug 353126) (with help from Jeff Westerinen).

2006-11-07  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-property.c: fixed bug 360586
	  "&amp in a label with markup enable saves as an &"

2006-12-12  Vincent Geddes <vincent.geddes@gmail.com>

	* configure.in, src/Makefile.am, src/.cvsignore: The pkg-config
	  entry is now `libgladeui-1.0.pc'.

	* doc/catalogintro.sgml: Update for change in pkg-config entry.

2006-12-08  Jeff Westerinen <jeff.westerinen@palmsource.com>
	
	* doc/widgetclasses.sgml
	  - changed the description of the "name" property of the
	    glade-widget-class tag.

	* src/glade-utils.[ch]
	  - changed glade_util_get_type_from_name() to being able to use the
	    name arg directly as the "get type" function.

	* src/glade-widget-adaptor.c
	  - changed glade_widget_adaptor_from_catalog() to now check for a
	    "get-type-function" property.  If one is found, it is used to get 
	    the widget type instead of "name" property (fixes bug 377435)

	* src/glade.h: added the "get-type-function" property definition.

2006-12-07  Vincent Geddes <vincent.geddes@gmail.com>

	* help/ChangeLog, help/Makefile.am, help/glade.omf.in,
	  help/.cvsignore, help/C/glade.xml, help/C/legal.xml,
	  help/C/figures/main-window.png, m4/.cvsignore: New files.

	* configure.in: 
	  - Check for gnome-doc-utils and scrollkeeper
	  - Use AC_CONFIG_FILES instead of AC_OUTPUT with args.
	    AC_OUTPUT with args is deprecated.
	  - set macro dir with AC_CONFIG_MACRO_DIR.

	* Makefile.am:
	  - Update for gnome-doc-utils integration.
	  - Conditionally set SUBDIRS if docs building is enabled.
	  - Set `ACLOCAL_AMFLAGS = -I m4' as recommended in
	    Autoconf manual.

	* .cvsignore: Add `gnome-doc-utils.make'.

	* src/glade-utils.[ch]: New function `glade_util_url_show'.

	* src/glade-project-window.c:
	  - Add functionality for launching the GNOME user manual.
	  - Set URL hook for GtkAboutDialog.
	  - If devhelp is not available, the online developer reference
	    is displayed instead.

	* src/glade-paths.sh.in: New variable GLADE_GNOMEHELPDIR.

	* glade-3.desktop.in: Add "X-GNOME-DocPath" entry.
	  Add "GTK" to "Categories".

2006-12-06  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.in: added AC_CHECK_HEADERS(Python.h)
	
	* src/glade-binding.[ch]: scripts indexed by GType name instead of GType
	  this way we do not need glade_util_get_type_from_name() anymore.

	* src/glade-widget-adaptor.c: fixed regression in 
	  gwa_setup_introspected_props_from_pspecs() Interface introduced
	  properties where skipped.

	* src/glade-gtk.c: Added GtkAssistant support code.

	* widgets/gtk+.xml.in: Added gtk+ 2.10 widget classes.
	  GtkAssistant, GtkLinkButton, GtkPageSetupUnixDialog,
	  GtkPrintUnixDialog, GtkRecentChooserWidget and GtkRecentChooserDialog.

2006-12-05  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Starting on blockers for 3.2

2006-12-05  Sebastien Bacher <seb128@ubuntu.com>

	* NEWS:
	* configure.in: require intltool 0.35, roll 3.1.2

2006-12-03  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Rolling 3.1.1

2006-12-03  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-palette.[ch]:
	  - Refactor GladePalette code slightly
	  - Selector button can now be hidden.
	  - Palette items are now implemented as toggle buttons.
	
	* src/glade-palette-item.[ch]: GladePaletteItem is now a
	  subclass of GtkToggleButton instead of GtkRadioButton.
	  
	* src/glade-app.c, src/glade-fixed.c, src/glade-placeholder.c:
	  update for change in GladePalette API.
	  
	* src/glade-design-layout.c: Improved drawing code.
	
	* src/glade-project-window.c:
	  - Refactored recent files code.
	  - Added "Widget Selector" button to main toolbar. Is an
	    external selector button for the palette
	  - Fixed #373255 - "Doesn't warn about unsaved document
	    on quit"

	* pixmaps/selector.png: New selector button.

2006-11-30  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* widgets/gnome.xml.in: removed glade_gnome_about_dialog_get_children()

	* src/glade-gnome.c: Code cleanup
	  o removed every g_return_if_fail()
	  o removed glade_gnome_about_dialog_get_children()
	  o glade_gnome_dpe_set_property() reworked. (lots of function merged)
	  o glade_gnome_dps_set_property() fixed.

2006-11-28  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-widget-adaptor.c:
	  o reference adaptor->type class in glade_widget_adaptor_constructor()
	    because gwa_setup_properties() and gwa_list_signals() need this.
	  o added extra checks in adaptor methods
	    g_type_is_a (G_OBJECT_TYPE (object), adaptor->type)
	    now we can safelly get rid of checks in the plugin code.

2006-11-22  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.in: added PYGTK_REQ_MAYOR, PYGTK_REQ_MINOR and
	  PYGTK_REQ_MICRO to config.h

	* src/glade-python.c: check for pygobject >= 2.12.0

	* src/glade-python-gwa.override: fixed packing property bug in 
	  glade_python_support_init_value()

	* src/glade-python-gwa.c: updated.

	* src/glade-project-window.c: show clipboard.

	* src/glade-catalog.c: check catalog's language is valid.

	* src/glade-binding.c: added a warning message when we can not load
	  a module.

2006-11-22  Andreas Köhler <andi5.py@gmx.net>

	* src/glade-design-view.h: dllexported functions with
	  LIBGLADEUI_API.

2006-11-21  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-property.c: Fixed a segfault in glade_widget_dup(), some things
	  are done before setting the "class", so I made sure not to touch the
	  class member during object construction time.

2006-11-21  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.in: Added python/pygtk checks.

	* src/Makefile.am: added glade-binding.[ch] and BUILD_PYTHON rules

	* src/glade-app.c:
	  o added glade_scripts_dir and glade_bindings_dir globals
	  o loading / unloading bindings.

	* src/glade-binding.[ch]: GladeBinding support this is the glue code
	  between glade core and bindings modules.

	* src/glade-catalog.c: support for loading catalogs supported by
	  bindings, added language member to GladeCatalog.

	* src/glade-marshallers.list: added new marshallers BOOLEAN:STRING and
	  BOOLEAN:OBJECT,STRING

	* src/glade-paths.sh.in: added GLADE_BINDINGSDIR and GLADE_SCRIPTSDIR.

	* src/glade-popup.c: added support for GWAAction
	  (shows context actions as menu items)

	* src/glade-project-window.c: added window which a console for each
	  GladeBinding that provide a console.

	* src/glade-python-gwa.c: GladeWidgetAdaptor python wrapper.

	* src/glade-python-gwa.[defs override]: files used by pygtk-codegen-2.0
	  to create glade-python-gwa.c

	* src/glade-python.c: GladeBinding plugin for python language.

	* src/glade-widget-adaptor.[ch]:
	  o added GWAAction support.
	  o added "action-activated" signal
	  o added glade_create_reason_get_type() so the enum can be exposed in
	    bindings as a GEnum.
	  o added "adaptor" property to glade-widget-class this way non C catalog
	    plugins can define the GladeWidgetAdaptor derived class.
	    <glade-widget-class name="Custom" adaptor="CustomAdaptor"/>
	  o setup binding scripts as actions.
	  o added glade_widget_adaptor_emit_action_activated()
	    (used in glade-popup.c)

	* src/glade-widget.[ch]: added "action-activated" signal.

	* src/glade.h: added GLADE_TAG_LANGUAGE, GLADE_TAG_ACTION_GROUP,
	  GLADE_TAG_ACTION, GLADE_TAG_STOCK, glade_scripts_dir and
	  glade_bindings_dir.

2006-11-20  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-property.c: 
	  - glade_property_set_enabled(), when enableing a property, sync its 
	    value incase it has any visual feedback.
	  - removed the horrid code that dealt with the project and selection
	    when calling glade_widget_rebuild()
	  - use new glade_widget_object_set_property()/glade_widget_child_set_property().

	* src/glade-widget.c: 
	  - glade_widget_rebuild(), added the afore mentioned horrid code - doesnt 
	    seem so horrid over here.
	  - added apis to proxy property setting onto the object (via the gwa).
	  - Now sync all properties again at sync_custom_props() time (since there's
	    no set_function anymore and property->class->virtual isnt enough).
	
	* src/glade-design-layout.c: Added commented alternative code for
	  resizing, TODO remove the direct property setting stuff and handle it
	  somewhere appropriate.

	* src/glade-fixed.c: Commented out a g_return_if_fail and temporarily
	  put an if (statement) return; need to work on handling events differently
	  now (its no big deal, there are just some extra events now comming from the
	  toplevels at focus change times and stuff that are irrelevent to the 
	  glade widgets and so the code complains).

	* src/glade-gnome.c, src/glade-gtk.c: Ported to the new api for 
	  set_property/get_property/verify_property.

	* src/glade-property-class.[ch]: Removed get/set/verify property backend hooks

	* src/glade-widget-adaptor.[ch]: Added get/set/verify property backend hooks,
	  now the adaptor is a solid self-contained proxy to the plugin.

2006-11-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-catalog.[ch]:
	  o manage all GModules with a hash table.
	  o added glade_catalog_modules_close()

	* src/glade-app.c:
	  o call glade_catalog_modules_close() when the app finalize.
	  o removed unnecesary headers.

	* src/glade-gnome.c: fixed some warnings.
	
	* src/glade-utils.c: slight optimization in function 
	  glade_util_get_type_from_name (), check if type is already registered.

	* src/glade.h: removed unneeded #ifdef GLADE_H check.
	
	* src/glade-widget-adaptor.[ch]:
	  o removed module member from GladeWidgetAdaptorPriv since now we keep
	    all the openned modules inside glade-catalog.c
	  o added glade_abort_if_derived_adaptors_exist().

2006-10-29  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-project-window.c:
	  - Use the new GtkRecent API, and make it screen aware.
	  - Added the notion of a 'default_path' for file open/save
	    operations. Replaces the previous recent-file based
	    implementation.
	  - Hide statusbar grip when window is in maximised state.
	  - Set a reasonable default size for props editor and tree.

	* src/glade-popup.c: Removed the "Properties" context action as 
	  it doesn't really make sense in the single-window ui.

	* widgets/gtk+.xml.in: Added some displayable values for the
	  GtkWindow::type-hint property.

2006-10-27  Tristan Van Berkom <tvb@gnome.org>

	* NEWS: Rolling 3.1.0
	
2006-10-26  Tristan Van Berkom <tvb@gnome.org>

	* Merged changeset 'GLADE3_3_0_BRANCHPOINT' --> 'GLADE3_3_0_MERGEPOINT_1'
	  into HEAD

2006-10-26  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Bumped required gtk+ version to 2.10 for the
	  3.1 series

2006-10-25  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-project-window.c: 
	  o integrate ui into one main window.
	  o A GtkNotebook is used to display GladeDesignView's.

	* src/glade-project-view.[ch]: add "item-activated" signal.

	* src/glade-design-layout.[ch], src/glade-design-view.[ch]: 
	  new files.

	* src/glade-widget.[ch]:
	  o Added functions for embedding toplevel GladeWidgets
	  o glade_widget_show() modified to manage embedding of
	    toplevels.

2006-10-20  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Removed the python check

	* src/glade-widget-adaptor.c: Fixed properties
	  (some were being ignored).

	* src/glade-gtk.c, widget/gtk+.xml: 
	  Gave some love to some 2.10 properties

2006-10-19  Tristan Van Berkom <tvb@gnome.org>

	* src/Makefile.am src/glade-app.c src/glade-base-editor.c 
	src/glade-catalog.c src/glade-catalog.h src/glade-clipboard-view.c 
	src/glade-clipboard.c src/glade-command.c src/glade-command.h 
	src/glade-cursor.c src/glade-editor-property.c 
	src/glade-editor.c src/glade-editor.h src/glade-fixed.c 
	src/glade-fixed.h src/glade-gnome.c src/glade-gtk.c 
	src/glade-palette-item.c src/glade-palette-item.h 
	src/glade-palette.c src/glade-palette.h 
	src/glade-placeholder.c src/glade-popup.c 
	src/glade-project-view.c src/glade-project.c 
	src/glade-property-class.c src/glade-property.c 
	src/glade-property.h src/glade-signal-editor.c 
	src/glade-signal-editor.h src/glade-signal.h src/glade-utils.c 
	src/glade-widget.c src/glade-widget.h src/glade.h src/main.c 
	widgets/bonobo.xml.in widgets/gnome.xml.in widgets/gtk+.xml.in: 

	Added glade-widget-adaptor.[ch], removed glade-widget-class.[ch].

	Modified most sources to cope with the major api change.

2006-10-18  Vincent Geddes <vincent.geddes@gmail.com>

	* Makefile.am: Update icon theme cache on uninstall.

	* po/LINGUAS: new file
	
	* configure.in: adapted to use LINGUAS file

2006-10-17  Vincent Geddes <vincent.geddes@gmail.com>

	* COPYING: relicense pixmaps under GNU LGPL

	* COPYING.GPL, COPYING.LGPL: new files

	* Makefile.am: added license files to EXTRA_DIST.

2006-10-04  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated with general goals/tasklist.

2006-09-30  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-project.view.[ch]: Added private data struct.
	  Removed notion of a GladeProjectViewType.

	* src/glade-project-window.c: update for GladeProjectView changes

2006-09-29  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: bumping version to 3.1.0

	* glade.h: include gaurd against libglade

2006-10-20  Jonas Berlin <jberlin@niksula.hut.fi>

	* src/glade-parser.c: Fixed "-" / "_" mangling in translatable 
	  string comments (bug 363598)

2006-09-29  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Rolling out 3.0.2 tarball.

2006-09-29  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-parser.[ch]: Renamed every function to avoid namming clash
	  with libglade (now Anjuta 2 can continue with glade3 plugin)

	* src/glade-project.c: adapted to new functions names.

2006-09-22  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-property-class.c: fixed bug 353126
	  "glade3.0.1 lost icons in gtkmenuitem"
	  glade_property_class_make_object_from_string() now returns a new 
	  pixfuf for each missing file name.

	* src/glade-editor-property.c: make GladeEPropResource change property
	  value on focus-out event.

2006-09-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-builtins.[ch]: Added GLADE_TYPE_STOCK_IMAGE (and standard
	  pspec for it), this is stock items plus the additional "stock images"
	  from gtkstock.h (closing bug 353522).

	* src/glade-editor-property.c: recognize new stock image pspec type.

	* src/glade-gtk.c, widgets/gtk+.xml.in:
	  - Bulletproofed toolbar code wrt stock images (also use stock "images"
	    instead of items here)
	  - Use stock "images" for GtkImage
	  - GtkImage "type" property now defaults to "stock"
	  - GtkImage stock id now defaults to "gtk-missing-image"
	  - Ignore "enable-grid-lines" 2.10 property on treeview since
	    it causes crashes on load (fixes bug 353611)
	  - Added displayable values for "enable-grid-lines" 2.10 property
	  - Set some HIG-ish defaults on dialogs

2006-09-20  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-project.c reworked glade_project_update_comment()
	  update every line generated by glade (not just the first one)

2006-09-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-parser.[ch]:
	  o Removed function glade_interface_add_comment()
	  o Added new member comment to GladeInterface.

	* src/glade-project.[ch]: fixed Bug 342889 
	  "Put some comment telling about glade-3 in glade files"
	  o Added new function glade_project_update_comment().
	  o Added new member comment to GladeProject.

2006-09-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-property-class.[ch]:
	  o Added new member weight.
	  o glade_property_class_get_displayable_value() returns is now const.

	* src/glade-editor-property.c: adapted to the new 
	  glade_property_class_get_displayable_value() declaration.

	* src/glade-editor.c: Fixed bug 345893. "Need to order
	  properties in the editor and widget-groups in the palette"

	* src/glade-widget-class.c:
	  added glade_widget_class_properties_set_weight().

	* src/glade-xml-utils.[ch]: added glade_xml_get_property_double().
	
	* src/glade.h: added new tag GLADE_TAG_WEIGHT.

	* widgets/gtk+.xml.in: set weight in several properties.
	  GtkWidget's tooltip, GtkBox packing properties, GtkButton GtkImage

2006-09-14  David Lodge <dave@cirt.net>

	* configure.in: Addedd en_GB to ALL_LINGUAS

2006-09-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gnome.c:
	  o added support for removing a BonoboDockItem from BonoboDock.
	  o added missing g_return_if_fail() in several functions

	* widgets/bonobo.xml.in: added glade_gnome_bonobodock_remove_item()

2006-09-12  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: GtkImage support improved. Finally no more 
	  g_object_set_data() :)

	* src/glade-project.c: Emit "parse-finished" after setting project's
	  loading flag.
	  
	* src/glade-property-class.[ch]:
	  make glade_property_class_make_object_from_string () returns a missing
	  image icon if resource file is not found. This also make glade do not
	  forget missing files.
	  
	* src/glade-gnome.c:  fixed a silly warning in
	  glade_gnome_date_edit_post_create()

2006-09-08  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: added glade_gtk_combo_box_entry_get_internal_child()
	  Fixed bug 354716 "cut&paste ComboBoxEntry crashes Glade"

	* widgets/gtk+.xml.in: added GtkComboBoxEntry's
	  get-internal-child-function.

	* src/glade-gnome.c: added glade_gnome_date_edit_post_create()
	  Fixed bug 351589 "GnomeDateEdit widget displays time when it shouldn't"

	* widgets/gnome.xml.in: added GnomeDateEdit's post-create-function

2006-09-06  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-command.c: Backing out multiple consecutive pastes from 3.0,
	  reopening bug 345603.

2006-09-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-base-editor.c, src/glade-gtk.c: small optimization, there is
	  no need to move a child if the new parent is the same as the old one.
	  (in GladeBaseEditor "move-child" signal handlers)

	* src/glade-command.c: fixed a warnign in glade_command_delete_execute()
	  Widgets in the clipboard have no parents.

2006-08-28  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: Fixed bug 345075 "GtkPaned is invisible on load".
	  added new functions glade_gtk_paned_set_child_property() and
	  glade_gtk_paned_get_child_property().

	* src/glade-editor.c: do not load invisible packing properties in
	  glade_editor_load_packing_page().

	* widgets/gtk+.xml.in: GtkPaned support improved.
	  o Added new virtual child property "first".
	  o Added child-set-property-function and child-get-property-function

	* src/glade-utils.[ch]: added convenience function
	  glade_util_object_is_loading()

	* src/glade-editor-property.c: Fixed bug 352825 "segmentation fault when
	  saving after adding multiple accelerators to buttons"
	  set ACCEL_COLUMN_REAL_SIGNAL in key_edited() when a new slot is
	  appended and free string allocated by gtk_tree_model_get().

2006-08-24  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-utils.[ch]: Remove glade_util_uri_list_parse().

	* src/glade-project-window.c: Rewrite gpw_drag_data_received() 
	  (fixing bug 352458).

2006-08-23  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-widget-class.c: glade_widget_class_add_signals()
	  simplification.

	* src/glade-signal-editor.[ch]: signal editor UI improved (bug 127149)
	  o Handler column now uses a GtkCellRendererCombo with inline entry
	    completion.
	  o added completion to User Data column.
	  o Lookup column disabled.
	  
2006-08-22  Tristan Van Berkom <tvb@gnome.org>

	* widgets/gtk+.xml.in, widgets/gnome.xml.in: Fixed non-translatable strings on many
	  properties: title of GtkFileChooserButton, GtkColorButton and GtkFontButton, 
	  text of GtkEntry, GtkProgressBar and GnomeDruidPageStandard, title and text of
	  GnomeDruidPageEdge, all text properties of GtkAboutDialog. 
	  (reported by Olivier Rolland)

	* src/glade-editor-property.c, src/glade-property-class.c: Reverted to use
	  of floating point precision in adjustments - use non locale specific
	  functions to write them out - use non locale specific functions to write
	  out floats and doubles too.

2006-08-22  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added ko in ALL_LINGUAS.

2006-08-21  Tristan Van Berkom <tvb@gnome.org>

	* widgets/gtk+.xml.in: Fixed non-translatable strings GtkWindow "title" property
	  and GtkWidget "tooltip" property. (reported by Olivier Rolland)

2006-08-20  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: wrapping 3.0.1 tarball
	
	* src/glade-palette.c: Fixed to not stick on class->toplevel widget classes,
	  this avoids segfaults when trying to add toplevels to placeholders.

2006-08-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-widget-class.c: sort signals alphabetically in
	  glade_widget_class_add_signals() (bug 352013)

	* src/glade-palette.c: Palette can be locked as in glade2 with
	  CONTROL-Click (bug 303679)

2006-08-19  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-project-window.c: 
	  o Use Unicode characters where appropriate.
	  o Set website property for About dialog.
	  o Beefed up Projects menu. Added "Previous" and "Next" actions.
	    Removed the tab alignment.
 
	* glade-3.desktop.in, src/main.c: Removed the "3" from the application
	  title.
 
	* configure.in: Fixed typo.

2006-08-19  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-widget.[ch]: 
	  o Added glade_widget_remove_property ()
	  o Fixed textview segfault (bug 352054) by checking nulls from
	    gdk_window_get_user_data().

	* src/glade-editor-property.c: Hide widget when no property loaded

	* src/glade-editor.c: Fixed packing up so that invisible children
	  dont screw up the layout.

	* src/glade-gtk.c: Removed "border-width" on action area and vbox
	  in GtkDialogs that expose them, also removed "spacing" on the
	  action area - these props are controlled by "content-area-border", 
	  "button-spacing" and "action-area-border" style props on the dialog.

	* src/glade-property.c: Added #if 0 debugging code.

2006-08-18  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-widget-class.c: glade_widget_class_list_signals () now list
	  signals implemented by interfaces.
	  Added gwc_iface_not_implemented_by_parent () and
	  glade_widget_class_add_signals().

2006-08-18  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c, widgets/gtk+.xml.in: Fixed expanders, 
	  now there's always a placehodler when needed.

2006-08-17  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-command.c: Now you can paste widgets to your hearts content.
	  (bug 345603)

	* src/glade-editor-property.c, src/glade-property-class.c:
	  Now adjustments are saved as decimal values instead of doubles
	  (glade-- code generator didnt like doubles... we'll create 
	  adjustment objects anyway in the future builder).

2006-08-16  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-command.c: fixed bug 345604
	  "Pasting a widget does not paste the packing options"

	* src/glade-property-class.[ch]: added transfer_on_paste property to
	  GladePropertyClass.

	* src/glade-widget.[ch]: exported glade_widget_dup_properties()

	* src/glade.h added GLADE_TAG_TRANSFER_ON_PASTE tag.

	* widgets/gtk+.xml.in: set transfer-on-paste on corresponding packing
	  properties.

	* src/glade-base-editor.c: fixed posible bug when emiting delete-child
	  signal.

2006-08-11  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, NEWS: Wrapping the 3.0 tarball.

2006-08-11  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/main.c, src/glade-project-window.c: Added --without-devhelp option
	  (for users suffering of DevHelp 0.11)

	* src/glade-app.c, src/glade-popup.c: Fixed bug with contect menu on placeholders.

2006-08-11  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-project-window.c: Change 'Recent Projects' to 'Open Recent'
	  in menu.

2006-08-11  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c: Improved notebook code some more.

	* src/glade-widget.c: 
	  o Removed g_criticals in functions that return FALSE to signify not-found properties.
	  o Setup packing properties so they are available to the plugin at replace_child time.

	* src/glade-project.c: 
	  o Unparent all widgets before closing the project, this stops the recursive "destroy" 
	    signal from happening and allows us to better manage the project widgets
	    (not to mention it avoids a buggy assertion from the GtkNotebook at 
	    destruction time).
	  o Fixed a bug where loaded projects were never marked with unsaved changes
	    (since loaded propjects were infinately project->loading == TRUE).

	* src/glade-command.c: Fixed bookkeeping of special-child-type when redoing
	  a paste command.

	* src/glade-project-window.c: Updated the about dialog for the 3.0 release.

2006-08-10  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-utils.c: Fixed glade_util_get_placeholder_from_pointer to
	  work for notebook tabs.

	* src/glade-gtk.c, widgets/gtk+.xml.in: Reworked to simplify code and 
	  reduce alot of code.

	* src/glade-utils.c: Now use the toplevel to get the mouse coordinates
	  for the placeholder searching.

2006-08-09  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-utils.c: Now check if placeholders are GTK_WIDGET_MAPPED()
	  before returning them, since placeholders "overlap" inside notebooks.

	* src/glade-command.c: bookkeeping on "special-child-type" for cut/copy/paste
	  consistancy.

	* src/glade-gtk.c, widgets/gtk+.xml.in: Tons of code added to manage notebooks.

	* src/glade-widget.c: Change the order of an if statement (avoid
	  comparing irrelevent memory).

2006-08-09  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-editor-property.c: GladeEPropText simplification.
	  Fixed a bug were each time a text property was loaded one byte per
	  multibyte character was lost.

2006-08-09  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-cursor.c: Use GTK_IS_WINDOW() instead of GTK_IS_TOPLEVEL since
	  GTK_IS_TOPLEVEL seems to return TRUE for some GObjects. (was getting
	  crashes using a custom widget catalog because of this).

2006-08-09  Yevgen Muntyan <muntyan@tamu.edu>

	* src/glade-project.c: glade_project_new_widget_name() strips trailing digits from
	  base_name argument, so glade_project_new_widget_name("blah1") is "blah2".

	* src/glade-widget.c: Make sure the newly duplicated widget gets a new unique
	  name.

2006-08-08  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-app.c: reworked glade_app_command_paste () placeholders can
	  not be selected anymore.
	
	* src/glade-command.c: in glade_command_cut_copy_paste_common () we try
	  to use the placeholder which has the pointer over it first.
	  Fixed bug 349494 "Unable to paste widget into other empty placeholder
	  than the first one".
	  
	* src/glade-fixed.[ch]: add new property "use-placeholders".
	
	* src/glade-gtk.c: set "use-placeholders" for GtkBox and GtkTable.
	
	* src/glade-popup.c: reworked glade_popup_create_placeholder_menu () and 
	  glade_popup_placeholder_paste_cb (), placeholders do not get selected
	  anymore.
	
	* src/glade-utils.[ch] glade_util_selected_placeholder () removed,
	  added glade_util_get_placeholder_from_pointer ().

2006-08-08  Vincent Geddes <vincent.geddes@gmail.com>

	* src/glade-gtk.c: GtkDialog's main vbox now has 2 placeholders
	  instead of 3.

	* src/glade-3.pc.in: Change description field to
	  "Glade Interface Designer".

	* glade-3.desktop.in: Enable startup notification.

2006-08-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-project-view.c: Added widget search in project view treeview
	  (close bug 349860)

2006-08-04  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-placeholder.c: No more selection on placeholders.

2006-08-04  Vincent Geddes <vincent.geddes@gmail.com>

	* doc/catalogintro.sgml, doc/children.sgml, doc/gladeui-docs.sgml,
	  doc/tmpl/glade-app.sgml, doc/tmpl/glade-fixed.sgml,
	  doc/tmpl/glade-palette.sgml, doc/tmpl/glade-project.sgml,
	  src/glade-editor.c: Fixed spelling and formatting typos.

	* src/glade-palette.c: Add documentation.

	* widgets/glade-catalog.dtd: Removed xml document tag 
	  (DTD expressions are not xml). Add 'toplevel' attribute to 
	  'glade-widget-class' attribute list.

	* widgets/gtk+.xml.in: Change default widget 
	  properties (in line with HIG).
	  o The scrolling policies of GtkScrolledWindow are now 
	    GTK_POLICY_AUTOMATIC.
	  o The GtkDialog 'has-separator' property is now set to FALSE.
	  o The GtkFrame 'shadow-type' property is now GTK_SHADOW_NONE.

	* src/glade-gtk.c: Changed glade_gtk_frame_post_create(). By default,
	  GtkFrame's are now more HIG compliant.

	* pixmaps/22x22/Makefile.am: Another icon.

2006-08-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-fixed.c, src/glade-utils.[ch]: fixed bug 348570
	  "GladeFixed drag/resize "sticks"" added glade_util_set_grabed_widget()

	* src/glade-gtk.c: fixed bug 348964
	  "Double-clicking in a TextView hangs Glade3"  added callback to stop 
	  GtkTextView's double clicks.

2006-08-01  Clytie Siddall <clytie@riverland.net.au>

	* src/glade-project-window.c: Fixed typo in the about dialog.

2006-07-28  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: Fixed a GtkImage loading bug. (more cleanup)

	* widgets/gtk+.xml.in: renamed GtkImage "glade-stock" and "stock"
	  set-functions to make it more understandable.

2006-07-27  Vincent Geddes <vgeddes@metroweb.co.za>

	* pixmaps/16x16/Makefile.am, pixmaps/22x22/Makefile.am: More icons.

2006-07-27  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: Fixed small bug in glade_gtk_image_post_create()
	  glade-image-post-ran must be set if the widget was created by the user.

2006-07-27  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-fixed.c: 
	  o Drags now move scrolled windows around if the fixed widget happens to 
	    be in a scrolled window.
	  o New we can add a widget to a fixed inside a table
	  o Fixed bug where signals were not disconnecting when children
	    were deleted/cut from GladeFixed parents.

	* src/glade-editor.c: Refined tooltip text a little.

	* TODO: Updated

2006-07-26  Vincent Geddes <vgeddes@metroweb.co.za>

	* pixmaps/16x16/Makefile.am, pixmaps/22x22/Makefile.am: More icons.

	* src/glade-gtk.c: fix compiler warning.

	* src/glade-palette.c: document a function.

	* src/glade-project-window.c:
	  o Increase border width of property editor window.

	* src/glade-utils.c: Changed implementation of
	  glade_util_widget_set_tooltip(). All tooltips are now 
	  stored in only one GtkTooltips object.

	* src/glade-editor.c:
	  o Removed scrolled window from signal editor page.
	  o All pages (except signal editor page) are now packed into an
	    alignment instead of a vbox.
	  o Class field now displayed using a non-editable entry.
	  o Modified the utility buttons at the bottom of the editor.
	    Devhelp button now uses the "devhelp" named icon if available.
	  o Lots of other minor ui changes.

2006-07-26  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-base-editor.c, src/glade-editor-property.c:
	  adapted to the new glade_command_set_property() prototype.

	* src/glade-command.[ch]: changed prototype of
	  glade_command_set_property(), added glade_command_set_property_value()

	* src/glade-fixed.c: do not call gtk_widget_grab_focus() in
	  glade_fixed_event() it makes widgets fight for the focus on some
	  situations.

	* src/glade-gtk.c: GtkEntry and GtkTextView support improved.
	  Now text property can be edited from the instance itself.

2006-07-25  Vincent Geddes <vgeddes@metroweb.co.za>

	* po/*.po: converted translations to utf8: da es ms nn pl pt ru sv ta tr

2006-07-25  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-project.c: Dont require that an object be "toplevel" to be
	  saved, just that it has no parent (toplevel means that it can _only_
	  be top-level, and gwidget->parent == NULL means that it _happens_ to
	  be top-level.

	* src/glade-cursor.c: Hacked the cursor code to violently set cursors
	  on all visible project widgets, this fixes bug 348657.

	* src/glade-placeholder.c: Reset cursor after creating a widget.
	
	* src/glade-command.c: glade_command_push_group () now formats its own string.

	* src/glade-base-editor.c: simplify code by letting glade_command_push_group ()
	  format its own string.

	* src/glade-fixed.c, src/glade-gtk.c: Added cuter names for undo/redo items
	  pertaining to drag/resize.

	* TODO: Updated.

2006-07-25  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: Fixed bug 347850 "Selection Bug consequence"

	* src/glade_widget.c: check added in glade_widget_event_private ()
	  Some synthetic events (like focus-change) dont come with a window.

	* widgets/gtk+.xml.in: ignore GtkEntry editable property
	
2006-07-25  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c: GtkBox can now have 0 items without freezing/crashing
	  (bug 347149)

	* TODO: Updated.

2006-07-24  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: Fixed bug 348369 "GtkImage doesnt load properly"

	* src/glade-parser.c: Fixed bug 342889
	  "Put some comment telling about glade-3 in glade files"
	
2006-07-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-widget.c: 
	  o Use gtk_widget_get_pointer on the event widget
	    to retrieve the mouse position, not gdk_window_get_pointer on any
	    arbitrary event widget of that window.
	  o Removed some debug prints.

	* src/glade-fixed.c: 
	  o Use gtk_widget_get_pointer() where we were using gdk_window_get_pointer().
	  o Use gtk_widget_translate_coordinates() for child coordinates (some widgets
	    like GtkEntry dont respect gtk_widget_get_pointer(), we trust containers only).

	* src/glade-gtk.c, widgets/gtk+.xml.in: 
	  Added text-view handling of virtual "text" property (bug 347961)
	
	* src/glade-command.c: disabling the debug print.

	* TODO: Updated

	* doc/gladeui-sections.txt, doc/gladeui-docs.sgml: updated.

2006-07-19  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor-property.[ch]: Bookkeep colours for insensitive tooltips in
	  a theme friendly manner.

	* src/glade-gtk.c, widgets/gtk+.xml.in: expose internal entry of 
	  GtkComboBoxEntry (bug 346649).

2006-07-18  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor.c: Fixed jumpy focus widget bug (bug 347851)

	* src/glade-palette-item.c, src/glade-project-window.c, src/glade-widget-class.c:
	  "s/== TRUE/!= FALSE/g" (musnt be checking for litteral truths, that is error
	  prone).

2006-07-14  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c: Fixed bug 346139
	  "GTK warns of multiple widgets contained in a button with an image"
	  Simplified GtkButton and GtkImage, Glade3 no longer tries to "remember"
	  properties values (Undo/Redo should be enougth)

2006-07-13  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/Makefile.am: added files glade-base-editor.[ch]

	* src/glade-accumulators.[ch]: new accumulators 
	  glade_string_accumulator() and glade_stop_emission_accumulator ()

	* src/glade-app.c, src/glade-project.c and src/glade-command.c:
	  use of GladeWidgetClass toplevel flag.
	
	* src/glade-gtk.c: Use of GladeBaseEditor for GtkMenuBar, GtkToolBar
	  and GtkMenu editors.

	* src/glade-marshallers.list: added OBJECT:OBJECT,UINT
	  BOOLEAN:OBJECT,UINT BOOLEAN:OBJECT,OBJECT and STRING:OBJECT

	* src/glade-property.[ch]: Added old_value parameter to GladeProject 
	  "value_changed" signal.

	* src/glade-widget-class.[ch]: added toplevel flag to GladeWidgetClass

	* src/glade.h: added GLADE_XML_TAG_TOPLEVEL

	* src/glade-base-editor.[ch]: Created GladeBaseEditor class from
	  GtkMenuBarEditor code from glade-gtk.c

	* widgets/gtk+.xml.in:
	  o added launch-editor-function for GtkToolbar and GtkMenu.
	  o Set GtkTextView post-create-function to empty (we do not need a 
	    placeholder in it).
	  o Set toplevel="True" in GtkWindow and GtkMenu.

	* doc/widgetclasses.sgml: added toplevel property docs

	* po/POTFILES.in: added src/glade-base-editor.c

2006-07-06  Vincent Geddes <vgeddes@metroweb.co.za>

	* pixmaps/16x16/Makefile.am, pixmaps/22x22/Makefile.am:
	  Added new icons.

	* src/glade-widget.class.c, src/glade-cursor.c: 
	  Rework custom cursor code.

2006-07-06  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Check for --disable-gnome arg.

2006-07-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-builtins.[ch]: fixed bug 343712
	  "Gnome stock items not recognized by glade-3"
	  Added glade_standard_stock_append_prefix () and reworked/optimized
	  glade_standard_stock_get_type ()

	* src/glade-catalog.c: make every catalog init function be called before
	  loading any of them.

	* src/glade-gnome.c: Added GNOME stock items using gtk_stock_add () in
	  glade_gnomeui_init ()

	* src/glade-project.[ch]: fixed bug 345353 
	  "Implement "finish" signal on GladeProject"

	* src/glade-gtk.c: removed idle functions, replaced conecting to
	  GladeProject::parse-finished signal.
	  
2006-06-29  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-project.[ch], src/glade-command.[ch]: Major rework underway,
	  phase one complete: Move undo/redo stack logic from glade-command to glade-project
	  and add a "changed" signal on the project ("update-ui" is fired also anytime
	  the "changed" signal is fired).

	* src/glade-app.c, src/glade-project-window.c: small changes to accomadated afore
	  mentioned api changes.

	* src/glade-marshallers.list: Added new signal VOID:OBJECT,BOOLEAN

	* src/glade-command.c: 
	  o Added "#if 0" debugging code and removed an old comment that doesnt make 
	    sence anymore.
	  o Now refresh packing properties in set-property commands, as we keep a
	    reference to the GladeProperty, which may be reset on the GladeWidget in
	    question when added to a child.

	* src/glade-gtk.c: Removed a large complex code segment in 
	  glade_gtk_table_set_child_property() that in the end wasnt needed at all.
	
2006-06-25  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-widget.[ch]: 
	  o gtk_window_set_decorated() all GtkWindows (bug 344817)
	  o Fixed glade_widget_rebuild(), now properties of internal widgets to composite
	    widgets' properties get transported along.
	  o Fixed popups to only get spawned by the widget in question
	    and not an unknown internal child.
	  o Added widget superuser modes (used by the backend to check when
	    its responsable for maintaining container sizes).
	  o glade_widget_rebuild () fixed so that properties on rebuilt internal
	    children are transfered.
	
	* src/glade-project.c: let glade-widget take care of property superuser mode
	  at load time.
	
	* src/glade-fixed.ch: connect_after on button_press to give a chance to
	  the selection

	* src/glade-command.c: Fixed unifies for properties (check that they
	  are on the same widgets).

	* src/glade-gtk.c: 
	  o GtkBox check superuser mode to adjust box size
	
2006-06-25  Vincent Geddes <vgeddes@metroweb.co.za>

	* widgets/glade-catalog.dtd: Added 'default-palette-state'
	  element and attribute declarations.

	* widgets/gtk+.xml.in, widgets/gnome.xml.in:
	  o Obsolete widget groups are now marked as unexpanded in the 
	    palette by default.
	  o Add support for GtkIconView.

	* src/glade-catalog.[ch], src/glade-palette.c:
	  o Add support for parsing 'default-palette-state' catalog tag.
	  o GladePalette now sets the expanded state for widget groups
	    from glade_widget_group_get_expanded().

	* glade-3.desktop.in: Add "GenericName" field, set
	  to "User Interface Designer".


2006-06-25  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-widget.[ch]: 
	  o Added proxy signals for events used by parenting GladeFixed objects, 
	    this way they recieve the event via the "event" signal, and therefore 
	    earlier on in the food chain.
	  o Call ->setup_events() recursively in glade_widget_connect_signal_handlers()
	    (now we get all needed events from internal children of composite widgets)
	
	* src/glade-fixed.[ch]: 
	  o Reduced code by using gtk_widget_get_pointer ()
	  o Adjusted to use the new signals on GladeWidget
	  o Removed the redundant override of ->setup_events vfunc.

	* src/glade-marshallers.list: Added BOOLEAN:BOXED type for event signals.

	* src/glade-property.c: Fixed 'unifies' in set propery commands to compare
	  property widgets.

2006-06-24  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c: Fixed a crasher in the menu-editor
	  (when a widget name changes and we recieve the project's signal,
	  deffer the treeview update to an idle func to avoid the crash).

	* src/main.c: Pass FALSE to gtk_get_option_group() and call gtk_init (NULL, NULL)
	  later on; this way we pass --version without any display (fixes 339265)

	* src/glade-widget.[ch], src/glade-property.c: 
	  o removed glade_widget_is_dupping(), use glade_property_[push/pop]_superuser() 
	    for that purpose.
	  o Unset drag source / drag dest on GladeWidget objects.
	
	* TODO: Updated.

	* doc/gladeui-sections.txt: Updated

	* doc/Makefile.am: Ignoring some headers.

	* configure.in: Package name is now glade3-2.91.3 and not glade-3-2.91.3,
	  this conforms with gnome server scripts and matches the cvs name and
	  bugzilla name.

2006-06-23  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/main.c: 
	  o Changed application name to "Glade 3"
	  o Destroy GladeProjectWindow object before exiting.

	* src/glade-app.c:
	  o Fix compiler warning (invalid pointer assignment)

	* src/glade-project-window.c:
	  o Remove WINDOW_TITLE macro. The application name
	    can now be retrieved by calling g_get_application_name()
	  o Change format of window title text.
	  o The window title and statusbar messages now inform users
	    of a project's read-only status.

	* glade-3.desktop.in:
	  o Changed "Name" field to "Glade 3 Interface Designer".
	  o Changed "Comment" field (more in line with HIG).
	  o Changed "Icon" field from "glade-3.png" to "glade-3"
	  o Added "X-GNOME-Bugzilla" fields.

2006-06-23  Tristan Van Berkom <tvb@gnome.org>

	* src/main.c: Check for NULL GError return locations from
	  g_option_context_parse () (when it returns FALSE).

	* src/glade-gtk.c: Fixed undo/redo of GtkBox children drags.

	* src/glade-editor-property.[ch]: Added a weak reference to the
	  GladeProperty and clear itself when the GladeProperty goes away,
	  also ditch the "closed" handler for projects, projects closing will
	  result in GladeProperty finalizing if all goes well.
	  (btw, this fixes a crash when the user hits cancel in a query dialog).

	* src/glade-property.c: Dont call verify funcs in superuser mode
	
	* src/glade-command.c: Now unification/collapse of multiple properties
	  works seemlessly

	* src/glade-editor.c, src/glade-editor-property.c: Added docs.

	* src/glade-property-class.c: compare 'packing' in glade_property_class_match().

	* src/glade-widget-class.c: Fix compiler warnings.

2006-06-22  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/glade-widget-class.[ch] Create cursors for adding widgets

	* src/glade-cursor.c: when setting "add" type... lookup the widget_class
	  cursor.

	* pixmaps/Makefile.am: added plus.png
	
2006-06-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-palette.c: 's/g_return_if_fail/g_return_val_if_fail/'

	* src/glade.h, src/glade-builtins.h: Only the forward declaration
	  goes in glade.h.

	* src/glade-widget-class.c, widgets/gtk+.xml.in: 
	  Fixed inheritance of the "->fixed" member in glade_widget_class_merge().

	* src/glade-gtk.c: improved drag inside GtkBox... TODO: reorder children
	  properly so that undo/redo works.

	* src/glade-fixed.c: Fixed updates to fixed->mouse_[x,y] on configures.
	
2006-06-20  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/Makefile.am: Added glade-palette-item.[ch], 
	  glade-palette-box.[ch] and glade-palette-expander.[ch] 
	  to build sources.

	* src/glade.h, src/glade-builtins.[ch]: Declare an enum
	  GladeItemAppearance and define a GType for it.

	* src/glade-palette.[ch]: Entirely reworked. new API.

	* src/glade-app.c, src/glade-fixed.c, 
	  src/glade-placeholder.c: Recognize new palette API.

	* src/glade-project-window.c: Added UI functionality
	  to support features in the new palette.

2006-06-20  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Added bugs 345438, 303679 and 345470 to the blockers.
	
2006-06-19  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c, widgets/gtk+.xml.in: Used the gtknotebook page
	  property to negotiate pages when editing tabless notebooks
	  (this property is not used correctly by libglade anyway... as it
	  would be set before any pages are added).

2006-06-19  Vincent Geddes <vgeddes@metroweb.co.za>

	* pixmaps/Makefile.am: Rework for new icons.

	* configure.in: Add new Makefiles for output.

	* src/glade-clipboard-view.c, src/glade-project-view.c:
	  o Treeview widgets now use 16x16 icons.
	  o More padding between icons and widget labels.

	* src/glade-palette.c: Now uses 22x22 icons.

	* src/glade-widget-class.[ch]:
	  o Widget classes now have a 16x16 'small' icon and a
	    22x22 'large' icon.
	  o Abstract widget classes do not need to have icons.

	* src/glade-project-window.c: fix memory leak in
	  gpw_save_as ().
	
2006-06-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-signal.c: fixed bug 345209
	  "glade 3's signal naming inconsistent with glade 2's"
	
2006-06-19  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated.

2006-06-16  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-property.[ch]: Added glade_property_[push/pop]_superuser()

	* src/glade-command.c: refined set_property_execute() and started using
	  glade_property_push/pop_superuser().

	* src/glade-project.c: super-user property mode at load time.

	* src/glade-fixed.c: Added "can-resize" property

	* src/glade-widget-class.c: Made sure to parse a "Fixed" if there are no
	  other child tags.

	* src/glade-gtk.c, widgets/gtk+.xml.in: Implemented drag on GtkBox children

2006-06-14  Tristan Van Berkom <tvb@gnome.org>

	* doc/catalogintro.sgml: fixed typos

	* src/glade-command.c: Removed unneeded "if"

	* src/glade-fixed.[ch]: connect/disconnect child now takes GObject arg
	  instead of GladeWidget (for cases of widget rebuilds), removed redundant
	  variables

	* src/glade-gnome.c, src/glade-gtk.c: changed glade_widget_class_container_add
	  to glade_widget_add_child()

	* src/glade-widget.c:
	  o Fixed glade_widget_rebuild() in regards to using the
	    _add_child()/_remove_child() api and visibility.
	  o Fixed more event related selection bugs (by retrieving the mouse
	    pointer with window_get_pointer())
	  o Fixed GladeWidgetDataTag to use the quark everywhere

2006-06-12  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-widget-class.c: Vincent pointed out compile errors on gcc 4.x,
	  fixed.

	* src/glade-gtk.c: Simplified table code a little bit, improved table
	  rezising when shrinking left/up with full-table widgets.

	* src/glade-utils.c: Fixed the module load code to report errors better
	  (and dont check system paths for the module, only the glade-3 modules dir.

	* widgets/gtk+.xml.in: 
	  o Reorganized groups to be more usefull and logical
	  o Made widgets visible by default and toplevels invisible by default

	* TODO: Updated.

2006-06-11  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-placeholder.c: Dont fight with parenting GladeFixed widgets
	  for setting the cursor

	* src/glade-fixed.c: Fixed event handling, now fixed inside fixed inside
	  fixed with child widgets with or without thier own windows and events
	  that come from parent widgets... all of this seems to be working perfectly.

	* src/glade-gtk.c: Keep the same row/col span when performing a drag

2006-06-11  Yevgen Muntyan <muntyan@tamu.edu>

	* src/glade-project-window.c: Normal menu items for property 
	  editor, palette, and clipboard (now they only "show" windows, making
	  them accessable with less clicks.

2006-06-11  Tristan Van Berkom <tvb@gnome.org>

	* doc/tmpl/*: updated

	* src/glade-fixed.[ch], src/glade-widget.[ch]:
	  Improved, now made replace_child a vfunc... fixed some
	  event related bugs.

	* src/glade-gtk.c, widgets/gtk+.xml.in: Added free-form placement
	  for GtkTable widget.

	* src/glade-utils.c: added glade_util_deep_fixed_event(), used to
	  propagate events down to fixed containers that dont have windows.

	* src/glade-project-view.c: now double clicks show project widgets,
	  and never hide them.

2006-06-10  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-fixed.c: 
	  o Fixed bug that was using uninitialized data to configure children at load time.
	  o Fixed that we were not disconnecting signals from removed children (doh)
	  o Now you can have a GladeFixed inside a GladeFixed, in any hierarchical order
	    you wish, the cursor updates properly in regard to the rules:
	    - Add sign with class selected on the palette
	    - Only direct children may be used for drag/resize, or thier direct child
	      placeholders in turn, cursor will display correctly in those cases.
	  o Changed the way we retrieve the mouse position in child events, so that
	    we dont rely on the nature of the properties.
	
	* src/glade-widget.c: 
	  o Use event widget and not signal widget to use with
	    gtk_widget_translate_coordinates(), this fixes the imfamous bug 327379
	  o Recurse through non-project objects when looking for widget at mouse event;
	    this fixes the internal widget selection bug (bug 338894).

	* src/glade-placeholder.c: Placeholders dont ever get selection anymore, its
	  only confusing for no reason, adds extra clicks to select relevent widgets
	  (note that every second click was going to the parent; making the parent
	  fight with the placeholder for selection... since its pointless, its gone).

	* src/glade-catalog.c: Removed g_debug()
	
	* TODO: Updated

2006-06-09  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-fixed.c: 
	  o Fixed "paste at mouse position"
	  o Fixed cursors a bit... event handling a bit too

	* src/glade-placeholder.c: Special case fixed stuff for now,
	  so that drag/resize works at least from deep placeholders.

	* src/glade-widget.c: Touched the event handling code.

2006-06-09  Tristan Van Berkom <tvb@gnome.org>

	* src/Makefile.am, po/POTFILES.in: Made changes for changed files.

	* src/glade-fixed.[ch]: The new GladeWidget derived free form placement
	  support object.

	* src/glade-fixed-manager.[ch]: Removed.

	* doc/catalogintro.sgml: made mention of new 'fixed' property on
	  'glade-widget-class' tag

	* doc/gladeui-sections.txt, doc/Makefile.am, 
	  doc/tmpl/*, doc/gladeui.types: Updated for file changes.

	* src/glade-app.c, src/glade-command.c, src/glade-gnome.c, src/glade.h: 
	  Changed for new apis in glade-widget and glade-fixed.
	
	* src/glade-gtk.c:
	  o Changed for new apis in glade-widget and glade-fixed.
	  o Restructured, now *all* class supports are listed class
	    by class

	* src/glade-property-class.h: Fixed docs.

	* src/glade-widget-class.[ch]:
	  o Added glade_widget_class_query ()
	  o Added glade_widget_class_create_widget ()
	  o Added glade_widget_class_create_internal ()

	* src/glade-widget.[ch]: API is stablizing now... lots of cleanup done, 
	  added construct properties used in the constructor to create properties and
	  runtime instances.

	* widgets/gtk+.xml.in: 
	  o Toolbars expand=False by default in GtkVBoxes
	  o GtkPaned now works a little stabler
	  o GtkFixed/GtkLayout marked 'fixed'.
	
2006-06-07  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c, widgets/gtk+.xml.in: 
	  o Reverting the simplification of gtkbox, the regression was that the box 
	    placeholders were not adjusting properly on undo/redo of create/delete/cut/paste
	    commands.
	  o Fixing GtkFixed/GtkLayout to not call glade_gtk_container_add/remove_child for
	    its children.

	* src/glade-command.c: Slight simplifications made.

	* src/glade-fixed-manager.c: Temporary evil externing untill GladeWidget
	  migration is complete.

	* src/glade-widget.[ch]: Completely reworked file structure and changed
	  a few things:
	  o button_press_event() vfunc now available to be called on mouse clicks
	    of the said widget.
	  o added container api abstraction provided by fixed manager and reffitted
	    for my anticipated integration
	
2006-06-06  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-command.c: fixed double free in glade_command_add_signal_finalize()

	* src/glade-signal-editor: Fixed signal editor to truely delete handler/userdata
	  when it previously only appeared to.

2006-06-06  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c, widgets/gtk+.xml.in: 
	  o Fixed segfaults on color-button
	  o Fixed color-button & font-button (dropped unused properties)
	  o Fixed initial label text on buttons (and subclass defaults)

	* src/glade-widget-class.c: Only GtkWidgetClass descendants have
	  accelerators.

	* TODO: Updated for 3.0 blockers.

2006-06-05  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor-property.c, src/glade-builtins.h, src/glade-keysyms.c: 
	  o Added submenues to the accel key combo.
	  o Make accel dialog cell-renderer-combo have an entry
	  o avoided segfaults in strcmp 
	  o a little easier to remove accelerators.
	  o use g_utf8_collate() to compare translated strings.

2006-06-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>
	
	* widgets/gtk+.xml.in: Added GtkToolItem child support to GtkToolbar and
	  new widgets classes GtkToolItem, GtkSeparatorToolItem, GtkToolButton,
	  GtkMenuToolButton, GtkToggleToolButton and GtkRadioToolButton.

	* src/glade-gtk.c:
	  o added GtkToolbar support functions.
	  o cleanup glade_gtk_menu_shell_get_child_property() and
	    glade_gtk_menu_shell_set_child_property() functions.
	  o tried to make Menu editor UI prettier separating a bit 
	    name/type from properties.

2006-06-05  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated
	
	* src/Makefile.am, src/glade-keysyms.c: Added autogenerated keysyms
	  (but not autogenerating them at the moment).

	* src/glade-builtins.[ch]: Added GLADE_TYPE_ACCEL_GLIST, GLADE_PARAM_SPEC_ACCEL
	  and some convenience funcs.

	* src/glade-editor-property.c: Added GladeEpropAccel.

	* src/glade-editor.c: take accel props into account

	* src/glade-parser.c: Make strings for GdkModifierType in dump_widget.

	* src/glade-property-class.c, src/glade-widget-class.c: 
	  o Now you can get the GladeWidgetClass from the GladePropertyClass
	  o Added string conversion from GladeParamSpecAccel properties
	    (but vise versa)
	  o GladeWidgetClassSignal --> GladeSignalClass, not GSignalQuery struct
	    is included too.
	
	* src/glade-property.c, src/glade-widget.c: Load/save support for accel properties. 
	
2006-06-03  Vincent Geddes <vgeddes@metroweb.co.za>

	 * src/glade-project-window.c, src/glade-app.[ch],
	   src/glade-utils.[ch]: 
	  o Fix for bug 337959.
	  o Application menus now marked for translation

	 * src/main.c, glade-editor-property.c: 
	  o Fixed memory leaks.
	  o stdlib.h now included on all platforms
	
2006-06-03  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor-property.c, src/glade-editor.c: 
	  o Now bookless classes' info buttons are shown insensitive.
	  o No info buttons on query dialogs.

	* Many files: changed "== TRUE" to be "!= FALSE"

	* src/glade-project-window.c: Action groups now assigned a
	  translation domain for application menus.

2006-06-02  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-widget.c: Fixed segfault on widget copying.

2006-06-02  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c, widgets/gtk+.xml.in: removed support functions from
	  GtkBox... it all still works.

2006-06-02  Thierry Moisan <thierryn@videotron.ca>

	* Fixed spelling mistakes in alot of sources (bugs 342972 & 343087)

2006-05-28  Tristan Van Berkom <tvb@gnome.org>

	* src/Makefile.am: Added -mwindows to glade3_LDFLAGS in win32 compile mode

	* src/glade-xml-utils.c: Fallback on default namespace when searching
	  funcs from the catalog (this seems to only be needed in windows builds)

	* src/glade-utils.c: glade_util_have_devhelp() fixed with better warning messages
	  and the function was returning -1 (TRUE) when there was no devhelp in the
	  program path (*doh*).
	
2006-05-22  Tristan Van Berkom <tvb@gnome.org>

	* po/POTFILES.in: Added gnome catalog relevent files for translation.

	* src/glade-devhelp.[ch]: Removed.

	* configure.in, src/Makefile.am: shuffled, devhelp removed

	* src/glade-project-window.c, src/glade-utils.[ch]: implement
	  devhelp search as `devhelp -s \"search string\"`. (spawn it)

2006-05-22  Tristan Van Berkom <tvb@gnome.org>

	* src/Makefile.am, widgets/Makefile.am: Installed unwanted garbage
	  to pass distcheck.

	* src/glade-devhelp.c: Navigational buttons insensitive at startup.

	* src/glade-catalog.c: Unexposed a private function.

	* src/glade-xml-utils.c: made alloc_string glade_xml_alloc_string,
	  alloc_propname: ditto.

	* src/glade-property.c, src/glade-signal.c:
	  Adjustemtnts made for glade-xml api above

	* src/glade-widget.c: 
	  o Adjustemtnts made for glade-xml api above
	  o Properties applied to new objects in two steps now,
	    code around build_object cleaned up... now build_object
	    used also in load code.

2006-05-18  Tristan Van Berkom <tvb@gnome.org>

	* src/glade.h, src/glade-catalog.c, src/glade-widget-class.[ch]:
	  catalog book specifications now on widget classes

	* src/glade-editor.c, src/glade-editor-property.c: Now get the
	  book name directly from the widget class.

	* doc/catalogintro.sgml: documented added "book" property.

	* widgets/bonobo.xml.in: added gnome catalog dependancy

	* widgets/gnome.xml.in, widgets/gtk+.xml.in: Added book specifications.

2006-05-17  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* configure.in: added check for GnomeUI libs (PKG_CHECK_MODULES)

	* widgets/Makefile.am: New catalogs added (bonobo.xml gnome.xml)

	* widgets/bonobo.xml.in: Created new catalog for libbonoboui.

	* widgets/gnome.xml.in: Created new catalog for libgnomeui.

	* widgets/canvas.xml.in: empty file just to declare the module.
	  GnomeCanvas is declared in gnome catalog.

	* widgets/gtk+.xml.in: added GtkMenuItem "stock-item" property.
	  o added glade_gtk_box_get_internal_child()
	  o disabled GtkLayout's hadjustment and vadjustment properties.

	* src/Makefile.am: added gladegnome conditional build.

	* src/glade-builtins.[ch]: added glade_standard_pixbuf_spec(),
	  glade_standard_gdkcolor_spec() and glade_standard_uint_spec().
	  Fixed stock order in glade_standard_stock_get_type()

	* src/glade-editor-property.c: added G_PARAM_SPEC_VALUE_ARRAY
	  support to GladeEPropText.
	  
	* src/glade-gnome.c: New support file for gnome/bonobo catalogs.

	* src/glade-gtk.h: Created to include it in others plugings.

	* src/glade-gtk.c: 
	  o added GtkMenuItem stock-item property.
	  o Moved GladeGtkImageType and GladeGtkButtonType to glade-gtk.h
	  o Moved GLADE_CREATE_USER block from idle function to
	    glade_gtk_button_post_create()

	* src/glade-project.c: fixed bug in glade_project_resource_fullpath()
	  project->path could be NULL.

	* src/glade-property-class.c: added G_PARAM_SPEC_VALUE_ARRAY
	  support in glade_property_class_make_string_from_gvalue() and
	  glade_property_class_make_gvalue_from_string()

2006-05-15  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: 
	  o Bumping required devhelp version to 0.12 (current devhelp cvs)
	  o Removed unused var HAVE_DEVHELP (since WITH_DEVHELP is what is actually used)
	  o Bumped version to 2.91.3 (for anjuta to get the devhelp 0.12 requirement
	    correctly).

2006-05-12  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-utils.c: bullet-proofed glade_util_read_prop_name().

	* src/glade-editor-property.c: Make label inside eventbox visible
	  by default, and dont show the info button by default.

	* src/glade-gtk.c: Root out the evil calls to gtk_widget_show_all ()
	  (for contextual devhelpish bugs). and plugged a leaked GladeEditorProperty.
	
2006-05-05  Tristan Van Berkom <tvb@gnome.org>

	* doc/Makefile.am: Applied patch for bug 340692

	* src/glade-command.c: glade_command_set_property (), return if
	  the command doesnt change the property.

	* src/glade-editor-property.c: GladeEPropText, if string property is NULL
	  and we recieve "" from the entry, set the property to NULL, if we get
	  NULL from the entry and the property is "", then set the property to
	  "", otherwise set the property to the entry text. (this fixes 339832)

	* src/glade-property.[ch]: constified GValue argument to 
	  glade_property_equals_value ().

2006-05-05  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c: Fixed up GtkTable to not refresh placehlolders when 
	  doing a glade_gtk_table_replace_child() replacing a placeholder with
	  a GladeWidget (only the other way around), this way placeholders are
	  preserved during the operation of pasting multiple widgets to a GtkTable
	  (and each pasted widget has its own seperate place in the table).

	* src/glade-command.c: Fixed "props recorded" marker to be marked on a per
	  widget basis, this was causing only one widget in a list of pasted widgets
	  to have its newly introspected packing props recorded (now they are all
	  recorded)

	* src/glade-popup.c: Create insensitive 'paste' items when the clipboard
	  has no selection.

	* src/glade-editor.[ch]: Insensitive "Documentation" and "Reset" buttons when
	  no widget is loaded.
	
2006-05-03  Tristan Van Berkom <tvb@gnome.org>

	* doc/gladeui-sections.txt: updated.

	* doc/Makefile.am: Ignome glade-devhelp.h

	* src/glade-devhelp.c: Fixed glitch with radio button notebook
	  tab emulator.

	* src/glade-editor-property.c: Fixed invisible check buttons for 
	  optional properties

	* src/glade-project-window.c: Moved the devhelp creating code into
	  glade_project_window_create() where it belongs, now devhelp is
	  invisible by default.

	* src/glade-utils.c: 
	  glade_util_get_hbuttons --> glade_util_get_devhelp_hbuttons.

2006-05-01  Tristan Van Berkom <tvb@gnome.org>

	* doc/gladeui-docs.sgml: actually add the "abstract" section.

	* src/glade-devhelp.c: Improved ui, put navigational buttons on top since
	  I seem to intuitively always look there for them.

	* src/glade-utils.c: 
	  o Fixed return without value warnings
	  o Print the error from GModule when it fails.

2006-05-01  Tristan Van Berkom <tvb@gnome.org>

	* doc/gladeui-docs.sgml: put me as an author, removed the introductory
	  chapter and added its content as the "abstract".

	* src/glade-editor.c: Fixed a visibility bug on the class & name entries.

	* src/glade-devhelp.[ch], src/glade-utils.c: 
	  o Added navigational buttons (forward, back) 
	  o Gained realestate by hiding the notebook tabs and putting search &
	    document buttons along side the navigational buttons.
	  o Added api to return a list of buttons in the hbox

	* src/glade-project-window.c:
	  o Get the buttons and put them in a size group with the expand/collapse
	    buttons (to align the plugin buttons in the project window).
	  o Now default on the gtk+ reference manual and put a "documentation" 
	    help menu item pointing to the glade builder documentaiton.
	
2006-04-30  Vincent Geddes <vgeddes@metroweb.co.za>

	* Glade now installs theme friendly icons (GNOME Goal #2)

2006-04-30  Yevgen Muntyan <muntyan@tamu.edu>

	* src/glade-project-window.c: fixed bug 339855
	  (recent project ordering) and bug 339249.

2006-04-30  Tristan Van Berkom <tvb@gnome.org>

	* configure.in, src/Makefile.am, src/glade-paths.sh.in: 
	  o Cleanup build in src/Makefile.am
	  o Now build and install a devhelp module if a usable version
	    of libdevhelp is available

	* src/glade-devhelp.[ch]: A loadable devhelp dockable widgets 
	  built into a plugin module.

	* src/glade-app.c, src/glade.h: Added a global for glade_plugins_dir.

	* src/glade-project-window.c, src/glade-utils.[ch]: 
	  o Detect if there is a devhelp plugin installed and load the 
	    devhelp window into the project window in a paned window 
	    with the project view
	  o Added an option to completely hide the devhelp window (but it comes
	    back in full window if a devhelp button is pressed.

	* src/glade-editor.c: Beautified the editor (added alignments and
	  a gtk-clear icon for the reset button

2006-04-28  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor.c: 
	  o Put "Documentation" button on the right
	  o Now searches should end up at the page index instead
	    of the "struct GtkWidget;" index (for example).
	  o Fixed bug in show/hide_context_info()

	* src/glade-project-window.c:
	  Added "View->Context Help" Option
	
2006-04-27  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor-property.[ch]: Added info buttons and
	  apis to enable/disable them + signals emitted to say what
	  doc book, page and searchstring should be used

	* src/glade-editor.[ch]: Same as glade-editor-property

	* src/glade-utils.c: Added functions for detecting and launching devhelp

	* src/glade-project-window.c: Check if we have devhelp installed; if we do
	  then show help buttons and launch devhelp upon "gtk-doc-search" signals

	* pixmaps/devhelp.png, pixmaps/Makefile.am: Added devhelp book icon

	* src/glade-app.c: Replace a gtk_widget_show_all with a gtk_widget_show
	  on the editor (to avoid needlessly showing hidden buttons).

	* src/glade-project.c: translated property nicks and blurbs.

	* src/glade-property-class.[ch]: Added 'virtual' member and resolve
	  it at initialization.
	
	* src/glade-widget-class.c: use g_build_filename instead of 
	  g_strdup_printf for icon loading.
	
2006-04-26  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Relesed 2.91.1, now we are working on 2.91.2

2006-04-26  Tristan Van Berkom <tvb@gnome.org>

	* NEWS: Updated for snapshot release

2006-04-25  Tristan Van Berkom <tvb@gnome.org>

	* src/Makefile.am: added atk.xpm to $(libgladeuiinclude_HEADERS)

	* doc/gladeui-sections.txt: Updated with new apis.

	* widgets/gtk+.xml.in: Listed all atk action properties needed for the gtk
	  catalog.

	* src/glade-property-class.c, src/glade.h: 
	  o Added GLADE_TAG_ATK_ACTION & GLADE_TAG_ATK_PROPERTY tag support and 
	    stripped out introspection on atk properties.
	  o Synonymous '-' and '_' in property names at catalog load time.

	* src/main.c: backed out the "GTK_MODULES=$GTK_MODULES:gail" module loading thing.

	* src/glade-widget.c: Synonymous '-' and '_' in glade_widget_get_[packing_]property().

2006-04-25  Tristan Van Berkom <tvb@gnome.org>

	* src/Makefile.am: added atk.xpm to $(libgladeuiinclude_HEADERS)

	* doc/gladeui-sections.txt: Updated with new apis.

	* widgets/gtk+.xml.in: Listed all atk action properties needed for the gtk
	  catalog.

	* src/glade-property-class.c, src/glade.h: Added GLADE_TAG_ATK_ACTION &
	  GLADE_TAG_ATK_PROPERTY tag support and stripped out introspection on atk
	  properties.

	* src/main.c: backed out the "GTK_MODULES=$GTK_MODULES:gail" module loading thing.
	
2006-04-25  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-builtins.c: Allowed negative custom integer specs.

	* src/glade-palette.c: Removed notion of class->in_palette

	* src/glade-widget-class.[ch]: Removed notion of class->in_palette and
	  cleaned up the parsing of generic_name and widget titles.
	  (modifies muntyan's patch on bug 336594).

2006-04-25  Johannes Schmid <jhs@cvs.gnome.org>

	* src/glade-project.c: Fixed crasher because of read-only check where 
	  project could be NULL.

2006-04-24  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-gtk.c: Fixed load & save of internal buttons

	* src/glade-property.[ch]: Added glade_property_load()
	  (to introspect property values on internal children of composite
	  widgets at creation time).

	* src/glade-widget.c: introspect property values on internal children of composite
	  widgets at creation time
	
2006-04-24  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated

	* doc/gladeui-sections.txt updated

	* src/glade-app.[ch]: Majorly reduced the api, now GladeApp is a
	  singleton. Added "active-project" signal.

	* src/glade-builtins.[ch]: Removed unused variable. Enhanced objects 
	  pspec type to recognize interfaces. Added glade_param_spec_objects_get_type()

	* src/glade-clipboard-view.c: Trying a cute border.

	* src/glade-command.c, src/glade-fixed-manager.c,
	  src/glade-placehodler.c, src/glade-popup.c, src/glade-project-view.c,
	  src/glade-project-window.c:
	  Updated for glade-app changes

	* src/glade-editor-property.c: Implemented objects pspec

	* src/glade-editor.[ch]: Added atk tab, added cuteness.

	* src/glade-gtk.c: 
	  o Translated image type names
	  o Added button types (translated)
	  o Support for button label & use-underline properties

	* src/glade-parser.c:
	  o Updated for glade-app changes
	  o Added save support for atk actions and relations.
		
	* src/glade-project.c:
	  o Updated for glade-app changes
	  o Fixed glade_project_fix_object_props for object lists

	* src/glade-property-class.[ch]: 
	  o Hardcoded atk relations and action names
	  o Added glade_property_class_make_gvalue(),
	    glade_property_class_get_from_gvalue(), 
	    glade_property_class_new_atk_action(),
	    glade_property_class_list_atk_relations(),
	    glade_property_class_atk_realname()
	  o Fixed glade_property_class_is_object()
	    (object lists qualify)

	* src/glade-property.[ch]: 
	  o Integrated property load proceedure into glade-property, 
	    loading code much cleaner and less redundant.
	    (Added glade_property_read())
	  o Implemented atk properties (save/load)

	* src/glade-utils.[ch]: Added glade_util_read_prop_name(),
	  glade_util_added_in_list(), glade_util_removed_from_list(),
	  glade_util_class_implements_interface()

	* src/glade-widget-class.c: Introspect atk properties

	* src/glade-widget.c: Simplified load code, moved property load
	  code to glade-property, save atk props properly.

	* src/glade.h: Removed the unused atk-relation tag.

	* src/main.c: Load gail (for atk action introspection)

	* src/atk.xpm: New atk icon
	
	* widgets/gtk+.xml.in: 
	  o GtkLabel label property --> translatable
	  o GtkButton label property --> translatable, multi-line
	  o Added GtkButton "type" property and GtkButton remove-child-function
	
2006-04-19  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-editor-property.c: Simplified code and added comments

	* src/glade-property-class.c: Fixed possible deadlock in 
	  glade_property_class_make_string_from_flags

	* src/glade-widget.c: Enhanced trace output

	* widgets/gtk+.xml.in: Disabled some pointless/obsolete properties.

2006-04-18  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-utils.c: Open file in "a+" mode and not "w", which was
	  truncating the file only to check if it was writable ( ! doh ! )

	* src/glade-widget.[ch]: 
	  o Added GladeCreateReason argument to glade_widget_new_for_internal_child(), 
	    now internal children get post create functions called for them.
	  o Fixed bug 336581 (apply internal widget names at load time).
	
	* src/glade-gtk.c: 
	  o Added per dialog support for dialog buttons (get_children(), 
	    get_internal_child() && create internals in post_create()) (Fixing bug 337196)
	  o Added #include "config.h" for GETTEXT_PACKAGE, now glade-gtk shares the same
	    domain as libgladeui-1.

	* widgets/gtk+.xml.in: Removed redundant declaration of glade_gtk_dialog_post_create()
	  in the GtkMessageDialog, added "get-children-function" support to GtkDialog.

	* doc/Makefile.am: Added webdocs target to tailor docs for the web (to cross-link
	  to the developer.g.o api docs properly).

	* doc/gladeui-sections.txt, doc/tmpl/*: Updated sections for new apis

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO.
	* po/no.po: And the translation.

2006-04-11  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-utils.c: Fixed broken build (I commited with an error
	  of undefined W_OK for g_access), now we actually try to open the
	  file for writing to see if its writable.

	* doc/catalogintro.sgml: Added a bit about the new init-function by Juan.

2006-04-10  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/glade-project-window.c: 
	  o Manage the sensitivities of all the ui actions.
	  o Fix some issues with the Undo & Redo actions.

	* src/glade-project.[ch]: 
	  o Detect if project file is read-only. New property "read-only"
	  o Detect if project has a selection. New property "has-selection"

	* src/glade-clipboard.[ch]: 
	  o Detect if clipboard has selected items to paste. 
	    New property "has-selection"

	* src/glade-utils.h: New function: glade_util_file_is_writeable ().

	* src/main.c: 
	  o Use glib instead of libpopt for command-line parsing.
	  o Added '--version' option.
	  o Do not try to open non-existent files supplied
	    on command-line.  

	* configure.in: Remove libpopt dependency.

2006-04-04  Yevgen Muntyan <muntyan@tamu.edu>

	* src/glade-project-window.c: Removed GDK_WINDOW_TYPE_HINT_UTILITY hint from
	  palette, as this does weird things like remove it from the tab list on
	  some window managers.

	* src/glade-catalog.c: Fixed possible segfault by assigning GError * to NULL.
	
2006-04-05  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-editor-property.c: new GladeEditorProperty class
	  GladeEPropAdjustment.

	* src/glade-gtk.c: removed old GtkSpinButton adjustment support.
	  added glade_gtk_spin_button_set_adjustment ().

	* src/glade-property-class.c: added support for GtkAdjustment
	  properties.

	* widgets/gtk+.xml.in: added default adjustment values for
	  GtkSpinButton and GtkRange. Disabled GtkViewport and
	  GtkScrolledWindow adjustment properties.

2006-04-04  Tristan Van Berkom <tvb@gnome.org>

	* doc/catalogintro.sgml: Updated docs to reflect the recently implemented
	  installation method.

	* src/glade-project-window.c: Refitted Yevgen Muntyan's patch on bug 336579
	  to apply for "Save" as well and applied (also enhanced saving untitled projects
	  when prompted at close time).

	* src/glade-widget.[ch]: Added glade_widget_is_dupping()

	* src/glade-property.c: Dont call verify functions if the project is
	  loading or there is a widget recursive dup happening.

	* src/glade-property-class.h: Clarified docs

	* src/glade-gtk.c: Removed obsolete call to glade_project_is_loading() in
	  a verify function.
	
2006-04-04  Yevgen Muntyan <muntyan@tamu.edu>

	* configure.in, src/Makefile.am, src/glade-3.pc.in: 
	  New pc file for extention libraries to find where to install there catalogs, 
	  pixmaps and library.

	* src/glade-widget.[ch]: Added a "parent_name" argument to 
	  glade_widget_new_for_internal_child(), create internal widget names
	  accordingly.

	* src/glade-gtk.c: Adjusted callers to glade_widget_new_for_internal_child().

2006-04-03  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-catalog.c: Added GladeCatalogInitFunc so you could define a function
	  to be executed before instantiating any catalog's object.

	* src/glade-project-view.c: glade_project_view_populate_model now shows toplevels
	  in the right order.

	* src/glade-property.c: fixed a bug in glade_property_write_impl which prevented
	  properties with an empty string as value being saved.

	* src/glade-utils.[c/h]: new function glade_util_load_library() moved from
	  glade_widget_class_load_library()

	* src/glade-widget-class.c: glade_widget_class_load_library() replaced with
	  glade_util_load_library()

	* src/glade.h: added tag GLADE_TAG_INIT_FUNCTION.

2006-03-29  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-project-window.c: Removed idle handler hack that has
	  been obsoleted by Vincent's smarter one-line patch.

	* src/glade_project.c: glade_project_open() fixed segfault
	  on open faiure.

	* src/glade-property-class.[ch]: Added glade_property_class_void_value()

	* src/glade-widget.c: when creating new objects; ignore voided defaults
	  using glade_property_class_void_value() (and finally added myself as
	  an author).

	* src/glade-editor-property.c: Fixed segfaults & assertions when dealing
	  with NULL colors in GladeEPropColor.

	* widgets/gtk+.xml.in: Dont save virtual "pages" property on notebook,
	  if we dont need it in glade-2 files we dont need it period.
	
2006-03-29  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/glade_project.c: glade_project_changed() should not set
	  project->changed if project is still in process of being loaded.

2006-03-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor.c: Call gtk_container_set_focus_[vh]adjustment()
	  to fix keynav in the editor.

2006-03-21  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-utils.c: Made file chooser ENTER activate the open/save
	  button (using gtk_dialog_set_default_response).

2006-03-20  Tristan Van Berkom <tvb@gnome.org>

	* doc/children.sgml: Added a bit about anarchist children

	* doc/widgetclasses.sgml: Removed the notion of get_anarchist_children()

	* doc/gladeui-sections.txt: removed undefined symbols

	* doc/tmpl/*: auto-updates templates.

	* src/glade-gtk.c: Updated to use the new glade_widget_new_for_internal_child
	  API

	* src/glade-widget-class.[ch], src/glade.h: Removed notion of anarchist children

	* src/glade-widget.[ch]: Added "anarchist" property and "anarchist" argument
	  to glade_widget_new_for_internal_child() (only internal children can be
	  anarchists).

	* src/glade-project-view.[ch]: Dramaticly reworked, now each project has its
	  own metadata struct where signal ids and project view state is stored,
	  project signals now are only disconnected at project close time.
	  The open treeview leafs and scrollbar positions are now saved/restored
	  when switching active projects.

	* src/glade-project-window.c: 
	   o Translated window title
	   o Fixed a bug where the loaded project title apears as
	     unsaved.

	* src/glade-utils.c: Added comments, changed 'char' --> 'gchar'

	* widgets/gtk+.xml.in: Removed mention of the get_anarchist_children func,
	  override the get_children func for GtkCombo to additionally return the
	  combo->list member (which is an anarchist child).
	  Also added a gtk_container_remove remove-function for GtkListItem since
	  it seemed to be empty and causing errors.

	* src/glade-project.c: 
	  o Fixed glade_project_write() to count the required libs in the GList 
	    before freeing the GList (was SEGFAULT on save of any projects useing 
	    extra libs).
	  o Made glade_project_display_name() take a "mnemonic" arg... to escape
	    any underscores when setting the display name in a mnemonic label.
	  o Fixed a bug where projects with required added libs where segfaulting
	    at save time.

2006-03-15  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/glade-project.c: Improved name generation for new empty projects.

	* src/glade-utils.c: Enable overwrite confirmation in FileChooser dialog

2006-03-15  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-project-window.c, src/glade-project.[ch]: Tweaked the
	  project list to look more aligned with unsaved changes indicated
	  (using tab charachters); also reverted to print the project path
	  in the status bar as a tooltip (as this is the only indication as
	  to which project is which).

	* src/glade-widget-class.[ch], src/glade.h: Removed glade_widget_class_get_all_children,
	  now glade_widget_class_get_children returns all desired children, including
	  orphan ararchist internal children.

	* src/glade-editor-property.c, src/glade-project-view.c, src/glade-project.c,
	  src/glade-widget.c, src/glade-utils.c: Adjusted callers for 
	  glade_widget_class_get_children.

	* src/glade-gtk.c, widgets/gtk+.xml.in: Adjusted backend, removed obsolete
	  get_internal_children funcs and added the appropriate get_anarchist_children.
	
	* doc/tmpl/*, doc/gladeui-sections.txt: Added new symbols... removed old ones.

	* doc/widgetclasses.sgml: added a bit about 
	  get-anarchist-children-function
	
2006-03-15  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/glade-project-window.c:
	  o Reimplemented code for management of projects list menu.
	  o Projects with unsaved changes have a '*' prepended to their names.
	  o Refresh window title when all projects have been closed.

	* src/glade-project.c: New GObject property 'has-unsaved-changes'.
	  glade_project_changed() will now emit notify signal for this property.

	* src/glade-app.c: change order in which projects are added to list of
	  open projects in glade_app_add_project().

2006-03-14  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-property-class.c: Removed a ridiculous line of
	  code that was making all container class properties recognized
	  as packing properties (overlooked from my previous rework in
	  that area).

2006-03-01  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-property.[ch], src/glade-widget.[ch]: Added
	  "catalog_default" arg to glade_property_new() and adjusted callers.

	* src/glade-property-class.[ch]: Ensure that there are always
	  ->def and ->orig_def members resolved.

2006-03-01  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c:
	  o GtkBox loading issues fixed.
	  o Removed unused code from: glade_gtk_table_has_child and
	    glade_gtk_table_refresh_placeholders.

	* src/glade-widget.c:
	  o Ignore properties properly when creating the object.
	    (glade_widget_params_from_widget_info and 
	    glade_widget_build_object functions)
	  o Use the introspected default value for properties when
	    loading a project. glade_widget_properties_from_widget_info

	* widgets/gtk+.xml.in: Avoid warnings.
	  o Ignore GtkWidget has-default property.
	  o Ignore GtkComboBox active, column-span-column and row-span-column properties.

2006-02-27  Vincent Geddes <vgeddes@metroweb.co.za>

	* src/glade-utils.c: Added file filters "All Files" and "Glade Files" 
	  to FileChooser Dialog.

	* src/glade-project-window.c: FileChooser save dialog uses 'project->name' 
	  or 'project->path' as initial selected filename so that dialog is more
	  intuitive to user.

2006-02-24  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-command.c: 
	  o Added packing property recording mechianism to create/delete 
	    commands (was only there for Cut/Paste).
	  o Call glade_widget_create_packing_properties after calling
	    glade_widget_class_container_add()

	* src/glade-gtk.c, widgets/gtk+.xml.in: 
	  o Removed unused code from glade_gtk_table_add_child()
	  o Added support funcs glade_gtk_container_add/remove_child()
	
	* src/glade-property-class.c: Removed unused function: gpc_load_function
	  (now uses glade-xml-utils implementation)

	* src/glade-widget.[ch]: exposed glade_widget_create_packing_properties()


2006-02-23  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated list

	* doc/glade-sections.txt: Updated list

	* doc/tmpl/*: updated templates from source

	* src/glade-builtins.[ch]: Implemented GladeParamSpecObjects and 
	  GLADE_TYPE_GLIST boxed type (intended use for AtkRelation properties).

	* src/glade-command.c, src/glade-gtk.c: Fixed refcounting for placeholders.
	  (updated code for glade_widget_new () also)
	
	* src/glade-project-window.c: Fixed parenthesis in complex statement.

	* src/glade-property-class.[ch]: 
	  o Added support for atk property detection & GladeParamSpecObjects. 
	  o Added some more logic that belonged here and was in glade-widget-class.c
	  o Fixed "make gvalue from object" logic to not leak a reference to a pixbuf
	    (it doesnt crash with pixbuf manipulation... not sure if we dont leak pixbufs
	    though).

	* src/glade-property.c: Simplified code (and fixed limitation of optional properties
	  to integer inputs... now any property can be optional).
	  Added implicit case to ignore atk_properties

	* src/glade-widget-class.c: Deffered some logic to glade-property-class and simplified
	  code; also added support for atk properties.
	  ATK: Disabled for now, not completely implemented... needs save support in glade-property
	  and edit support in GladeEditorProperty... just needed to sync CVS for all the other
	  relevent work.
	
	* src/glade-widget.[ch]: glade_widget_new () takes a boolean query arg now

	* src/glade-xml-utils.[ch]: now has glade_xml_load_sym_from_node()
	  (it makes sence here because we have access to the xml node structs; so we
	  can debug around here a little easier).

	* src/glade-editor-property.c: Added prelimenary support for GladeParamSpecObjects
	  (readonly view of glade_widget_class_make_string_from_gvalue() ).

	* src/glade-fixed-manager.c: Adjusted caller to glade_widget_new().
	
	* src/glade.h: added "atk-relation" tag definition.

2006-02-21  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor.c: Packing GladeEditorProperties were being loaded
	  with "use-command" = FALSE, fixed.

2006-02-21  Juan Pablo Ugarte <juanpablougarte@gmail.com>
	
	* src/glade-gtk.c: fixed bug 325791.
	  Various GtkTable and GtkBox support fixes.
	  (added glade_gtk_table_verify_*_attach, glade_gtk_box_set_child_property
	  and glade_gtk_box_remove_child functions)

	* src/glade-command.c: fixed bug 330305.
	  Added glade_command_placeholder_destroyed() destroy handler.

	* src/glade-project.[ch]: added loading state to projects, 
	  glade_project_is_loading()

	* widgets/gtk+.xml.in: added GtkTable child-set-property-function,
	  replace-child-function and attach child properties.
	  Added GtkBox remove-child-function and child-set-property-function.

2006-02-15  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-utils.c: Emergency commit for broken cvs.

2006-02-14  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated the list.

	* src/glade-widget.c: Fixed bug in glade_widget_dup_internal ()
	  (stupid typo of mine when fixing 320077)

	* src/glade-utils.[ch]: Removed all the Cut/Copy/Paste/Delete
	  stuff, now all in GladeApp.

	* src/glade-app.c: 
	  - Moved the bulk of code from glade-utils to
	    glade-app (cut/copy/paste/delete) since it was confusing to
	    see the chain of events, it should be simpler overall now.
	  - Revamped glade_app_config_save() to report errors smoothly
	    (fixes bug 310141)
	
	* doc/glade-sections.txt, doc/tmpl/*: Adjusted doc structure
	  for new apis and removed old apis.

	* src/glade-project-window.c: Now the statusbar message shows the
	  correct project name after "Save As...".

2006-02-13  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-command.c: No more glade_util_ui_message(), deffer that
	  to callers, g_critical() messages added where inapropriate states
	  are detected.

	* src/glade-utils.c: Take some responsability when calling glade_command
	  for Cut/Copy/Paste/Delete.

	* src/glade-widget.c: Documented some functions, special-cased GtkWindow
	  in glade_widget_dup_internal(), replicating copied GtkWindow "run-time"
	  sizes (bug 320077).
	  Removed useless special-cased call to gtk_widget_show_all() also in
	  glade_widget_dup_internal(); showing widgets is taken care of in 
	  glade_widget_show().

2006-02-10  Tristan Van Berkom <tvb@gnome.org>

	* doc/*.sgml, doc/tmpl/*.sgml: Finished writing up short and long
	  descriptions for all generated docs, also fixed up main page a bit.

2006-02-09  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Glade 3.0 --> Glade-3

	* doc/tmpl/*.sgml, doc/*.sgml, src/*.c: Massive doc updates,
	  migrated some doc from sgml into source files.
	
2006-02-08  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Require gtkdocize 1.4

	* doc/Makefile.am: Ignore glade-popup.h

	* doc/children.sgml, doc/gladeui-docs.sgml, doc/tmpl/glade-app.sgml,
	  doc/tmpl/glade-project.sgml, doc/tmpl/glade-widget.sgml: Doc updates.

	* src/glade-project.c: Made project signals have object type args for
	  GladeWidgets (of type GLADE_TYPE_WIDGET).

	* src/glade-widget.c: GladeWidget GType is now registered as "GladeWidget"
	  and not "Gladewidget".
		
2006-02-08  Tristan Van Berkom <tvb@gnome.org>

	* doc/Makefile.am,
	  Added Files: doc/gladeui-docs.sgml, doc/gladeui-overrides.txt,
	  doc/gladeui-sections.txt, doc/gladeui.types,
	  Removed Files: doc/glade-docs.sgml, doc/glade-sections.txt, doc/glade.types:
	  Making doc module called "gladeui" instead of "glade" to represent the
	  libgladeui library, mostly just to make sure we have namespace wherever
	  we install (since "glade" docs could concievably come from libglade, glade-2
	  or whatever), these are the initial revisions of these files anyway, so
	  no need to surgically move the cvs history.

2006-02-07  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-property.c: Fixed up blurbs on installed properties

	* src/glade-editor-property.c: Added tooltips on i18n dialog.

	* configure.in: Now really bumping the required GTK+ to 2.8

2006-02-07  Tristan Van Berkom <tvb@gnome.org>

	* autogen.sh: require automake 1.9

	* Makefile.am, doc/Makefile.am, doc/.cvsignore, configure.in: 
	  Added environment for gtk-doc generation.

	* doc/glade-docs.sgml, doc/glade-sections.txt, doc/glade.types,
	  doc/version.xml.in, doc/tmpl/*: Added initial documentation
	  metadata.

	* src/*.h: Line break LIBGLADEUI_API everywhere so that documentation
	  generation works (wierd trade, I know).

	* po/POTFILES.in: Added glade-custom.c
	
2006-02-06  Clytie Siddall <clytie@riverland.net.au>

	* configure.in	Added vi in ALL_LINGUAS line.
	
2006-02-03  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Updated (removed bugs 317949, 329514 and 324389 from list).

	* src/Makefile.am: Added glade-custom.[ch] to the libgladeui library.

	* src/glade-fixed-manager.c: Fixed comment

	* src/glade-placeholder.c: Removed redundant code

	* src/glade-property.c: Added myself as an author since I rewrote this
	  file as an object.

	* src/glade-custom.[ch]: New files, custom widget derivatives to emulate
	  custom widgets as provided by glade 2 (fixes bug 317949)

	* widgets/gtk+.xml.in: added Custom widgets to the obsolete group.

	* src/glade-editor-property.c: 
	    - Added glade_editor_property_commit which fixes bug 329514.
	    - Fixed conflict in sensitivity and enabled for optional properties
	      (noticably, now optionaly defaulted to disabled properties show
	       up insensitive untill you check them).
	    - Enhanced title of object selection dialog.
	
	* src/glade-project-window.c: Filtered out cut/copy/paste accelerators
	  from the editor window (fixing bug 324389).
	
2006-02-01  Tristan Van Berkom <tvb@gnome.org>

	* TODO: Added bug 329514 to blockers.

	* widgets/adding-widgets.txt: Added technical notes for get-function and
	  verify-function

2006-01-31  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* src/glade-gtk.c:
	  o glade_gtk_menu_editor_reorder () fixed, so you can move a
	    submenu item into the menubar.
	  o glade_gtk_menu_bar_append_new_item () now sets "stock"
	     property.
	  o glade_gtk_menu_editor_is_child () item has to be a
	    GtkMenuItem. (this prevents treeview to be refresh when adding
	    an image to an item :)

	* widgets/gtk+.xml.in: added new GtkMenuBar displayable values
	  for properties child-pack-direction and pack-direction.

2006-01-30  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-project.c: Fixed a stupid segfault typicly
	  in strcmp().

	* TODO: first go at blockers for glade-3 beta release.

2006-01-28  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor-property.c: GladeEPropFlags now shows
	  treeview directly in editor - Mikael Hermansson

	* src/glade-project.[ch]: Removed "resource-updated" signal,
	  added "resource-added" signal, now resource signals seem to
	  be working more logicly (but there will be no signal fired when
	  a resource's contents is overwritten from a different source).

2006-01-26  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Relesed 2.91.0, now we are working on 2.91.1
	
2006-01-26  Tristan Van Berkom <tvb@gnome.org>

	Applied spelling/grammer fixes by Adam Weinberger.

2006-01-25  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* glade-app.c: undo/redo buttons cleanup.
	  Use of "destroy" signal instead of week pointers and
	  use update-ui default handler to update buttons.

	* glade-project-window.c: glade_project_window_update_ui() chain up
	  with GLADE_APP_CLASS update-ui handler.

2006-01-25  Tristan Van Berkom <tvb@gnome.org>

	* configure.in: Bumping required gtk version to 2.8

2006-01-24  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-project-window.c: use glade_project_display_name (),
	  reverted transientness for glade-3 application

	* src/glade-command.c: Dont spam the stack with fake name
	  changes.

	* src/glade-editor-property.c: Added return check

	* src/glade-gtk.c: Use glade_widget_copy_properties to
	  transfer prop values on type-changing menu items,
	  menu-editor --> modal window.

	* src/glade-project.[ch]: Added glade_project_display_name ()

	* src/glade-property-class.[ch]: Assign pspec->owner_type when
	  parsing pspecs, added glade_property_class_match ()

	* src/glade-widget.[ch]: Made glade_widget_copy_props exposed to
	  glade_widget_copy_properties and rewrote it (also redistributed
	  some g_critical()s ).

2006-01-24  Juan Pablo Ugarte <juanpablougarte@gmail.com>

	* glade-app.[ch]: glade_app_[undo/redo]_button_new()
	  new functions to create undo/redo buttons which are updated
	  automatically.

	* glade-gtk.c: glade_gtk_table_has_child() improved 
	  (bug 325791 still open, now the glade file loads right
	  but editing packing properties of GtkTable children still
	  does not remove/add placeholders accordingly)
	  undo/redo buttons added to MenuBarEditor

2006-01-24  Tristan Van Berkom <tvb@gnome.org>

	Reverted last change by Lluis since it introduced a bug in
	copy/paste/create/delete undo/redo items.

2006-01-24  Lluis Sanchez Gual <lluis@novell.com>

	* glade-utils.c: Created glade_util_is_toplevel, which replaces
	  calls to GTK_WIDGET_TOPLEVEL and works for embedded windows.
 
	* src/glade-command.c, src/glade-popup.c, src/glade-widget.c:
	  Use glade_util_is_toplevel instead of GTK_WIDGET_TOPLEVEL.
	
2006-01-24  Raphael Higino  <raphaelh@cvs.gnome.org>

	* configure.in: Added pt_BR to ALL_LINGUAS.

2006-01-23  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-project.c: Fixed broken resource pool & wrote some doc.
	  Now save the "<required lib="..."/> catalog requirements to the 
	  glade file and complain when loading glade files that demand
	  unavailable catalogs.

	* src/glade-widget-class.[ch]: Added widget_class->catalog
	
	* src/glade-catalog.[ch]: Added glade_catalog_is_loaded (), call
	  gwc_new with catname arg.

	* src/glade-parser.c: Added glade_util_ui_message error messaging
	  when having errors loading glade files.

	* src/glade-project-window.c: Removed redundant error message.
	
2006-01-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-editor-property.c: Fixed nasty segfault when
	  property signal connections get leeked (no more leeks).

	* src/glade-gtk.c: Added comments

2006-01-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-property-class.c: Fixed broken pixbuf properties :)

	* src/glade-widget.[ch]: Added glade_widget_has_launcher &
	  glade_widget_launch_editor.

	* src/glade-parser.c: Fixed segfault (oops).

	* src/glade-editor.c: Use glade_widget_has_launcher &
	  glade_widget_launch_editor (now "Edit..." button comes up
	  for custom editors in the ancestry).

2006-01-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-parser.[ch]: Implemented load/save of "translatable",
	  "context" and "comments" attributes on properties (atk or not)

	* src/glade-property.c, src/glade-widget.c: Doing our part to load
	  and save i18n information (fixing bug 325628)
	
2006-01-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-signal.c: Load userdata/object field from parser
	  info onto the GladeSignal object properly (fixed bug 326715).

2006-01-22  Tristan Van Berkom <tvb@gnome.org>

	* src/glade-app.c: Removed chdir code

	* src/glade-command.c: Remember original project in paste commands

	* src/glade-editor-property.c: GladeEPropPixbuf becomes GladeEPropResource, now
	  it interfaces with the glade-project resource control stuff.

	* src/glade-gtk.c, src/glade-property.c: 
	  fixed for new syntax of glade_project_add_object()

	* src/glade-project-window.c: 
	  o Manage project menuitems and "merge-id" outside of glade-project.
	  o New api glade_util_ui_message

	* src/glade-project.[ch]:
